<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile doxygen_version="1.9.6">
  <compound kind="file">
    <name>mainpage.dox</name>
    <path>doc/</path>
    <filename>mainpage_8dox.html</filename>
    <namespace>lsst::meas::algorithms</namespace>
  </compound>
  <compound kind="file">
    <name>algorithms.h</name>
    <path>include/lsst/meas/</path>
    <filename>algorithms_8h.html</filename>
    <includes id="_c_r_8h" name="CR.h" local="yes" imported="no">lsst/meas/algorithms/CR.h</includes>
    <includes id="_interp_8h" name="Interp.h" local="yes" imported="no">lsst/meas/algorithms/Interp.h</includes>
    <includes id="_psf_candidate_8h" name="PsfCandidate.h" local="yes" imported="no">lsst/meas/algorithms/PsfCandidate.h</includes>
    <includes id="_spatial_model_psf_8h" name="SpatialModelPsf.h" local="yes" imported="no">lsst/meas/algorithms/SpatialModelPsf.h</includes>
    <includes id="_kernel_psf_8h" name="KernelPsf.h" local="yes" imported="no">lsst/meas/algorithms/KernelPsf.h</includes>
    <includes id="_single_gaussian_psf_8h" name="SingleGaussianPsf.h" local="yes" imported="no">lsst/meas/algorithms/SingleGaussianPsf.h</includes>
    <includes id="_double_gaussian_psf_8h" name="DoubleGaussianPsf.h" local="yes" imported="no">lsst/meas/algorithms/DoubleGaussianPsf.h</includes>
    <includes id="_pca_psf_8h" name="PcaPsf.h" local="yes" imported="no">lsst/meas/algorithms/PcaPsf.h</includes>
    <includes id="_coadd_psf_8h" name="CoaddPsf.h" local="yes" imported="no">lsst/meas/algorithms/CoaddPsf.h</includes>
    <includes id="_warped_psf_8h" name="WarpedPsf.h" local="yes" imported="no">lsst/meas/algorithms/WarpedPsf.h</includes>
    <includes id="_coadd_bounded_field_8h" name="CoaddBoundedField.h" local="yes" imported="no">lsst/meas/algorithms/CoaddBoundedField.h</includes>
  </compound>
  <compound kind="file">
    <name>CoaddBoundedField.h</name>
    <path>include/lsst/meas/algorithms/</path>
    <filename>_coadd_bounded_field_8h.html</filename>
    <class kind="struct">lsst::meas::algorithms::CoaddBoundedFieldElement</class>
    <class kind="class">lsst::meas::algorithms::CoaddBoundedField</class>
    <namespace>lsst::meas::algorithms</namespace>
  </compound>
  <compound kind="file">
    <name>CoaddPsf.h</name>
    <path>include/lsst/meas/algorithms/</path>
    <filename>_coadd_psf_8h.html</filename>
    <includes id="_image_psf_8h" name="ImagePsf.h" local="yes" imported="no">lsst/meas/algorithms/ImagePsf.h</includes>
    <class kind="class">lsst::meas::algorithms::CoaddPsfControl</class>
    <class kind="class">lsst::meas::algorithms::CoaddPsf</class>
    <namespace>lsst::meas::algorithms</namespace>
  </compound>
  <compound kind="file">
    <name>CoaddTransmissionCurve.h</name>
    <path>include/lsst/meas/algorithms/</path>
    <filename>_coadd_transmission_curve_8h.html</filename>
    <namespace>lsst::meas::algorithms</namespace>
    <member kind="function">
      <type>std::shared_ptr&lt; afw::image::TransmissionCurve const &gt;</type>
      <name>makeCoaddTransmissionCurve</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms.html</anchorfile>
      <anchor>a3deefdee8b86f19895be67a4bd93ff9f</anchor>
      <arglist>(std::shared_ptr&lt; afw::geom::SkyWcs const &gt; coaddWcs, afw::table::ExposureCatalog const &amp;inputSensors)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>CR.h</name>
    <path>include/lsst/meas/algorithms/</path>
    <filename>_c_r_8h.html</filename>
    <namespace>lsst::meas::algorithms</namespace>
    <member kind="function">
      <type>std::vector&lt; std::shared_ptr&lt; afw::detection::Footprint &gt; &gt;</type>
      <name>findCosmicRays</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms.html</anchorfile>
      <anchor>a94030ae95a58518d8246e1e516fe7364</anchor>
      <arglist>(MaskedImageT &amp;mimage, afw::detection::Psf const &amp;psf, double const bkgd, daf::base::PropertySet const &amp;ps, bool const keep)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>DoubleGaussianPsf.h</name>
    <path>include/lsst/meas/algorithms/</path>
    <filename>_double_gaussian_psf_8h.html</filename>
    <includes id="_kernel_psf_8h" name="KernelPsf.h" local="yes" imported="no">lsst/meas/algorithms/KernelPsf.h</includes>
    <class kind="class">lsst::meas::algorithms::DoubleGaussianPsf</class>
    <namespace>lsst::meas::algorithms</namespace>
  </compound>
  <compound kind="file">
    <name>ExposurePatch.h</name>
    <path>include/lsst/meas/algorithms/</path>
    <filename>_exposure_patch_8h.html</filename>
    <class kind="class">lsst::meas::algorithms::ExposurePatch</class>
    <namespace>lsst::meas::algorithms</namespace>
    <member kind="function">
      <type>std::shared_ptr&lt; ExposurePatch&lt; ExposureT &gt; &gt;</type>
      <name>makeExposurePatch</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms.html</anchorfile>
      <anchor>a04e190f2d88190cdbb6a0a35df0626f6</anchor>
      <arglist>(std::shared_ptr&lt; ExposureT const &gt; exp, std::shared_ptr&lt; afw::detection::Footprint const &gt; foot, geom::Point2D const &amp;center)</arglist>
    </member>
    <member kind="function">
      <type>std::shared_ptr&lt; ExposurePatch&lt; ExposureT &gt; &gt;</type>
      <name>makeExposurePatch</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms.html</anchorfile>
      <anchor>a36054f3b74d01aa322c235225f0b204a</anchor>
      <arglist>(std::shared_ptr&lt; ExposureT const &gt; exp, afw::detection::Footprint const &amp;standardFoot, geom::Point2D const &amp;standardCenter, afw::geom::SkyWcs const &amp;standardWcs)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>ImagePca.h</name>
    <path>include/lsst/meas/algorithms/</path>
    <filename>_image_pca_8h.html</filename>
    <class kind="class">lsst::meas::algorithms::PsfImagePca</class>
    <namespace>lsst::meas::algorithms</namespace>
  </compound>
  <compound kind="file">
    <name>ImagePsf.h</name>
    <path>include/lsst/meas/algorithms/</path>
    <filename>_image_psf_8h.html</filename>
    <class kind="class">lsst::meas::algorithms::ImagePsf</class>
    <namespace>lsst::meas::algorithms</namespace>
  </compound>
  <compound kind="file">
    <name>Interp.h</name>
    <path>include/lsst/meas/algorithms/</path>
    <filename>_interp_8h.html</filename>
    <class kind="class">lsst::meas::algorithms::Defect</class>
    <namespace>lsst::meas::algorithms</namespace>
    <namespace>lsst::meas::algorithms::interp</namespace>
    <member kind="function">
      <type>std::pair&lt; bool, typename MaskedImageT::Image::Pixel &gt;</type>
      <name>singlePixel</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1interp.html</anchorfile>
      <anchor>afb593dc17442c7903c6504c76683817d</anchor>
      <arglist>(int x, int y, MaskedImageT const &amp;image, bool horizontal, double minval)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>interpolateOverDefects</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms.html</anchorfile>
      <anchor>a6fa06865b55b57d5f536969ed45cb552</anchor>
      <arglist>(MaskedImageT &amp;mimage, afw::detection::Psf const &amp;, std::vector&lt; Defect::Ptr &gt; &amp;_badList, double fallbackValue, bool useFallbackValueAtEdge)</arglist>
    </member>
    <member kind="variable">
      <type>double const</type>
      <name>lpc_1_c1</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1interp.html</anchorfile>
      <anchor>a6b62b19d0c843f873e88c8645a8c51a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>double const</type>
      <name>lpc_1_c2</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1interp.html</anchorfile>
      <anchor>ad757d5d7e80ac5134a7ac74c1a5b4177</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>double const</type>
      <name>lpc_1s2_c1</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1interp.html</anchorfile>
      <anchor>ac8307192e1f2091b3aab4415a46b0de0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>double const</type>
      <name>lpc_1s2_c2</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1interp.html</anchorfile>
      <anchor>a364a9038a73b589b2dc1ec86d0f8d80f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>double const</type>
      <name>min2GaussianBias</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1interp.html</anchorfile>
      <anchor>a1bfee805bbf6a6d6ff691e93b26595ce</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>KernelPsf.h</name>
    <path>include/lsst/meas/algorithms/</path>
    <filename>_kernel_psf_8h.html</filename>
    <includes id="_image_psf_8h" name="ImagePsf.h" local="yes" imported="no">lsst/meas/algorithms/ImagePsf.h</includes>
    <class kind="class">lsst::meas::algorithms::KernelPsf</class>
    <namespace>lsst::meas::algorithms</namespace>
  </compound>
  <compound kind="file">
    <name>KernelPsfFactory.h</name>
    <path>include/lsst/meas/algorithms/</path>
    <filename>_kernel_psf_factory_8h.html</filename>
    <includes id="_kernel_psf_8h" name="KernelPsf.h" local="yes" imported="no">lsst/meas/algorithms/KernelPsf.h</includes>
    <class kind="struct">lsst::meas::algorithms::KernelPsfPersistenceHelper</class>
    <class kind="class">lsst::meas::algorithms::KernelPsfFactory</class>
    <namespace>lsst::meas::algorithms</namespace>
  </compound>
  <compound kind="file">
    <name>PcaPsf.h</name>
    <path>include/lsst/meas/algorithms/</path>
    <filename>_pca_psf_8h.html</filename>
    <includes id="_kernel_psf_8h" name="KernelPsf.h" local="yes" imported="no">lsst/meas/algorithms/KernelPsf.h</includes>
    <class kind="class">lsst::meas::algorithms::PcaPsf</class>
    <namespace>lsst::meas::algorithms</namespace>
  </compound>
  <compound kind="file">
    <name>PsfCandidate.h</name>
    <path>include/lsst/meas/algorithms/</path>
    <filename>_psf_candidate_8h.html</filename>
    <class kind="class">lsst::meas::algorithms::PsfCandidate</class>
    <namespace>lsst::meas::algorithms</namespace>
    <member kind="function">
      <type>std::shared_ptr&lt; PsfCandidate&lt; PixelT &gt; &gt;</type>
      <name>makePsfCandidate</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms.html</anchorfile>
      <anchor>a4a81a53e38c21d53fd2edc057c83f306</anchor>
      <arglist>(std::shared_ptr&lt; afw::table::SourceRecord &gt; const &amp;source, std::shared_ptr&lt; afw::image::Exposure&lt; PixelT &gt; &gt; image)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>python.h</name>
    <path>include/lsst/meas/algorithms/</path>
    <filename>python_8h.html</filename>
    <includes id="_image_psf_8h" name="ImagePsf.h" local="yes" imported="no">lsst/meas/algorithms/ImagePsf.h</includes>
    <class kind="class">lsst::meas::algorithms::ImagePsfTrampoline</class>
    <namespace>lsst::meas::algorithms</namespace>
  </compound>
  <compound kind="file">
    <name>SingleGaussianPsf.h</name>
    <path>include/lsst/meas/algorithms/</path>
    <filename>_single_gaussian_psf_8h.html</filename>
    <includes id="_kernel_psf_8h" name="KernelPsf.h" local="yes" imported="no">lsst/meas/algorithms/KernelPsf.h</includes>
    <class kind="class">lsst::meas::algorithms::SingleGaussianPsf</class>
    <namespace>lsst::meas::algorithms</namespace>
  </compound>
  <compound kind="file">
    <name>SpatialModelPsf.h</name>
    <path>include/lsst/meas/algorithms/</path>
    <filename>_spatial_model_psf_8h.html</filename>
    <namespace>lsst::meas::algorithms</namespace>
    <member kind="function">
      <type>std::pair&lt; std::shared_ptr&lt; afw::math::LinearCombinationKernel &gt;, std::vector&lt; double &gt; &gt;</type>
      <name>createKernelFromPsfCandidates</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms.html</anchorfile>
      <anchor>a19225d6e07599fcc9263d79af92f2507</anchor>
      <arglist>(afw::math::SpatialCellSet const  &amp;psfCells, lsst::geom::Extent2I const  &amp;dims, lsst::geom::Point2I const  &amp;xy0, int const nEigenComponents, int const spatialOrder, int const ksize, int const nStarPerCell, bool const constantWeight, int const border)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>countPsfCandidates</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms.html</anchorfile>
      <anchor>a2b2ce402b0bd21531e5c594953c88fe4</anchor>
      <arglist>(afw::math::SpatialCellSet const  &amp;psfCells, int const nStarPerCell)</arglist>
    </member>
    <member kind="function">
      <type>std::pair&lt; bool, double &gt;</type>
      <name>fitSpatialKernelFromPsfCandidates</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms.html</anchorfile>
      <anchor>a77b54cff9eef9afd1298e0048563289c</anchor>
      <arglist>(afw::math::Kernel *kernel, afw::math::SpatialCellSet const  &amp;psfCells, int const nStarPerCell, double const tolerance, double const lambda)</arglist>
    </member>
    <member kind="function">
      <type>std::pair&lt; bool, double &gt;</type>
      <name>fitSpatialKernelFromPsfCandidates</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms.html</anchorfile>
      <anchor>a19b57d1aa1e4b17638a5e3794faca352</anchor>
      <arglist>(afw::math::Kernel *kernel, afw::math::SpatialCellSet const  &amp;psfCells, bool const doNonLinearFit, int const nStarPerCell, double const tolerance, double const lambda)</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>subtractPsf</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms.html</anchorfile>
      <anchor>aa0d5a797eba3f3756d3e605f3048e890</anchor>
      <arglist>(afw::detection::Psf const &amp;psf, ImageT *data, double x, double y, double psfFlux=std::numeric_limits&lt; double &gt;::quiet_NaN())</arglist>
    </member>
    <member kind="function">
      <type>std::pair&lt; std::vector&lt; double &gt;, afw::math::KernelList &gt;</type>
      <name>fitKernelParamsToImage</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms.html</anchorfile>
      <anchor>a2c823f9a99cc179f60fee8980a57e5ce</anchor>
      <arglist>(afw::math::LinearCombinationKernel const  &amp;kernel, Image const  &amp;image, geom::Point2D const  &amp;pos)</arglist>
    </member>
    <member kind="function">
      <type>std::pair&lt; std::shared_ptr&lt; afw::math::Kernel &gt;, std::pair&lt; double, double &gt; &gt;</type>
      <name>fitKernelToImage</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms.html</anchorfile>
      <anchor>a4e88824042150e4b416dee145b5a7547</anchor>
      <arglist>(afw::math::LinearCombinationKernel const  &amp;kernel, Image const  &amp;image, geom::Point2D const  &amp;pos)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>WarpedPsf.h</name>
    <path>include/lsst/meas/algorithms/</path>
    <filename>_warped_psf_8h.html</filename>
    <includes id="_image_psf_8h" name="ImagePsf.h" local="yes" imported="no">lsst/meas/algorithms/ImagePsf.h</includes>
    <class kind="class">lsst::meas::algorithms::WarpedPsf</class>
    <namespace>lsst::meas::algorithms</namespace>
  </compound>
  <compound kind="file">
    <name>__init__.py</name>
    <path>python/lsst/</path>
    <filename>____init_____8py.html</filename>
  </compound>
  <compound kind="file">
    <name>__init__.py</name>
    <path>python/lsst/gdb/</path>
    <filename>gdb_2____init_____8py.html</filename>
  </compound>
  <compound kind="file">
    <name>__init__.py</name>
    <path>python/lsst/gdb/meas/</path>
    <filename>gdb_2meas_2____init_____8py.html</filename>
    <namespace>lsst::gdb::meas</namespace>
  </compound>
  <compound kind="file">
    <name>__init__.py</name>
    <path>python/lsst/gdb/meas/algorithms/</path>
    <filename>gdb_2meas_2algorithms_2____init_____8py.html</filename>
  </compound>
  <compound kind="file">
    <name>__init__.py</name>
    <path>python/lsst/meas/</path>
    <filename>meas_2____init_____8py.html</filename>
  </compound>
  <compound kind="file">
    <name>__init__.py</name>
    <path>python/lsst/meas/algorithms/</path>
    <filename>meas_2algorithms_2____init_____8py.html</filename>
    <namespace>lsst::meas::algorithms</namespace>
  </compound>
  <compound kind="file">
    <name>__init__.py</name>
    <path>python/lsst/meas/algorithms/coaddPsf/</path>
    <filename>meas_2algorithms_2coadd_psf_2____init_____8py.html</filename>
    <namespace>lsst::meas::algorithms</namespace>
    <namespace>lsst::meas::algorithms::coaddPsf</namespace>
  </compound>
  <compound kind="file">
    <name>__init__.py</name>
    <path>python/lsst/meas/algorithms/psfCandidate/</path>
    <filename>meas_2algorithms_2psf_candidate_2____init_____8py.html</filename>
    <namespace>lsst::meas::algorithms</namespace>
    <namespace>lsst::meas::algorithms::psfCandidate</namespace>
  </compound>
  <compound kind="file">
    <name>printers.py</name>
    <path>python/lsst/gdb/meas/algorithms/</path>
    <filename>printers_8py.html</filename>
    <class kind="class">lsst::gdb::meas::algorithms::printers::CRPixelPrinter</class>
    <namespace>lsst::gdb::meas</namespace>
    <namespace>lsst::gdb::meas::algorithms</namespace>
    <namespace>lsst::gdb::meas::algorithms::printers</namespace>
    <member kind="function">
      <type>def</type>
      <name>register</name>
      <anchorfile>namespacelsst_1_1gdb_1_1meas_1_1algorithms_1_1printers.html</anchorfile>
      <anchor>aa3f0dd8c449f722f073100dad68df0b3</anchor>
      <arglist>(obj)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>build_meas_algorithms_dictionary</name>
      <anchorfile>namespacelsst_1_1gdb_1_1meas_1_1algorithms_1_1printers.html</anchorfile>
      <anchor>af292d2a2e880ed2cfa6068075ad58f06</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>register</name>
      <anchorfile>namespacelsst_1_1gdb_1_1meas_1_1algorithms_1_1printers.html</anchorfile>
      <anchor>a33ce4fd532d7de3ac643f2dfff6bfa4e</anchor>
      <arglist>(*args, exception=e, **kwargs)</arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>try</name>
      <anchorfile>namespacelsst_1_1gdb_1_1meas_1_1algorithms_1_1printers.html</anchorfile>
      <anchor>afa8d788a46e10d9b35e8f51275000217</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>printers</name>
      <anchorfile>namespacelsst_1_1gdb_1_1meas_1_1algorithms_1_1printers.html</anchorfile>
      <anchor>a17522f861757e36176e94c357d0481ab</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>accumulator_mean_stack.py</name>
    <path>python/lsst/meas/algorithms/</path>
    <filename>accumulator__mean__stack_8py.html</filename>
    <class kind="class">lsst::meas::algorithms::accumulator_mean_stack::AccumulatorMeanStack</class>
    <namespace>lsst::meas::algorithms</namespace>
    <namespace>lsst::meas::algorithms::accumulator_mean_stack</namespace>
  </compound>
  <compound kind="file">
    <name>astrometrySourceSelector.py</name>
    <path>python/lsst/meas/algorithms/</path>
    <filename>astrometry_source_selector_8py.html</filename>
    <class kind="class">lsst::meas::algorithms::astrometrySourceSelector::AstrometrySourceSelectorConfig</class>
    <class kind="class">lsst::meas::algorithms::astrometrySourceSelector::AstrometrySourceSelectorTask</class>
    <namespace>lsst::meas::algorithms</namespace>
    <namespace>lsst::meas::algorithms::astrometrySourceSelector</namespace>
  </compound>
  <compound kind="file">
    <name>brightStarStamps.py</name>
    <path>python/lsst/meas/algorithms/</path>
    <filename>bright_star_stamps_8py.html</filename>
    <class kind="class">lsst::meas::algorithms::brightStarStamps::BrightStarStamp</class>
    <class kind="class">lsst::meas::algorithms::brightStarStamps::BrightStarStamps</class>
    <namespace>lsst::meas::algorithms</namespace>
    <namespace>lsst::meas::algorithms::brightStarStamps</namespace>
  </compound>
  <compound kind="file">
    <name>coaddPsfContinued.py</name>
    <path>python/lsst/meas/algorithms/coaddPsf/</path>
    <filename>coadd_psf_continued_8py.html</filename>
    <namespace>lsst::meas::algorithms</namespace>
    <namespace>lsst::meas::algorithms::coaddPsf</namespace>
    <namespace>lsst::meas::algorithms::coaddPsf::coaddPsfContinued</namespace>
    <member kind="variable">
      <type>makeConfigClass</type>
      <name>CoaddPsfConfig</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1coadd_psf_1_1coadd_psf_continued.html</anchorfile>
      <anchor>a05759b87bd8ca2f7956132ac1d6fe8d2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>convertRefcatManager.py</name>
    <path>python/lsst/meas/algorithms/</path>
    <filename>convert_refcat_manager_8py.html</filename>
    <class kind="class">lsst::meas::algorithms::convertRefcatManager::ConvertRefcatManagerConfig</class>
    <class kind="class">lsst::meas::algorithms::convertRefcatManager::ConvertRefcatManager</class>
    <class kind="class">lsst::meas::algorithms::convertRefcatManager::ConvertGaiaManager</class>
    <class kind="class">lsst::meas::algorithms::convertRefcatManager::ConvertGaiaXpManager</class>
    <namespace>lsst::meas::algorithms</namespace>
    <namespace>lsst::meas::algorithms::convertRefcatManager</namespace>
    <member kind="variable">
      <type>multiprocessing</type>
      <name>COUNTER</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1convert_refcat_manager.html</anchorfile>
      <anchor>af64698543af8c463b5b480e23bd5c11a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>multiprocessing</type>
      <name>FILE_PROGRESS</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1convert_refcat_manager.html</anchorfile>
      <anchor>a98b4111e892ec24993280d522bb77d6a</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>convertReferenceCatalog.py</name>
    <path>python/lsst/meas/algorithms/</path>
    <filename>convert_reference_catalog_8py.html</filename>
    <class kind="class">lsst::meas::algorithms::convertReferenceCatalog::DatasetConfig</class>
    <class kind="class">lsst::meas::algorithms::convertReferenceCatalog::ConvertReferenceCatalogConfig</class>
    <class kind="class">lsst::meas::algorithms::convertReferenceCatalog::ConvertReferenceCatalogTask</class>
    <namespace>lsst::meas::algorithms</namespace>
    <namespace>lsst::meas::algorithms::convertReferenceCatalog</namespace>
    <member kind="function">
      <type>def</type>
      <name>addRefCatMetadata</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1convert_reference_catalog.html</anchorfile>
      <anchor>ab300fcff69032d141307a28ff3c2ff9c</anchor>
      <arglist>(catalog)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_makeSchema</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1convert_reference_catalog.html</anchorfile>
      <anchor>af80e3a8b559a1507cbf731bcd8fc29fa</anchor>
      <arglist>(filterNameList, *addCentroid=False, addIsPhotometric=False, addIsResolved=False, addIsVariable=False, fullPositionInformation=False)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>build_argparser</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1convert_reference_catalog.html</anchorfile>
      <anchor>afacc620d79ea9084589d249fa4a30714</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>run_convert</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1convert_reference_catalog.html</anchorfile>
      <anchor>af698c4d2765cacd6b93c56905c6637f4</anchor>
      <arglist>(outputDir, configFile, fileglob)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>main</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1convert_reference_catalog.html</anchorfile>
      <anchor>ab69fba3f6ae95e974004abd7a95ed9f2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>LATEST_FORMAT_VERSION</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1convert_reference_catalog.html</anchorfile>
      <anchor>a524644b2dfcd96bdf7ec634067c8c2b8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>detection.py</name>
    <path>python/lsst/meas/algorithms/</path>
    <filename>detection_8py.html</filename>
    <class kind="class">lsst::meas::algorithms::detection::SourceDetectionConfig</class>
    <class kind="class">lsst::meas::algorithms::detection::SourceDetectionTask</class>
    <namespace>lsst::meas::algorithms</namespace>
    <namespace>lsst::meas::algorithms::detection</namespace>
    <member kind="function">
      <type>def</type>
      <name>addExposures</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1detection.html</anchorfile>
      <anchor>a0c8e13e7e1af229fc16068d7d82ab0c2</anchor>
      <arglist>(exposureList)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>dynamicDetection.py</name>
    <path>python/lsst/meas/algorithms/</path>
    <filename>dynamic_detection_8py.html</filename>
    <class kind="class">lsst::meas::algorithms::dynamicDetection::DynamicDetectionConfig</class>
    <class kind="class">lsst::meas::algorithms::dynamicDetection::DynamicDetectionTask</class>
    <namespace>lsst::meas::algorithms</namespace>
    <namespace>lsst::meas::algorithms::dynamicDetection</namespace>
  </compound>
  <compound kind="file">
    <name>findCosmicRaysConfig.py</name>
    <path>python/lsst/meas/algorithms/</path>
    <filename>find_cosmic_rays_config_8py.html</filename>
    <class kind="class">lsst::meas::algorithms::findCosmicRaysConfig::FindCosmicRaysConfig</class>
    <namespace>lsst::meas::algorithms</namespace>
    <namespace>lsst::meas::algorithms::findCosmicRaysConfig</namespace>
  </compound>
  <compound kind="file">
    <name>flaggedSourceSelector.py</name>
    <path>python/lsst/meas/algorithms/</path>
    <filename>flagged_source_selector_8py.html</filename>
    <class kind="class">lsst::meas::algorithms::flaggedSourceSelector::FlaggedSourceSelectorConfig</class>
    <class kind="class">lsst::meas::algorithms::flaggedSourceSelector::FlaggedSourceSelectorTask</class>
    <namespace>lsst::meas::algorithms</namespace>
    <namespace>lsst::meas::algorithms::flaggedSourceSelector</namespace>
  </compound>
  <compound kind="file">
    <name>gaussianPsfFactory.py</name>
    <path>python/lsst/meas/algorithms/</path>
    <filename>gaussian_psf_factory_8py.html</filename>
    <class kind="class">lsst::meas::algorithms::gaussianPsfFactory::GaussianPsfFactory</class>
    <namespace>lsst::meas::algorithms</namespace>
    <namespace>lsst::meas::algorithms::gaussianPsfFactory</namespace>
    <member kind="function">
      <type>def</type>
      <name>isPositive</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1gaussian_psf_factory.html</anchorfile>
      <anchor>a1a15bed81cf11fbfacb11bb4f06e8413</anchor>
      <arglist>(x)</arglist>
    </member>
    <member kind="variable">
      <type>float</type>
      <name>SigmaPerFwhm</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1gaussian_psf_factory.html</anchorfile>
      <anchor>a94f52e792b344c26713848545dcf9155</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>htmIndexer.py</name>
    <path>python/lsst/meas/algorithms/</path>
    <filename>htm_indexer_8py.html</filename>
    <class kind="class">lsst::meas::algorithms::htmIndexer::HtmIndexer</class>
    <namespace>lsst::meas::algorithms</namespace>
    <namespace>lsst::meas::algorithms::htmIndexer</namespace>
  </compound>
  <compound kind="file">
    <name>indexerRegistry.py</name>
    <path>python/lsst/meas/algorithms/</path>
    <filename>indexer_registry_8py.html</filename>
    <class kind="class">lsst::meas::algorithms::indexerRegistry::HtmIndexerConfig</class>
    <namespace>lsst::meas::algorithms</namespace>
    <namespace>lsst::meas::algorithms::indexerRegistry</namespace>
    <member kind="function">
      <type>def</type>
      <name>makeHtmIndexer</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1indexer_registry.html</anchorfile>
      <anchor>a0c1480e01be38656fae42b73f01c5adb</anchor>
      <arglist>(config)</arglist>
    </member>
    <member kind="variable">
      <type>makeRegistry</type>
      <name>IndexerRegistry</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1indexer_registry.html</anchorfile>
      <anchor>acc5d92fac8a28f81a96a34c4f95389b2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>ConfigClass</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1indexer_registry.html</anchorfile>
      <anchor>a137a97dbd5b4b823cddc97c075aff9d0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>installGaussianPsf.py</name>
    <path>python/lsst/meas/algorithms/</path>
    <filename>install_gaussian_psf_8py.html</filename>
    <class kind="class">lsst::meas::algorithms::installGaussianPsf::InstallGaussianPsfConfig</class>
    <class kind="class">lsst::meas::algorithms::installGaussianPsf::InstallGaussianPsfTask</class>
    <namespace>lsst::meas::algorithms</namespace>
    <namespace>lsst::meas::algorithms::installGaussianPsf</namespace>
    <member kind="variable">
      <type>float</type>
      <name>FwhmPerSigma</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1install_gaussian_psf.html</anchorfile>
      <anchor>ac3d15f82c6a44e289212fdafda5cd895</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>loadReferenceObjects.py</name>
    <path>python/lsst/meas/algorithms/</path>
    <filename>load_reference_objects_8py.html</filename>
    <class kind="class">lsst::meas::algorithms::loadReferenceObjects::_FilterCatalog</class>
    <class kind="class">lsst::meas::algorithms::loadReferenceObjects::LoadReferenceObjectsConfig</class>
    <class kind="class">lsst::meas::algorithms::loadReferenceObjects::ReferenceObjectLoader</class>
    <class kind="class">lsst::meas::algorithms::loadReferenceObjects::LoadReferenceObjectsTask</class>
    <class kind="class">lsst::meas::algorithms::loadReferenceObjects::ReferenceObjectLoaderBase</class>
    <namespace>lsst::meas::algorithms</namespace>
    <namespace>lsst::meas::algorithms::loadReferenceObjects</namespace>
    <member kind="function">
      <type>def</type>
      <name>isOldFluxField</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1load_reference_objects.html</anchorfile>
      <anchor>ac2bd3a9557826b0b1c05d89e5c35ff7e</anchor>
      <arglist>(name, units)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>hasNanojanskyFluxUnits</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1load_reference_objects.html</anchorfile>
      <anchor>a5b500ce6fc626cde4211d8325c4b72cf</anchor>
      <arglist>(schema)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getFormatVersionFromRefCat</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1load_reference_objects.html</anchorfile>
      <anchor>ade75ece5539fd35a7d35dd9068f565fb</anchor>
      <arglist>(refCat)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>convertToNanojansky</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1load_reference_objects.html</anchorfile>
      <anchor>a6f47d265eb374a65729e6d9d9006dccf</anchor>
      <arglist>(catalog, log, doConvert=True)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getRefFluxField</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1load_reference_objects.html</anchorfile>
      <anchor>acc1d9caee332d41c134ff0c3cdab1141</anchor>
      <arglist>(schema, filterName)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getRefFluxKeys</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1load_reference_objects.html</anchorfile>
      <anchor>a66540ca82718bf2e6622ae92e8822086</anchor>
      <arglist>(schema, filterName)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>applyProperMotionsImpl</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1load_reference_objects.html</anchorfile>
      <anchor>aedbfc7ece9d3e6aa26854980abca4822</anchor>
      <arglist>(log, catalog, epoch)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>makeCoaddApCorrMap.py</name>
    <path>python/lsst/meas/algorithms/</path>
    <filename>make_coadd_ap_corr_map_8py.html</filename>
    <namespace>lsst::meas::algorithms</namespace>
    <namespace>lsst::meas::algorithms::makeCoaddApCorrMap</namespace>
    <member kind="function">
      <type>def</type>
      <name>makeCoaddApCorrMap</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1make_coadd_ap_corr_map.html</anchorfile>
      <anchor>a264c37daf7400200c9dc4b2d961e2377</anchor>
      <arglist>(catalog, coaddBox, coaddWcs, weightFieldName=&quot;weight&quot;)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>makePsfCandidates.py</name>
    <path>python/lsst/meas/algorithms/</path>
    <filename>make_psf_candidates_8py.html</filename>
    <class kind="class">lsst::meas::algorithms::makePsfCandidates::MakePsfCandidatesConfig</class>
    <class kind="class">lsst::meas::algorithms::makePsfCandidates::MakePsfCandidatesTask</class>
    <namespace>lsst::meas::algorithms</namespace>
    <namespace>lsst::meas::algorithms::makePsfCandidates</namespace>
  </compound>
  <compound kind="file">
    <name>matcherSourceSelector.py</name>
    <path>python/lsst/meas/algorithms/</path>
    <filename>matcher_source_selector_8py.html</filename>
    <class kind="class">lsst::meas::algorithms::matcherSourceSelector::MatcherSourceSelectorConfig</class>
    <class kind="class">lsst::meas::algorithms::matcherSourceSelector::MatcherSourceSelectorTask</class>
    <namespace>lsst::meas::algorithms</namespace>
    <namespace>lsst::meas::algorithms::matcherSourceSelector</namespace>
  </compound>
  <compound kind="file">
    <name>measureApCorr.py</name>
    <path>python/lsst/meas/algorithms/</path>
    <filename>measure_ap_corr_8py.html</filename>
    <class kind="class">lsst::meas::algorithms::measureApCorr::_FluxNames</class>
    <class kind="class">lsst::meas::algorithms::measureApCorr::MeasureApCorrConfig</class>
    <class kind="class">lsst::meas::algorithms::measureApCorr::MeasureApCorrTask</class>
    <namespace>lsst::meas::algorithms</namespace>
    <namespace>lsst::meas::algorithms::measureApCorr</namespace>
    <member kind="function">
      <type>def</type>
      <name>plotApCorr</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1measure_ap_corr.html</anchorfile>
      <anchor>aeaedb2574802fd80ffa158848427716c</anchor>
      <arglist>(bbox, xx, yy, zzMeasure, field, title, doPause)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>noise_covariance.py</name>
    <path>python/lsst/meas/algorithms/</path>
    <filename>noise__covariance_8py.html</filename>
    <class kind="class">lsst::meas::algorithms::noise_covariance::CorrelationMatrix</class>
    <class kind="class">lsst::meas::algorithms::noise_covariance::ComputeNoiseCorrelationConfig</class>
    <class kind="class">lsst::meas::algorithms::noise_covariance::ComputeNoiseCorrelationTask</class>
    <namespace>lsst::meas::algorithms</namespace>
    <namespace>lsst::meas::algorithms::noise_covariance</namespace>
  </compound>
  <compound kind="file">
    <name>objectSizeStarSelector.py</name>
    <path>python/lsst/meas/algorithms/</path>
    <filename>object_size_star_selector_8py.html</filename>
    <class kind="class">lsst::meas::algorithms::objectSizeStarSelector::ObjectSizeStarSelectorConfig</class>
    <class kind="class">lsst::meas::algorithms::objectSizeStarSelector::EventHandler</class>
    <class kind="class">lsst::meas::algorithms::objectSizeStarSelector::ObjectSizeStarSelectorTask</class>
    <namespace>lsst::meas::algorithms</namespace>
    <namespace>lsst::meas::algorithms::objectSizeStarSelector</namespace>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_assignClusters</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1object_size_star_selector.html</anchorfile>
      <anchor>ad2525c79e014329e8676c009a7bfd316</anchor>
      <arglist>(yvec, centers)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_kcenters</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1object_size_star_selector.html</anchorfile>
      <anchor>a0acd79d18c5fa5d6dbfd638ec516ef57</anchor>
      <arglist>(yvec, nCluster, useMedian=False, widthStdAllowed=0.15)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_improveCluster</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1object_size_star_selector.html</anchorfile>
      <anchor>a4caf5d2b9333af97e405eb72dfc97284</anchor>
      <arglist>(yvec, centers, clusterId, nsigma=2.0, nIteration=10, clusterNum=0, widthStdAllowed=0.15)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>plot</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1object_size_star_selector.html</anchorfile>
      <anchor>aa373b5aab17c6673a6a595e729bcbc23</anchor>
      <arglist>(mag, width, centers, clusterId, marker=&quot;o&quot;, markersize=2, markeredgewidth=0, ltype=&apos;-&apos;, magType=&quot;model&quot;, clear=True)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>getLogger</type>
      <name>_LOG</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1object_size_star_selector.html</anchorfile>
      <anchor>adaa0bb0c71b3a51da4dc972159323d50</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>pcaPsfDeterminer.py</name>
    <path>python/lsst/meas/algorithms/</path>
    <filename>pca_psf_determiner_8py.html</filename>
    <class kind="class">lsst::meas::algorithms::pcaPsfDeterminer::PcaPsfDeterminerConfig</class>
    <class kind="class">lsst::meas::algorithms::pcaPsfDeterminer::PcaPsfDeterminerTask</class>
    <namespace>lsst::meas::algorithms</namespace>
    <namespace>lsst::meas::algorithms::pcaPsfDeterminer</namespace>
    <member kind="function">
      <type>def</type>
      <name>numCandidatesToReject</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1pca_psf_determiner.html</anchorfile>
      <anchor>abb16d997eae9bb669160ea7ffaf6b7a2</anchor>
      <arglist>(numBadCandidates, numIter, totalIter)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>candidatesIter</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1pca_psf_determiner.html</anchorfile>
      <anchor>ae1376168f8d4757775378b58970a8808</anchor>
      <arglist>(psfCellSet, ignoreBad=True)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>psfCandidateContinued.py</name>
    <path>python/lsst/meas/algorithms/psfCandidate/</path>
    <filename>psf_candidate_continued_8py.html</filename>
    <class kind="class">lsst::meas::algorithms::psfCandidate::psfCandidateContinued::PsfCandidateF</class>
    <namespace>lsst::meas::algorithms</namespace>
    <namespace>lsst::meas::algorithms::psfCandidate</namespace>
    <namespace>lsst::meas::algorithms::psfCandidate::psfCandidateContinued</namespace>
  </compound>
  <compound kind="file">
    <name>psfDeterminer.py</name>
    <path>python/lsst/meas/algorithms/</path>
    <filename>psf_determiner_8py.html</filename>
    <class kind="class">lsst::meas::algorithms::psfDeterminer::BasePsfDeterminerConfig</class>
    <class kind="class">lsst::meas::algorithms::psfDeterminer::BasePsfDeterminerTask</class>
    <namespace>lsst::meas::algorithms</namespace>
    <namespace>lsst::meas::algorithms::psfDeterminer</namespace>
    <member kind="variable">
      <type>pexConfig</type>
      <name>psfDeterminerRegistry</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1psf_determiner.html</anchorfile>
      <anchor>a9056451334904effa2d4581c0904968b</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>psfSelectionFromMatchList.py</name>
    <path>python/lsst/meas/algorithms/</path>
    <filename>psf_selection_from_match_list_8py.html</filename>
    <namespace>lsst::meas::algorithms</namespace>
    <namespace>lsst::meas::algorithms::psfSelectionFromMatchList</namespace>
    <member kind="function">
      <type>def</type>
      <name>selectPsfSources</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1psf_selection_from_match_list.html</anchorfile>
      <anchor>a3075f635a7e3caf13ae420a18358564f</anchor>
      <arglist>(exposure, matches, psfPolicy)</arglist>
    </member>
    <member kind="variable">
      <type>list</type>
      <name>args</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1psf_selection_from_match_list.html</anchorfile>
      <anchor>a0a52ead34299c13c35637ffdf7d8878b</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>readFitsCatalogTask.py</name>
    <path>python/lsst/meas/algorithms/</path>
    <filename>read_fits_catalog_task_8py.html</filename>
    <class kind="class">lsst::meas::algorithms::readFitsCatalogTask::ReadFitsCatalogConfig</class>
    <class kind="class">lsst::meas::algorithms::readFitsCatalogTask::ReadFitsCatalogTask</class>
    <namespace>lsst::meas::algorithms</namespace>
    <namespace>lsst::meas::algorithms::readFitsCatalogTask</namespace>
  </compound>
  <compound kind="file">
    <name>readTextCatalogTask.py</name>
    <path>python/lsst/meas/algorithms/</path>
    <filename>read_text_catalog_task_8py.html</filename>
    <class kind="class">lsst::meas::algorithms::readTextCatalogTask::ReadTextCatalogConfig</class>
    <class kind="class">lsst::meas::algorithms::readTextCatalogTask::ReadTextCatalogTask</class>
    <namespace>lsst::meas::algorithms</namespace>
    <namespace>lsst::meas::algorithms::readTextCatalogTask</namespace>
  </compound>
  <compound kind="file">
    <name>reserveSourcesTask.py</name>
    <path>python/lsst/meas/algorithms/</path>
    <filename>reserve_sources_task_8py.html</filename>
    <class kind="class">lsst::meas::algorithms::reserveSourcesTask::ReserveSourcesConfig</class>
    <class kind="class">lsst::meas::algorithms::reserveSourcesTask::ReserveSourcesTask</class>
    <namespace>lsst::meas::algorithms</namespace>
    <namespace>lsst::meas::algorithms::reserveSourcesTask</namespace>
  </compound>
  <compound kind="file">
    <name>scaleVariance.py</name>
    <path>python/lsst/meas/algorithms/</path>
    <filename>scale_variance_8py.html</filename>
    <class kind="class">lsst::meas::algorithms::scaleVariance::ScaleVarianceConfig</class>
    <class kind="class">lsst::meas::algorithms::scaleVariance::ScaleVarianceTask</class>
    <namespace>lsst::meas::algorithms</namespace>
    <namespace>lsst::meas::algorithms::scaleVariance</namespace>
  </compound>
  <compound kind="file">
    <name>simple_curve.py</name>
    <path>python/lsst/meas/algorithms/</path>
    <filename>simple__curve_8py.html</filename>
    <class kind="class">lsst::meas::algorithms::simple_curve::Curve</class>
    <class kind="class">lsst::meas::algorithms::simple_curve::DetectorCurve</class>
    <class kind="class">lsst::meas::algorithms::simple_curve::AmpCurve</class>
    <class kind="class">lsst::meas::algorithms::simple_curve::ImageCurve</class>
    <namespace>lsst::meas::algorithms</namespace>
    <namespace>lsst::meas::algorithms::simple_curve</namespace>
  </compound>
  <compound kind="file">
    <name>skyObjects.py</name>
    <path>python/lsst/meas/algorithms/</path>
    <filename>sky_objects_8py.html</filename>
    <class kind="class">lsst::meas::algorithms::skyObjects::SkyObjectsConfig</class>
    <class kind="class">lsst::meas::algorithms::skyObjects::SkyObjectsTask</class>
    <namespace>lsst::meas::algorithms</namespace>
    <namespace>lsst::meas::algorithms::skyObjects</namespace>
    <member kind="function">
      <type>def</type>
      <name>generateSkyObjects</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1sky_objects.html</anchorfile>
      <anchor>a6b59af4e1ca114dc9d124729a848606e</anchor>
      <arglist>(mask, seed, config)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>sourceSelector.py</name>
    <path>python/lsst/meas/algorithms/</path>
    <filename>source_selector_8py.html</filename>
    <class kind="class">lsst::meas::algorithms::sourceSelector::BaseSourceSelectorConfig</class>
    <class kind="class">lsst::meas::algorithms::sourceSelector::BaseSourceSelectorTask</class>
    <class kind="class">lsst::meas::algorithms::sourceSelector::BaseLimit</class>
    <class kind="class">lsst::meas::algorithms::sourceSelector::ColorLimit</class>
    <class kind="class">lsst::meas::algorithms::sourceSelector::FluxLimit</class>
    <class kind="class">lsst::meas::algorithms::sourceSelector::MagnitudeLimit</class>
    <class kind="class">lsst::meas::algorithms::sourceSelector::SignalToNoiseLimit</class>
    <class kind="class">lsst::meas::algorithms::sourceSelector::MagnitudeErrorLimit</class>
    <class kind="class">lsst::meas::algorithms::sourceSelector::RequireFlags</class>
    <class kind="class">lsst::meas::algorithms::sourceSelector::RequireUnresolved</class>
    <class kind="class">lsst::meas::algorithms::sourceSelector::RequireIsolated</class>
    <class kind="class">lsst::meas::algorithms::sourceSelector::RequireFiniteRaDec</class>
    <class kind="class">lsst::meas::algorithms::sourceSelector::ScienceSourceSelectorConfig</class>
    <class kind="class">lsst::meas::algorithms::sourceSelector::ScienceSourceSelectorTask</class>
    <class kind="class">lsst::meas::algorithms::sourceSelector::ReferenceSourceSelectorConfig</class>
    <class kind="class">lsst::meas::algorithms::sourceSelector::ReferenceSourceSelectorTask</class>
    <namespace>lsst::meas::algorithms</namespace>
    <namespace>lsst::meas::algorithms::sourceSelector</namespace>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_getFieldFromCatalog</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1source_selector.html</anchorfile>
      <anchor>a3f978fac6fea78f386dd25abe8d9b4f9</anchor>
      <arglist>(catalog, field, isFlag=False)</arglist>
    </member>
    <member kind="variable">
      <type>pexConfig</type>
      <name>sourceSelectorRegistry</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1source_selector.html</anchorfile>
      <anchor>a2b55c83c7245f37b4489ddf4db9d96fd</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>stamps.py</name>
    <path>python/lsst/meas/algorithms/</path>
    <filename>stamps_8py.html</filename>
    <class kind="class">lsst::meas::algorithms::stamps::AbstractStamp</class>
    <class kind="class">lsst::meas::algorithms::stamps::Stamp</class>
    <class kind="class">lsst::meas::algorithms::stamps::StampsBase</class>
    <class kind="class">lsst::meas::algorithms::stamps::Stamps</class>
    <namespace>lsst::meas::algorithms</namespace>
    <namespace>lsst::meas::algorithms::stamps</namespace>
    <member kind="function">
      <type>def</type>
      <name>writeFits</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1stamps.html</anchorfile>
      <anchor>a2d4d1cdc58ebed99e2cecca8bfd2b529</anchor>
      <arglist>(filename, stamps, metadata, type_name, write_mask, write_variance, write_archive=False)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>readFitsWithOptions</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1stamps.html</anchorfile>
      <anchor>ae8fa95d7dfc2c285ced24e961ffaf440</anchor>
      <arglist>(filename, stamp_factory, options)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>starSelector.py</name>
    <path>python/lsst/meas/algorithms/</path>
    <filename>star_selector_8py.html</filename>
    <class kind="class">lsst::meas::algorithms::starSelector::BaseStarSelectorConfig</class>
    <class kind="class">lsst::meas::algorithms::starSelector::BaseStarSelectorTask</class>
    <namespace>lsst::meas::algorithms</namespace>
    <namespace>lsst::meas::algorithms::starSelector</namespace>
    <member kind="variable">
      <type>pexConfig</type>
      <name>starSelectorRegistry</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1star_selector.html</anchorfile>
      <anchor>a5f1c5cdb02bade4c1a10e6ec644ce813</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>subtractBackground.py</name>
    <path>python/lsst/meas/algorithms/</path>
    <filename>subtract_background_8py.html</filename>
    <class kind="class">lsst::meas::algorithms::subtractBackground::SubtractBackgroundConfig</class>
    <class kind="class">lsst::meas::algorithms::subtractBackground::SubtractBackgroundTask</class>
    <namespace>lsst::meas::algorithms</namespace>
    <namespace>lsst::meas::algorithms::subtractBackground</namespace>
  </compound>
  <compound kind="file">
    <name>testUtils.py</name>
    <path>python/lsst/meas/algorithms/</path>
    <filename>test_utils_8py.html</filename>
    <class kind="class">lsst::meas::algorithms::testUtils::MockRefcatDataId</class>
    <class kind="class">lsst::meas::algorithms::testUtils::MockRefcatDeferredDatasetHandle</class>
    <class kind="class">lsst::meas::algorithms::testUtils::MockRefcatDeferredDatasetHandle::MockRef</class>
    <class kind="class">lsst::meas::algorithms::testUtils::MockRefcatDeferredDatasetHandle::MockRef::MockDatasetType</class>
    <class kind="class">lsst::meas::algorithms::testUtils::MockReferenceObjectLoaderFromFiles</class>
    <namespace>lsst::meas::algorithms</namespace>
    <namespace>lsst::meas::algorithms::testUtils</namespace>
    <member kind="function">
      <type>def</type>
      <name>plantSources</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1test_utils.html</anchorfile>
      <anchor>a71b5fc30736f4e7d54f5139ad8df6440</anchor>
      <arglist>(bbox, kwid, sky, coordList, addPoissonNoise=True)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>makeRandomTransmissionCurve</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1test_utils.html</anchorfile>
      <anchor>ac418ee3ffa6da87b077f6c2eb17f9bc7</anchor>
      <arglist>(rng, minWavelength=4000.0, maxWavelength=7000.0, nWavelengths=200, maxRadius=80.0, nRadii=30, perturb=0.05)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>makeDefectList</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1test_utils.html</anchorfile>
      <anchor>aee728adaea9468069304eabe0d82d77f</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>utils.py</name>
    <path>python/lsst/meas/algorithms/</path>
    <filename>utils_8py.html</filename>
    <namespace>lsst::meas::algorithms</namespace>
    <namespace>lsst::meas::algorithms::utils</namespace>
    <member kind="function">
      <type>def</type>
      <name>splitId</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1utils.html</anchorfile>
      <anchor>a3c3164c2f2de93d0f5aae4ab8b6adb49</anchor>
      <arglist>(oid, asDict=True)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>showSourceSet</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1utils.html</anchorfile>
      <anchor>a8263dccff538adfa636ca9edab1f6d59</anchor>
      <arglist>(sSet, xy0=(0, 0), display=None, ctype=afwDisplay.GREEN, symb=&quot;+&quot;, size=2)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>showPsfSpatialCells</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1utils.html</anchorfile>
      <anchor>a15aa55c946411faa10678944e4ec40ff</anchor>
      <arglist>(exposure, psfCellSet, nMaxPerCell=-1, showChi2=False, showMoments=False, symb=None, ctype=None, ctypeUnused=None, ctypeBad=None, size=2, display=None)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>showPsfCandidates</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1utils.html</anchorfile>
      <anchor>aba853126b74a00260e8c9df3c8482e82</anchor>
      <arglist>(exposure, psfCellSet, psf=None, display=None, normalize=True, showBadCandidates=True, fitBasisComponents=False, variance=None, chi=None)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>makeSubplots</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1utils.html</anchorfile>
      <anchor>a0eea56eb375782c7f0bcf2acbc78efd2</anchor>
      <arglist>(fig, nx=2, ny=2, Nx=1, Ny=1, plottingArea=(0.1, 0.1, 0.85, 0.80), pxgutter=0.05, pygutter=0.05, xgutter=0.04, ygutter=0.04, headroom=0.0, panelBorderWeight=0, panelColor=&apos;black&apos;)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>plotPsfSpatialModel</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1utils.html</anchorfile>
      <anchor>a3aae8d35896145f7408733884bfb0aef</anchor>
      <arglist>(exposure, psf, psfCellSet, showBadCandidates=True, numSample=128, matchKernelAmplitudes=False, keepPlots=True)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>showPsf</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1utils.html</anchorfile>
      <anchor>a28bb081e1f97fb52aea30e14bdd777e7</anchor>
      <arglist>(psf, eigenValues=None, XY=None, normalize=True, display=None)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>showPsfMosaic</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1utils.html</anchorfile>
      <anchor>ad3577ffe761233f9bd3efb3fc0ba79aa</anchor>
      <arglist>(exposure, psf=None, nx=7, ny=None, showCenter=True, showEllipticity=False, showFwhm=False, stampSize=0, display=None, title=None)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>showPsfResiduals</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1utils.html</anchorfile>
      <anchor>a4bc9cd22d0779f1c8549d2e1203aecb0</anchor>
      <arglist>(exposure, sourceSet, magType=&quot;psf&quot;, scale=10, display=None)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>saveSpatialCellSet</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1utils.html</anchorfile>
      <anchor>a7f3e679d7c472ac14766a8ab577b1242</anchor>
      <arglist>(psfCellSet, fileName=&quot;foo.fits&quot;, display=None)</arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>keptPlots</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1utils.html</anchorfile>
      <anchor>ab6a52d3402ac5002b7fb8ea9fe696b4e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>logging</type>
      <name>_LOG</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1utils.html</anchorfile>
      <anchor>a06a1bfb392a045039615f648e607e70e</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>version.py</name>
    <path>python/lsst/meas/algorithms/</path>
    <filename>version_8py.html</filename>
    <namespace>lsst::meas::algorithms</namespace>
    <namespace>lsst::meas::algorithms::version</namespace>
  </compound>
  <compound kind="file">
    <name>CoaddBoundedField.cc</name>
    <path>src/</path>
    <filename>_coadd_bounded_field_8cc.html</filename>
    <includes id="_coadd_bounded_field_8h" name="CoaddBoundedField.h" local="yes" imported="no">lsst/meas/algorithms/CoaddBoundedField.h</includes>
    <class kind="class">lsst::meas::algorithms::CoaddBoundedField::Factory</class>
    <namespace>lsst::meas::algorithms</namespace>
    <member kind="variable">
      <type>afw::table::Schema</type>
      <name>schema</name>
      <anchorfile>_coadd_bounded_field_8cc.html</anchorfile>
      <anchor>aaa4258db5c2341f49267f8d5e2568856</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>afw::table::PointKey&lt; int &gt;</type>
      <name>bboxMin</name>
      <anchorfile>_coadd_bounded_field_8cc.html</anchorfile>
      <anchor>adb9aaa8c0dfd6b04254a848a608c632d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>afw::table::PointKey&lt; int &gt;</type>
      <name>bboxMax</name>
      <anchorfile>_coadd_bounded_field_8cc.html</anchorfile>
      <anchor>a390fa75f0e60553a679d2f252aa9774f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>afw::table::Key&lt; int &gt;</type>
      <name>coaddWcs</name>
      <anchorfile>_coadd_bounded_field_8cc.html</anchorfile>
      <anchor>a525e9a8e2500aff44028c9815b1c7037</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>afw::table::Key&lt; afw::table::Flag &gt;</type>
      <name>throwOnMissing</name>
      <anchorfile>_coadd_bounded_field_8cc.html</anchorfile>
      <anchor>a462affa5a83cbc11339f33cf0b9da0fe</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>afw::table::Key&lt; double &gt;</type>
      <name>default_</name>
      <anchorfile>_coadd_bounded_field_8cc.html</anchorfile>
      <anchor>a86e565748f2f630886cf922489a3e237</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>afw::table::Key&lt; int &gt;</type>
      <name>field</name>
      <anchorfile>_coadd_bounded_field_8cc.html</anchorfile>
      <anchor>a5264702b55cc9a095b013c6a6eb6822c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>afw::table::Key&lt; int &gt;</type>
      <name>wcs</name>
      <anchorfile>_coadd_bounded_field_8cc.html</anchorfile>
      <anchor>ae655d1937d142b0e1d7237893f7aebae</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>afw::table::Key&lt; int &gt;</type>
      <name>validPolygon</name>
      <anchorfile>_coadd_bounded_field_8cc.html</anchorfile>
      <anchor>a8ebc4802422b02464daf6f761572594f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>afw::table::Key&lt; double &gt;</type>
      <name>weight</name>
      <anchorfile>_coadd_bounded_field_8cc.html</anchorfile>
      <anchor>a20c6eb934c8d7193aeee60d277e5f45b</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>CoaddPsf.cc</name>
    <path>src/</path>
    <filename>_coadd_psf_8cc.html</filename>
    <includes id="_coadd_psf_8h" name="CoaddPsf.h" local="yes" imported="no">lsst/meas/algorithms/CoaddPsf.h</includes>
    <includes id="_warped_psf_8h" name="WarpedPsf.h" local="yes" imported="no">lsst/meas/algorithms/WarpedPsf.h</includes>
    <class kind="class">lsst::meas::algorithms::CoaddPsf::Factory</class>
    <namespace>lsst::meas::algorithms</namespace>
    <member kind="function">
      <type>geom::Box2I</type>
      <name>getOverallBBox</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms.html</anchorfile>
      <anchor>a7608c5cc10d235852e17c3705d702f57</anchor>
      <arglist>(std::vector&lt; std::shared_ptr&lt; afw::image::Image&lt; double &gt; &gt; &gt; const &amp;imgVector)</arglist>
    </member>
    <member kind="variable">
      <type>double</type>
      <name>wx</name>
      <anchorfile>_coadd_psf_8cc.html</anchorfile>
      <anchor>a6504e83fd98b256b763b26d0134bb98d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>double</type>
      <name>wy</name>
      <anchorfile>_coadd_psf_8cc.html</anchorfile>
      <anchor>a6844197bb5af5d0b08b685c1c2606d40</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>double</type>
      <name>w</name>
      <anchorfile>_coadd_psf_8cc.html</anchorfile>
      <anchor>afb3248bab1c7ee0ad97e9d4c275b4c67</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>afw::table::Schema</type>
      <name>schema</name>
      <anchorfile>_coadd_psf_8cc.html</anchorfile>
      <anchor>aaa4258db5c2341f49267f8d5e2568856</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>afw::table::Key&lt; int &gt;</type>
      <name>coaddWcs</name>
      <anchorfile>_coadd_psf_8cc.html</anchorfile>
      <anchor>a525e9a8e2500aff44028c9815b1c7037</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>afw::table::Key&lt; int &gt;</type>
      <name>cacheSize</name>
      <anchorfile>_coadd_psf_8cc.html</anchorfile>
      <anchor>a278591c691584dd38821ea2f745eec68</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>afw::table::PointKey&lt; double &gt;</type>
      <name>averagePosition</name>
      <anchorfile>_coadd_psf_8cc.html</anchorfile>
      <anchor>a3e69815912da524a369a8a89421eaaeb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>afw::table::Key&lt; std::string &gt;</type>
      <name>warpingKernelName</name>
      <anchorfile>_coadd_psf_8cc.html</anchorfile>
      <anchor>ab502cb800f0187acfdb04efde2edff8f</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>CoaddTransmissionCurve.cc</name>
    <path>src/</path>
    <filename>_coadd_transmission_curve_8cc.html</filename>
    <includes id="_coadd_transmission_curve_8h" name="CoaddTransmissionCurve.h" local="yes" imported="no">lsst/meas/algorithms/CoaddTransmissionCurve.h</includes>
    <namespace>lsst::meas::algorithms</namespace>
    <member kind="function">
      <type>std::shared_ptr&lt; afw::image::TransmissionCurve const &gt;</type>
      <name>makeCoaddTransmissionCurve</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms.html</anchorfile>
      <anchor>a3deefdee8b86f19895be67a4bd93ff9f</anchor>
      <arglist>(std::shared_ptr&lt; afw::geom::SkyWcs const &gt; coaddWcs, afw::table::ExposureCatalog const &amp;inputSensors)</arglist>
    </member>
    <member kind="variable">
      <type>std::shared_ptr&lt; afw::image::TransmissionCurve const  &gt;</type>
      <name>transmission</name>
      <anchorfile>_coadd_transmission_curve_8cc.html</anchorfile>
      <anchor>a9cedee22794a735ab853969f79857041</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>std::shared_ptr&lt; afw::geom::SkyWcs const  &gt;</type>
      <name>sensorWcs</name>
      <anchorfile>_coadd_transmission_curve_8cc.html</anchorfile>
      <anchor>a94ad3cde61e6ba967183c9526893915f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>std::shared_ptr&lt; afw::geom::polygon::Polygon const  &gt;</type>
      <name>validPolygon</name>
      <anchorfile>_coadd_transmission_curve_8cc.html</anchorfile>
      <anchor>a8ebc4802422b02464daf6f761572594f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>geom::Box2D</type>
      <name>bbox</name>
      <anchorfile>_coadd_transmission_curve_8cc.html</anchorfile>
      <anchor>aacd2dd2c74687ff5d1b8cb2dcf175d74</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>double</type>
      <name>weight</name>
      <anchorfile>_coadd_transmission_curve_8cc.html</anchorfile>
      <anchor>a20c6eb934c8d7193aeee60d277e5f45b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>afw::table::Schema</type>
      <name>mainSchema</name>
      <anchorfile>_coadd_transmission_curve_8cc.html</anchorfile>
      <anchor>ad2af7f9764863bdc06f40bec7f31fd95</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>afw::table::Key&lt; int &gt;</type>
      <name>coaddWcs</name>
      <anchorfile>_coadd_transmission_curve_8cc.html</anchorfile>
      <anchor>a525e9a8e2500aff44028c9815b1c7037</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>afw::table::Key&lt; double &gt;</type>
      <name>wavelengthMin</name>
      <anchorfile>_coadd_transmission_curve_8cc.html</anchorfile>
      <anchor>ab5f63bc77e5d260af479b277e62ccb6a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>afw::table::Key&lt; double &gt;</type>
      <name>wavelengthMax</name>
      <anchorfile>_coadd_transmission_curve_8cc.html</anchorfile>
      <anchor>abfa9c21faa2b2dd359b100e133b798cc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>afw::table::Key&lt; double &gt;</type>
      <name>throughputAtMin</name>
      <anchorfile>_coadd_transmission_curve_8cc.html</anchorfile>
      <anchor>ad9616f6982318c90d21d47b719bca8fc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>afw::table::Key&lt; double &gt;</type>
      <name>throughputAtMax</name>
      <anchorfile>_coadd_transmission_curve_8cc.html</anchorfile>
      <anchor>ae80b1487ec2bcc864dea019d76c77a71</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>afw::table::Schema</type>
      <name>inputDataSchema</name>
      <anchorfile>_coadd_transmission_curve_8cc.html</anchorfile>
      <anchor>ac44b6b85ebf2b8499e89bfa5f0b2b524</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>CR.cc</name>
    <path>src/</path>
    <filename>_c_r_8cc.html</filename>
    <includes id="_c_r_8h" name="CR.h" local="yes" imported="no">lsst/meas/algorithms/CR.h</includes>
    <includes id="_interp_8h" name="Interp.h" local="yes" imported="no">lsst/meas/algorithms/Interp.h</includes>
    <class kind="class">lsst::afw::detection::IdSpan</class>
    <class kind="struct">lsst::afw::detection::IdSpanCompar</class>
    <namespace>lsst::meas::algorithms</namespace>
    <member kind="function">
      <type>int</type>
      <name>resolve_alias</name>
      <anchorfile>namespacelsst_1_1afw_1_1detection.html</anchorfile>
      <anchor>a05e8ce2a015d66464fdfcb819a1baef3</anchor>
      <arglist>(const std::vector&lt; int &gt; &amp;aliases, int id)</arglist>
    </member>
    <member kind="function">
      <type>std::vector&lt; std::shared_ptr&lt; afw::detection::Footprint &gt; &gt;</type>
      <name>findCosmicRays</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms.html</anchorfile>
      <anchor>a94030ae95a58518d8246e1e516fe7364</anchor>
      <arglist>(MaskedImageT &amp;mimage, afw::detection::Psf const &amp;psf, double const bkgd, daf::base::PropertySet const &amp;ps, bool const keep)</arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>id</name>
      <anchorfile>_c_r_8cc.html</anchorfile>
      <anchor>a7441ef0865bcb3db9b8064dd7375c1ea</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>col</name>
      <anchorfile>_c_r_8cc.html</anchorfile>
      <anchor>afb52e720f5f0c483db5861f9e42e924e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>row</name>
      <anchorfile>_c_r_8cc.html</anchorfile>
      <anchor>af1d3cff2e4538e23400e260bae3dadad</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>ImageT</type>
      <name>val</name>
      <anchorfile>_c_r_8cc.html</anchorfile>
      <anchor>a10847cc0ae3b28567f1c75d8b3a0b75e</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>DoubleGaussianPsf.cc</name>
    <path>src/</path>
    <filename>_double_gaussian_psf_8cc.html</filename>
    <includes id="_double_gaussian_psf_8h" name="DoubleGaussianPsf.h" local="yes" imported="no">lsst/meas/algorithms/DoubleGaussianPsf.h</includes>
    <namespace>lsst::meas::algorithms</namespace>
    <member kind="variable">
      <type>afw::table::Schema</type>
      <name>schema</name>
      <anchorfile>_double_gaussian_psf_8cc.html</anchorfile>
      <anchor>aaa4258db5c2341f49267f8d5e2568856</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>afw::table::PointKey&lt; int &gt;</type>
      <name>dimensions</name>
      <anchorfile>_double_gaussian_psf_8cc.html</anchorfile>
      <anchor>a83a84e8df1f40682096f21c0f36c8af1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>afw::table::Key&lt; double &gt;</type>
      <name>sigma1</name>
      <anchorfile>_double_gaussian_psf_8cc.html</anchorfile>
      <anchor>ada2361ed11f352772bd602cf242a6d3a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>afw::table::Key&lt; double &gt;</type>
      <name>sigma2</name>
      <anchorfile>_double_gaussian_psf_8cc.html</anchorfile>
      <anchor>aaef4a6fad37463df3e20f67cc0b3a05b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>afw::table::Key&lt; double &gt;</type>
      <name>b</name>
      <anchorfile>_double_gaussian_psf_8cc.html</anchorfile>
      <anchor>affc8e9a1dff57595449eb62d94737813</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>ImagePca.cc</name>
    <path>src/</path>
    <filename>_image_pca_8cc.html</filename>
    <includes id="_image_pca_8h" name="ImagePca.h" local="yes" imported="no">lsst/meas/algorithms/ImagePca.h</includes>
    <namespace>lsst::meas::algorithms</namespace>
    <member kind="define">
      <type>#define</type>
      <name>INSTANTIATE_IMAGE</name>
      <anchorfile>_image_pca_8cc.html</anchorfile>
      <anchor>ac5eb23c520af0623f4fcf9a34edd055a</anchor>
      <arglist>(IMAGE)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>INSTANTIATE</name>
      <anchorfile>_image_pca_8cc.html</anchorfile>
      <anchor>ae986b3f9b593d66506121dc23ed923c4</anchor>
      <arglist>(TYPE)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>ImagePsf.cc</name>
    <path>src/</path>
    <filename>_image_psf_8cc.html</filename>
    <includes id="_image_psf_8h" name="ImagePsf.h" local="yes" imported="no">lsst/meas/algorithms/ImagePsf.h</includes>
    <namespace>lsst::meas::algorithms</namespace>
  </compound>
  <compound kind="file">
    <name>Interp.cc</name>
    <path>src/</path>
    <filename>_interp_8cc.html</filename>
    <includes id="_interp_8h" name="Interp.h" local="yes" imported="no">lsst/meas/algorithms/Interp.h</includes>
    <namespace>lsst::meas::algorithms</namespace>
    <member kind="typedef">
      <type>std::vector&lt; Defect::Ptr &gt;::const_iterator</type>
      <name>DefectCIter</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms.html</anchorfile>
      <anchor>a007b9c9476857e125332f0f83531723c</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>interpolateOverDefects</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms.html</anchorfile>
      <anchor>a6fa06865b55b57d5f536969ed45cb552</anchor>
      <arglist>(MaskedImageT &amp;mimage, afw::detection::Psf const &amp;, std::vector&lt; Defect::Ptr &gt; &amp;_badList, double fallbackValue, bool useFallbackValueAtEdge)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>KernelPsf.cc</name>
    <path>src/</path>
    <filename>_kernel_psf_8cc.html</filename>
    <includes id="_kernel_psf_8h" name="KernelPsf.h" local="yes" imported="no">lsst/meas/algorithms/KernelPsf.h</includes>
    <includes id="_kernel_psf_factory_8h" name="KernelPsfFactory.h" local="yes" imported="no">lsst/meas/algorithms/KernelPsfFactory.h</includes>
    <namespace>lsst::meas::algorithms</namespace>
  </compound>
  <compound kind="file">
    <name>PsfCandidate.cc</name>
    <path>src/</path>
    <filename>_psf_candidate_8cc.html</filename>
    <includes id="_psf_candidate_8h" name="PsfCandidate.h" local="yes" imported="no">lsst/meas/algorithms/PsfCandidate.h</includes>
    <namespace>lsst::meas::algorithms</namespace>
  </compound>
  <compound kind="file">
    <name>SpatialModelPsf.cc</name>
    <path>src/</path>
    <filename>_spatial_model_psf_8cc.html</filename>
    <includes id="_image_pca_8h" name="ImagePca.h" local="yes" imported="no">lsst/meas/algorithms/ImagePca.h</includes>
    <includes id="_spatial_model_psf_8h" name="SpatialModelPsf.h" local="yes" imported="no">lsst/meas/algorithms/SpatialModelPsf.h</includes>
    <includes id="_psf_candidate_8h" name="PsfCandidate.h" local="yes" imported="no">lsst/meas/algorithms/PsfCandidate.h</includes>
    <class kind="class">lsst::meas::algorithms::evalChi2Visitor</class>
    <class kind="class">lsst::meas::algorithms::MinimizeChi2</class>
    <namespace>lsst::meas::algorithms</namespace>
    <member kind="function">
      <type>std::pair&lt; std::shared_ptr&lt; afw::math::LinearCombinationKernel &gt;, std::vector&lt; double &gt; &gt;</type>
      <name>createKernelFromPsfCandidates</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms.html</anchorfile>
      <anchor>a19225d6e07599fcc9263d79af92f2507</anchor>
      <arglist>(afw::math::SpatialCellSet const  &amp;psfCells, lsst::geom::Extent2I const  &amp;dims, lsst::geom::Point2I const  &amp;xy0, int const nEigenComponents, int const spatialOrder, int const ksize, int const nStarPerCell, bool const constantWeight, int const border)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>countPsfCandidates</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms.html</anchorfile>
      <anchor>a2b2ce402b0bd21531e5c594953c88fe4</anchor>
      <arglist>(afw::math::SpatialCellSet const  &amp;psfCells, int const nStarPerCell)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSpatialParameters</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms.html</anchorfile>
      <anchor>a921d1fa760b51142eb221614fe22e467</anchor>
      <arglist>(afw::math::Kernel *kernel, std::vector&lt; double &gt; const &amp;coeffs)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSpatialParameters</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms.html</anchorfile>
      <anchor>a14eb2545eb67fe1cc39b48b169d884df</anchor>
      <arglist>(afw::math::Kernel *kernel, Eigen::VectorXd const &amp;vec)</arglist>
    </member>
    <member kind="function">
      <type>std::pair&lt; bool, double &gt;</type>
      <name>fitSpatialKernelFromPsfCandidates</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms.html</anchorfile>
      <anchor>a77b54cff9eef9afd1298e0048563289c</anchor>
      <arglist>(afw::math::Kernel *kernel, afw::math::SpatialCellSet const  &amp;psfCells, int const nStarPerCell, double const tolerance, double const lambda)</arglist>
    </member>
    <member kind="function">
      <type>std::pair&lt; bool, double &gt;</type>
      <name>fitSpatialKernelFromPsfCandidates</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms.html</anchorfile>
      <anchor>a19b57d1aa1e4b17638a5e3794faca352</anchor>
      <arglist>(afw::math::Kernel *kernel, afw::math::SpatialCellSet const  &amp;psfCells, bool const doNonLinearFit, int const nStarPerCell, double const tolerance, double const lambda)</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>subtractPsf</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms.html</anchorfile>
      <anchor>a2c4b45dd104a0f5345481180cf1b049d</anchor>
      <arglist>(afw::detection::Psf const &amp;psf, MaskedImageT *data, double x, double y, double psfFlux)</arglist>
    </member>
    <member kind="function">
      <type>std::pair&lt; std::vector&lt; double &gt;, afw::math::KernelList &gt;</type>
      <name>fitKernelParamsToImage</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms.html</anchorfile>
      <anchor>a2c823f9a99cc179f60fee8980a57e5ce</anchor>
      <arglist>(afw::math::LinearCombinationKernel const  &amp;kernel, Image const  &amp;image, geom::Point2D const  &amp;pos)</arglist>
    </member>
    <member kind="function">
      <type>std::pair&lt; std::shared_ptr&lt; afw::math::Kernel &gt;, std::pair&lt; double, double &gt; &gt;</type>
      <name>fitKernelToImage</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms.html</anchorfile>
      <anchor>a4e88824042150e4b416dee145b5a7547</anchor>
      <arglist>(afw::math::LinearCombinationKernel const  &amp;kernel, Image const  &amp;image, geom::Point2D const  &amp;pos)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>WarpedPsf.cc</name>
    <path>src/</path>
    <filename>_warped_psf_8cc.html</filename>
    <includes id="_warped_psf_8h" name="WarpedPsf.h" local="yes" imported="no">lsst/meas/algorithms/WarpedPsf.h</includes>
    <namespace>lsst::meas::algorithms</namespace>
    <member kind="function" virtualness="virtual">
      <type>virtual std::shared_ptr&lt; afw::table::io::Persistable &gt;</type>
      <name>read</name>
      <anchorfile>_warped_psf_8cc.html</anchorfile>
      <anchor>ac4ceb9b5be471bac0a18bff9dce5de0a</anchor>
      <arglist>(afw::table::io::InputArchive const &amp;archive, afw::table::io::CatalogVector const &amp;catalogs) const</arglist>
    </member>
    <member kind="variable">
      <type>geom::Point2D</type>
      <name>src_position</name>
      <anchorfile>_warped_psf_8cc.html</anchorfile>
      <anchor>ad1edc073abd60dab6f7252776a0807a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>geom::AffineTransform</type>
      <name>src_to_dest_unrounded</name>
      <anchorfile>_warped_psf_8cc.html</anchorfile>
      <anchor>ad960dc2e880ecdf8cd58b1e182abeb57</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>afw::table::Schema</type>
      <name>schema</name>
      <anchorfile>_warped_psf_8cc.html</anchorfile>
      <anchor>aaa4258db5c2341f49267f8d5e2568856</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>afw::table::Key&lt; int &gt;</type>
      <name>psfIndex</name>
      <anchorfile>_warped_psf_8cc.html</anchorfile>
      <anchor>a8c0267d2ad574678e38e8d26d9bbab78</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>afw::table::Key&lt; int &gt;</type>
      <name>transformIndex</name>
      <anchorfile>_warped_psf_8cc.html</anchorfile>
      <anchor>a74bbc64b5a877d4763a32ca7036dc563</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>afw::table::Key&lt; int &gt;</type>
      <name>controlIndex</name>
      <anchorfile>_warped_psf_8cc.html</anchorfile>
      <anchor>a1ac0b16e376311cfcc619ef01b485723</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::afw::detection::IdSpan</name>
    <filename>classlsst_1_1afw_1_1detection_1_1_id_span.html</filename>
    <member kind="typedef">
      <type>std::shared_ptr&lt; IdSpan &gt;</type>
      <name>Ptr</name>
      <anchorfile>classlsst_1_1afw_1_1detection_1_1_id_span.html</anchorfile>
      <anchor>a14ea08342e4afb7b1ff1a2e9cb72691b</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>std::shared_ptr&lt; const IdSpan &gt;</type>
      <name>ConstPtr</name>
      <anchorfile>classlsst_1_1afw_1_1detection_1_1_id_span.html</anchorfile>
      <anchor>a2bb6960df83ea9bf15f7f430109ee277</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>IdSpan</name>
      <anchorfile>classlsst_1_1afw_1_1detection_1_1_id_span.html</anchorfile>
      <anchor>aeed60a921d2453ef45dad8b6c1176d04</anchor>
      <arglist>(int id, int y, int x0, int x1)</arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>id</name>
      <anchorfile>classlsst_1_1afw_1_1detection_1_1_id_span.html</anchorfile>
      <anchor>a942b1654ed2a0409dac8435c56e1e7ae</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>y</name>
      <anchorfile>classlsst_1_1afw_1_1detection_1_1_id_span.html</anchorfile>
      <anchor>acd57613ac69297a1a9b891b9caccde4e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>x0</name>
      <anchorfile>classlsst_1_1afw_1_1detection_1_1_id_span.html</anchorfile>
      <anchor>a67ff8b657e858e1767e5c39829e4e755</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>x1</name>
      <anchorfile>classlsst_1_1afw_1_1detection_1_1_id_span.html</anchorfile>
      <anchor>a2d703306787f798fca7b7ad1e8dd00d5</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>lsst::afw::detection::IdSpanCompar</name>
    <filename>structlsst_1_1afw_1_1detection_1_1_id_span_compar.html</filename>
    <member kind="function">
      <type>bool</type>
      <name>operator()</name>
      <anchorfile>structlsst_1_1afw_1_1detection_1_1_id_span_compar.html</anchorfile>
      <anchor>ad63978a5d0a49cd08a6b49594e5be5f5</anchor>
      <arglist>(const IdSpan::ConstPtr a, const IdSpan::ConstPtr b)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::gdb::meas::algorithms::printers::CRPixelPrinter</name>
    <filename>classlsst_1_1gdb_1_1meas_1_1algorithms_1_1printers_1_1_c_r_pixel_printer.html</filename>
    <member kind="function">
      <type>def</type>
      <name>__init__</name>
      <anchorfile>classlsst_1_1gdb_1_1meas_1_1algorithms_1_1printers_1_1_c_r_pixel_printer.html</anchorfile>
      <anchor>a7cb1676343a7e786f0c3675ae3372eba</anchor>
      <arglist>(self, val)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>to_string</name>
      <anchorfile>classlsst_1_1gdb_1_1meas_1_1algorithms_1_1printers_1_1_c_r_pixel_printer.html</anchorfile>
      <anchor>abe2c61a68fac1fc6c0c284ffe73ddb9d</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>val</name>
      <anchorfile>classlsst_1_1gdb_1_1meas_1_1algorithms_1_1printers_1_1_c_r_pixel_printer.html</anchorfile>
      <anchor>ab6dfa7b8bae465f802a4c195aaea7548</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::accumulator_mean_stack::AccumulatorMeanStack</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1accumulator__mean__stack_1_1_accumulator_mean_stack.html</filename>
    <member kind="function">
      <type>def</type>
      <name>__init__</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1accumulator__mean__stack_1_1_accumulator_mean_stack.html</anchorfile>
      <anchor>a16f014af26b8d1552ac444f2dda893c8</anchor>
      <arglist>(self, shape, bit_mask_value, mask_threshold_dict={}, mask_map=[], no_good_pixels_mask=None, calc_error_from_input_variance=True, compute_n_image=False)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>add_masked_image</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1accumulator__mean__stack_1_1_accumulator_mean_stack.html</anchorfile>
      <anchor>ac6b9941aa38d32824f9a9bcc3d4c9705</anchor>
      <arglist>(self, masked_image, weight=1.0)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>fill_stacked_masked_image</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1accumulator__mean__stack_1_1_accumulator_mean_stack.html</anchorfile>
      <anchor>af76ba8d0ad554c487e3ae6296dd1cce0</anchor>
      <arglist>(self, stacked_masked_image)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>add_image</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1accumulator__mean__stack_1_1_accumulator_mean_stack.html</anchorfile>
      <anchor>af0984418d1752b1ac1e8f24025d319ff</anchor>
      <arglist>(self, image, weight=1.0)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>fill_stacked_image</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1accumulator__mean__stack_1_1_accumulator_mean_stack.html</anchorfile>
      <anchor>a221904c72fa98205a3950956198f85f4</anchor>
      <arglist>(self, stacked_image)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>def</type>
      <name>stats_ctrl_to_threshold_dict</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1accumulator__mean__stack_1_1_accumulator_mean_stack.html</anchorfile>
      <anchor>ae3ddd45eab01a698c0296a2600d31810</anchor>
      <arglist>(stats_ctrl)</arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>shape</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1accumulator__mean__stack_1_1_accumulator_mean_stack.html</anchorfile>
      <anchor>a1d5846adc4a240741117e9e9e8c4ab05</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>bit_mask_value</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1accumulator__mean__stack_1_1_accumulator_mean_stack.html</anchorfile>
      <anchor>a153dd566d51a1753cbe32ad4f9cc7ad0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>mask_map</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1accumulator__mean__stack_1_1_accumulator_mean_stack.html</anchorfile>
      <anchor>ab2d31494c7e5b96a8ce068cb053d9506</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>no_good_pixels_mask</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1accumulator__mean__stack_1_1_accumulator_mean_stack.html</anchorfile>
      <anchor>a91cb236ed7a298ef70fde8e1105a85e3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>calc_error_from_input_variance</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1accumulator__mean__stack_1_1_accumulator_mean_stack.html</anchorfile>
      <anchor>a6176bad6c275f4dda336ea960a806f91</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>compute_n_image</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1accumulator__mean__stack_1_1_accumulator_mean_stack.html</anchorfile>
      <anchor>af1040d71e9f6946e4c065a95021accb7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>mask_threshold_dict</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1accumulator__mean__stack_1_1_accumulator_mean_stack.html</anchorfile>
      <anchor>acea292d5595e31d4b35a23feba455702</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>sum_weight</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1accumulator__mean__stack_1_1_accumulator_mean_stack.html</anchorfile>
      <anchor>a19049b33da0780bb2eba760a8cbb9344</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>sum_wdata</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1accumulator__mean__stack_1_1_accumulator_mean_stack.html</anchorfile>
      <anchor>acea0a9904bc58a51ecbc29721ed46208</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>sum_w2var</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1accumulator__mean__stack_1_1_accumulator_mean_stack.html</anchorfile>
      <anchor>aae7671ce68a3a273c782a607a63e9e81</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>sum_weight2</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1accumulator__mean__stack_1_1_accumulator_mean_stack.html</anchorfile>
      <anchor>a31a8e65b847ec1f74bba2f5f0571bf55</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>sum_wdata2</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1accumulator__mean__stack_1_1_accumulator_mean_stack.html</anchorfile>
      <anchor>a648c9693a000bf4410030656d27b95c7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>or_mask</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1accumulator__mean__stack_1_1_accumulator_mean_stack.html</anchorfile>
      <anchor>adce1efa71b5e9e0f8e19f0f627107ba4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>rejected_weights_by_bit</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1accumulator__mean__stack_1_1_accumulator_mean_stack.html</anchorfile>
      <anchor>ad6dd5e6a92a98b811f4dc2a59a6799d6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>masked_pixels_mask</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1accumulator__mean__stack_1_1_accumulator_mean_stack.html</anchorfile>
      <anchor>aecfc752984160e4ade6557c03222306e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>n_image</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1accumulator__mean__stack_1_1_accumulator_mean_stack.html</anchorfile>
      <anchor>a1c80391a0cd3624b7fc6069f931fcfda</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::astrometrySourceSelector::AstrometrySourceSelectorConfig</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1astrometry_source_selector_1_1_astrometry_source_selector_config.html</filename>
    <base>lsst::meas::algorithms::sourceSelector::BaseSourceSelectorConfig</base>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>badFlags</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1astrometry_source_selector_1_1_astrometry_source_selector_config.html</anchorfile>
      <anchor>ae054e7428722fa5848ad4d1dda12dd04</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>sourceFluxType</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1astrometry_source_selector_1_1_astrometry_source_selector_config.html</anchorfile>
      <anchor>a53968eda7e5b41d9651a2a14953f2fc2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>minSnr</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1astrometry_source_selector_1_1_astrometry_source_selector_config.html</anchorfile>
      <anchor>a56cb02c8e62b601926b46a15a5717fe9</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::astrometrySourceSelector::AstrometrySourceSelectorTask</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1astrometry_source_selector_1_1_astrometry_source_selector_task.html</filename>
    <base>lsst::meas::algorithms::sourceSelector::BaseSourceSelectorTask</base>
    <member kind="function">
      <type>def</type>
      <name>__init__</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1astrometry_source_selector_1_1_astrometry_source_selector_task.html</anchorfile>
      <anchor>a477cbc4bc7e69cc8e7fc5a63f1aec7a6</anchor>
      <arglist>(self, *args, **kwargs)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>selectSources</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1astrometry_source_selector_1_1_astrometry_source_selector_task.html</anchorfile>
      <anchor>a9a005b2305844720209f1ee0676e2a66</anchor>
      <arglist>(self, sourceCat, matches=None, exposure=None)</arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>parentKey</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1astrometry_source_selector_1_1_astrometry_source_selector_task.html</anchorfile>
      <anchor>ac69fb3b14effda14f3cee0368225f0f8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>nChildKey</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1astrometry_source_selector_1_1_astrometry_source_selector_task.html</anchorfile>
      <anchor>a18277ae9f82de22c1511abb99f458bc9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>centroidXKey</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1astrometry_source_selector_1_1_astrometry_source_selector_task.html</anchorfile>
      <anchor>af221262e45a3491c8209c27ec7454680</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>centroidYKey</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1astrometry_source_selector_1_1_astrometry_source_selector_task.html</anchorfile>
      <anchor>ae8990a9d4d547a1e6ecdf362234569fa</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>centroidXErrKey</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1astrometry_source_selector_1_1_astrometry_source_selector_task.html</anchorfile>
      <anchor>a234f9afe85246ad28f5b2b99e1478e14</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>centroidYErrKey</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1astrometry_source_selector_1_1_astrometry_source_selector_task.html</anchorfile>
      <anchor>a5b6617fc4e26b4bc099bd3457ea0c5f8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>centroidFlagKey</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1astrometry_source_selector_1_1_astrometry_source_selector_task.html</anchorfile>
      <anchor>af7eb31b5336d846663a8ad32e0085aed</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>edgeKey</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1astrometry_source_selector_1_1_astrometry_source_selector_task.html</anchorfile>
      <anchor>a7ed57719624e9c3f0bcd681a74ac2fc9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>interpolatedCenterKey</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1astrometry_source_selector_1_1_astrometry_source_selector_task.html</anchorfile>
      <anchor>ad975f0cf920983d7f13d8c18a7f4f9e0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>saturatedKey</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1astrometry_source_selector_1_1_astrometry_source_selector_task.html</anchorfile>
      <anchor>af11d27c96c3ace7bbd7a77204b602441</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>instFluxKey</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1astrometry_source_selector_1_1_astrometry_source_selector_task.html</anchorfile>
      <anchor>a0550004383a5cb4a11e1d41fa082a967</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>fluxFlagKey</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1astrometry_source_selector_1_1_astrometry_source_selector_task.html</anchorfile>
      <anchor>a4788bef0a563e12fcdebdfc6610a871c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>instFluxErrKey</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1astrometry_source_selector_1_1_astrometry_source_selector_task.html</anchorfile>
      <anchor>aabe819cba42c3c8fd834bc154636c76f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>AstrometrySourceSelectorConfig</type>
      <name>ConfigClass</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1astrometry_source_selector_1_1_astrometry_source_selector_task.html</anchorfile>
      <anchor>ac66aac31d9cb60b7ba40392b7933bd58</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_getSchemaKeys</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1astrometry_source_selector_1_1_astrometry_source_selector_task.html</anchorfile>
      <anchor>ab9c5518742bf49b78504f87047b029fe</anchor>
      <arglist>(self, schema)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_isMultiple</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1astrometry_source_selector_1_1_astrometry_source_selector_task.html</anchorfile>
      <anchor>aa8480078a952f50d94e62852ec2859e1</anchor>
      <arglist>(self, sourceCat)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_hasCentroid</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1astrometry_source_selector_1_1_astrometry_source_selector_task.html</anchorfile>
      <anchor>a1402033aa51531b26f1a5a1cbca1971f</anchor>
      <arglist>(self, sourceCat)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_goodSN</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1astrometry_source_selector_1_1_astrometry_source_selector_task.html</anchorfile>
      <anchor>ae85e71b3c269d226d5bd2ea0a1060e47</anchor>
      <arglist>(self, sourceCat)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_isUsable</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1astrometry_source_selector_1_1_astrometry_source_selector_task.html</anchorfile>
      <anchor>a25f3262435a60edf4989998c8b310705</anchor>
      <arglist>(self, sourceCat)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_isGood</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1astrometry_source_selector_1_1_astrometry_source_selector_task.html</anchorfile>
      <anchor>ab16747a194022dfd9fb47651ac0e7572</anchor>
      <arglist>(self, sourceCat)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_isBadFlagged</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1astrometry_source_selector_1_1_astrometry_source_selector_task.html</anchorfile>
      <anchor>aad12126e489dee4b6cf6accb049a755c</anchor>
      <arglist>(self, source)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::brightStarStamps::BrightStarStamp</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1bright_star_stamps_1_1_bright_star_stamp.html</filename>
    <base>lsst::meas::algorithms::stamps::AbstractStamp</base>
    <member kind="function">
      <type>def</type>
      <name>factory</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1bright_star_stamps_1_1_bright_star_stamp.html</anchorfile>
      <anchor>a3873f798480df04657114dca78ccc4fa</anchor>
      <arglist>(cls, stamp_im, metadata, idx, archive_element=None)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>measureAndNormalize</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1bright_star_stamps_1_1_bright_star_stamp.html</anchorfile>
      <anchor>af378d861486e9255b86df7df5764eaaf</anchor>
      <arglist>(self, annulus, statsControl=afwMath.StatisticsControl(), statsFlag=afwMath.stringToStatisticsProperty(&quot;MEAN&quot;), badMaskPlanes=(&apos;BAD&apos;, &apos;SAT&apos;, &apos;NO_DATA&apos;))</arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>annularFlux</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1bright_star_stamps_1_1_bright_star_stamp.html</anchorfile>
      <anchor>a774298148abb432ac7fbbc584b39f178</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>MaskedImageF</type>
      <name>stamp_im</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1bright_star_stamps_1_1_bright_star_stamp.html</anchorfile>
      <anchor>acfa30a21be24fde4c85b786f3d980255</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>float</type>
      <name>gaiaGMag</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1bright_star_stamps_1_1_bright_star_stamp.html</anchorfile>
      <anchor>aad93c1194962642091fb0d24bb44ba0f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>int</type>
      <name>gaiaId</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1bright_star_stamps_1_1_bright_star_stamp.html</anchorfile>
      <anchor>af70eb616bca42c54f3dfb2420adf2347</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>Point2I</type>
      <name>position</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1bright_star_stamps_1_1_bright_star_stamp.html</anchorfile>
      <anchor>a0044c2590949c682a7058a73de9d362e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>Optional</type>
      <name>archive_element</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1bright_star_stamps_1_1_bright_star_stamp.html</anchorfile>
      <anchor>ad8a7e87adace3caf914315d630d3345d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>Optional</type>
      <name>annularFlux</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1bright_star_stamps_1_1_bright_star_stamp.html</anchorfile>
      <anchor>a63ba99725e05b5b7ba70504e841bc11b</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::brightStarStamps::BrightStarStamps</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1bright_star_stamps_1_1_bright_star_stamps.html</filename>
    <base>lsst::meas::algorithms::stamps::Stamps</base>
    <member kind="function">
      <type>def</type>
      <name>__init__</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1bright_star_stamps_1_1_bright_star_stamps.html</anchorfile>
      <anchor>a27f1b2be34752b1cdd65aeb6b608b58f</anchor>
      <arglist>(self, starStamps, innerRadius=None, outerRadius=None, nb90Rots=None, metadata=None, use_mask=True, use_variance=False, use_archive=False)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>initAndNormalize</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1bright_star_stamps_1_1_bright_star_stamps.html</anchorfile>
      <anchor>ad90d492fbf5fcdfd2d875fd26e93a304</anchor>
      <arglist>(cls, starStamps, innerRadius, outerRadius, nb90Rots=None, metadata=None, use_mask=True, use_variance=False, use_archive=False, imCenter=None, discardNanFluxObjects=True, statsControl=afwMath.StatisticsControl(), statsFlag=afwMath.stringToStatisticsProperty(&quot;MEAN&quot;), badMaskPlanes=(&apos;BAD&apos;, &apos;SAT&apos;, &apos;NO_DATA&apos;))</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>readFits</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1bright_star_stamps_1_1_bright_star_stamps.html</anchorfile>
      <anchor>a61bb95a444359bf677e308713ed0c078</anchor>
      <arglist>(cls, filename)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>readFitsWithOptions</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1bright_star_stamps_1_1_bright_star_stamps.html</anchorfile>
      <anchor>a8c6b5210fb232f7dbc01cb6de93afa21</anchor>
      <arglist>(cls, filename, options)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>append</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1bright_star_stamps_1_1_bright_star_stamps.html</anchorfile>
      <anchor>a62d95af14014f84e057db9e229b6d83b</anchor>
      <arglist>(self, item, innerRadius=None, outerRadius=None)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>extend</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1bright_star_stamps_1_1_bright_star_stamps.html</anchorfile>
      <anchor>a98033e3b5fa6eebb34b3a679a11c80f0</anchor>
      <arglist>(self, bss)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getMagnitudes</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1bright_star_stamps_1_1_bright_star_stamps.html</anchorfile>
      <anchor>a9d5ac06c7bcc00f0578bd01cc827fd06</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getGaiaIds</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1bright_star_stamps_1_1_bright_star_stamps.html</anchorfile>
      <anchor>a108d3e7109ba7ff2f3a9e85f7baa1f75</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getAnnularFluxes</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1bright_star_stamps_1_1_bright_star_stamps.html</anchorfile>
      <anchor>a85201834accc8212deda494ac3c54d47</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>selectByMag</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1bright_star_stamps_1_1_bright_star_stamps.html</anchorfile>
      <anchor>a6e234c3ee54f542e930c339753d200ea</anchor>
      <arglist>(self, magMin=None, magMax=None)</arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>normalized</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1bright_star_stamps_1_1_bright_star_stamps.html</anchorfile>
      <anchor>a98849b04efb09b5f956881500da041f1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>nb90Rots</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1bright_star_stamps_1_1_bright_star_stamps.html</anchorfile>
      <anchor>a738b9dea7e8e80da4761a39e4478f476</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_refresh_metadata</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1bright_star_stamps_1_1_bright_star_stamps.html</anchorfile>
      <anchor>a97ea7132c3551d1dfe8f64730c443f78</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_checkRadius</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1bright_star_stamps_1_1_bright_star_stamps.html</anchorfile>
      <anchor>aa84bbafc7d3f32e687b035e4216f97da</anchor>
      <arglist>(self, innerRadius, outerRadius)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_checkNormalization</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1bright_star_stamps_1_1_bright_star_stamps.html</anchorfile>
      <anchor>a3f1d944262775eeb95d4230ced7d49d5</anchor>
      <arglist>(self, normalize, innerRadius, outerRadius)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_outerRadius</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1bright_star_stamps_1_1_bright_star_stamps.html</anchorfile>
      <anchor>a34e070ca8465ece0aa998b6e07638b10</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::CoaddBoundedField</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1_coadd_bounded_field.html</filename>
    <base>PersistableFacade&lt; CoaddBoundedField &gt;</base>
    <base>lsst::afw::math::BoundedField</base>
    <class kind="class">lsst::meas::algorithms::CoaddBoundedField::Factory</class>
    <member kind="typedef">
      <type>CoaddBoundedFieldElement</type>
      <name>Element</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_coadd_bounded_field.html</anchorfile>
      <anchor>a3b70f48aa22bda9fa670f378980d6191</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>std::vector&lt; Element &gt;</type>
      <name>ElementVector</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_coadd_bounded_field.html</anchorfile>
      <anchor>a101f59905af4bed680a0e4abccb170f6</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CoaddBoundedField</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_coadd_bounded_field.html</anchorfile>
      <anchor>a19bdf58fe19a108dd4c85bd76fab98f9</anchor>
      <arglist>(geom::Box2I const &amp;bbox, std::shared_ptr&lt; afw::geom::SkyWcs const &gt; coaddWcs, ElementVector const &amp;elements)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CoaddBoundedField</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_coadd_bounded_field.html</anchorfile>
      <anchor>a974e0cbf0aee5823922c882a1707b4dc</anchor>
      <arglist>(geom::Box2I const &amp;bbox, std::shared_ptr&lt; afw::geom::SkyWcs const &gt; coaddWcs, ElementVector const &amp;elements, double default_)</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>evaluate</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_coadd_bounded_field.html</anchorfile>
      <anchor>ab8257345c2830953228457163a8f7457</anchor>
      <arglist>(geom::Point2D const &amp;position) const override</arglist>
    </member>
    <member kind="function">
      <type>std::shared_ptr&lt; afw::geom::SkyWcs const &gt;</type>
      <name>getCoaddWcs</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_coadd_bounded_field.html</anchorfile>
      <anchor>a6a52bcbf8e8eaa45be56c70913680879</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>getDefault</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_coadd_bounded_field.html</anchorfile>
      <anchor>a5e498c9743a78b5b9b93252fbacadce0</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>ElementVector</type>
      <name>getElements</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_coadd_bounded_field.html</anchorfile>
      <anchor>a6be10fc599b0093840205549e82c37c7</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isPersistable</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_coadd_bounded_field.html</anchorfile>
      <anchor>a62878269b494776d393ff8b63b4fedb1</anchor>
      <arglist>() const noexcept override</arglist>
    </member>
    <member kind="function">
      <type>std::shared_ptr&lt; afw::math::BoundedField &gt;</type>
      <name>operator*</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_coadd_bounded_field.html</anchorfile>
      <anchor>a862e28b0bc18e2cbc132dd63b1de9aef</anchor>
      <arglist>(double const scale) const override</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_coadd_bounded_field.html</anchorfile>
      <anchor>adc460705cdebe0476e53726969944c2d</anchor>
      <arglist>(BoundedField const &amp;rhs) const override</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>std::string</type>
      <name>getPersistenceName</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_coadd_bounded_field.html</anchorfile>
      <anchor>afc5ad2f03972f2ea23a3addffbc3f929</anchor>
      <arglist>() const override</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>std::string</type>
      <name>getPythonModule</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_coadd_bounded_field.html</anchorfile>
      <anchor>ab0d94caef23e1727f73827664988f13a</anchor>
      <arglist>() const override</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>write</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_coadd_bounded_field.html</anchorfile>
      <anchor>a77f1a81d510dcaa20055b75b645db9e1</anchor>
      <arglist>(OutputArchiveHandle &amp;handle) const override</arglist>
    </member>
    <member kind="function" protection="private">
      <type>std::string</type>
      <name>toString</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_coadd_bounded_field.html</anchorfile>
      <anchor>acd0247dd8568f0e8bf1ffd6116d17d08</anchor>
      <arglist>() const override</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::CoaddBoundedField::Factory</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1_coadd_bounded_field_1_1_factory.html</filename>
    <base>lsst::afw::table::io::PersistableFactory</base>
    <member kind="function" virtualness="virtual">
      <type>virtual std::shared_ptr&lt; afw::table::io::Persistable &gt;</type>
      <name>read</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_coadd_bounded_field_1_1_factory.html</anchorfile>
      <anchor>adde4612bdf7c62342ac2a21f15dfa871</anchor>
      <arglist>(InputArchive const &amp;archive, CatalogVector const &amp;catalogs) const</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Factory</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_coadd_bounded_field_1_1_factory.html</anchorfile>
      <anchor>a5c7a224fccb0d2273b7df0b82b3c1c99</anchor>
      <arglist>(std::string const &amp;name)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>lsst::meas::algorithms::CoaddBoundedFieldElement</name>
    <filename>structlsst_1_1meas_1_1algorithms_1_1_coadd_bounded_field_element.html</filename>
    <member kind="function">
      <type></type>
      <name>CoaddBoundedFieldElement</name>
      <anchorfile>structlsst_1_1meas_1_1algorithms_1_1_coadd_bounded_field_element.html</anchorfile>
      <anchor>a9b773a5484ae5df9fd4577a498969513</anchor>
      <arglist>(std::shared_ptr&lt; afw::math::BoundedField &gt; field_, std::shared_ptr&lt; afw::geom::SkyWcs const &gt; wcs_, std::shared_ptr&lt; afw::geom::polygon::Polygon const &gt; validPolygon_, double weight_=1.0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>structlsst_1_1meas_1_1algorithms_1_1_coadd_bounded_field_element.html</anchorfile>
      <anchor>acf6cc6c6023362f5134c697413410ba8</anchor>
      <arglist>(CoaddBoundedFieldElement const &amp;rhs) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator!=</name>
      <anchorfile>structlsst_1_1meas_1_1algorithms_1_1_coadd_bounded_field_element.html</anchorfile>
      <anchor>a345bd91a31529854d7439038d49ebec7</anchor>
      <arglist>(CoaddBoundedFieldElement const &amp;rhs) const</arglist>
    </member>
    <member kind="variable">
      <type>std::shared_ptr&lt; afw::math::BoundedField &gt;</type>
      <name>field</name>
      <anchorfile>structlsst_1_1meas_1_1algorithms_1_1_coadd_bounded_field_element.html</anchorfile>
      <anchor>a3bacff65045982a68418ab3c138037f6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>std::shared_ptr&lt; afw::geom::SkyWcs const  &gt;</type>
      <name>wcs</name>
      <anchorfile>structlsst_1_1meas_1_1algorithms_1_1_coadd_bounded_field_element.html</anchorfile>
      <anchor>a25b1463fec4c4bf70b82c161ee7155be</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>std::shared_ptr&lt; afw::geom::polygon::Polygon const  &gt;</type>
      <name>validPolygon</name>
      <anchorfile>structlsst_1_1meas_1_1algorithms_1_1_coadd_bounded_field_element.html</anchorfile>
      <anchor>a71e9c1b9da3dd0727330fb4835b70ec3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>double</type>
      <name>weight</name>
      <anchorfile>structlsst_1_1meas_1_1algorithms_1_1_coadd_bounded_field_element.html</anchorfile>
      <anchor>ac2839423937b36681ee2d96150f54a89</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::CoaddPsf</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1_coadd_psf.html</filename>
    <base>PersistableFacade&lt; CoaddPsf &gt;</base>
    <base>lsst::meas::algorithms::ImagePsf</base>
    <class kind="class">lsst::meas::algorithms::CoaddPsf::Factory</class>
    <member kind="function">
      <type></type>
      <name>CoaddPsf</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_coadd_psf.html</anchorfile>
      <anchor>aab61d06889e56985a3292c846e08c579</anchor>
      <arglist>(afw::table::ExposureCatalog const &amp;catalog, afw::geom::SkyWcs const &amp;coaddWcs, std::string const &amp;weightFieldName=&quot;weight&quot;, std::string const &amp;warpingKernelName=&quot;lanczos3&quot;, int cacheSize=10000)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CoaddPsf</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_coadd_psf.html</anchorfile>
      <anchor>a0c2900a98cf36863724172d68e7d12c3</anchor>
      <arglist>(afw::table::ExposureCatalog const &amp;catalog, afw::geom::SkyWcs const &amp;coaddWcs, CoaddPsfControl const &amp;ctrl, std::string const &amp;weightFieldName=&quot;weight&quot;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CoaddPsf</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_coadd_psf.html</anchorfile>
      <anchor>ae4849e3fdc2dbf1f25bd500b73f8cd36</anchor>
      <arglist>(afw::table::ExposureCatalog const &amp;catalog, afw::geom::SkyWcs const &amp;coaddWcs, geom::Point2D const &amp;averagePosition, std::string const &amp;warpingKernelName=&quot;lanczos3&quot;, int cacheSize=10000)</arglist>
    </member>
    <member kind="function">
      <type>std::shared_ptr&lt; afw::detection::Psf &gt;</type>
      <name>clone</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_coadd_psf.html</anchorfile>
      <anchor>a08925e55d0f8ce4f5577135968740f9d</anchor>
      <arglist>() const override</arglist>
    </member>
    <member kind="function">
      <type>std::shared_ptr&lt; afw::detection::Psf &gt;</type>
      <name>resized</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_coadd_psf.html</anchorfile>
      <anchor>a80a577eaa936578ade4a770fa63f5340</anchor>
      <arglist>(int width, int height) const override</arglist>
    </member>
    <member kind="function">
      <type>geom::Point2D</type>
      <name>getAveragePosition</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_coadd_psf.html</anchorfile>
      <anchor>acc79bf3bf483cdcc9a9c08f8f0b22954</anchor>
      <arglist>() const override</arglist>
    </member>
    <member kind="function">
      <type>afw::geom::SkyWcs</type>
      <name>getCoaddWcs</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_coadd_psf.html</anchorfile>
      <anchor>a86b2ad263ca1a6ade020573c08d2d0eb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getComponentCount</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_coadd_psf.html</anchorfile>
      <anchor>ad7ea8b3236f3ce50d6b2f01721a0a42c</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>std::shared_ptr&lt; afw::detection::Psf const &gt;</type>
      <name>getPsf</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_coadd_psf.html</anchorfile>
      <anchor>a33becb912129ae4d9aba2b8624760d5b</anchor>
      <arglist>(int index)</arglist>
    </member>
    <member kind="function">
      <type>afw::geom::SkyWcs</type>
      <name>getWcs</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_coadd_psf.html</anchorfile>
      <anchor>af26242f6dd82c435cc2abb02ace8570e</anchor>
      <arglist>(int index)</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>getWeight</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_coadd_psf.html</anchorfile>
      <anchor>a298c259ea25aeb07c50fe6c3b5eb3578</anchor>
      <arglist>(int index)</arglist>
    </member>
    <member kind="function">
      <type>afw::table::RecordId</type>
      <name>getId</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_coadd_psf.html</anchorfile>
      <anchor>a37dc13fc0793e3f324ae0f8d678032ca</anchor>
      <arglist>(int index)</arglist>
    </member>
    <member kind="function">
      <type>geom::Box2I</type>
      <name>getBBox</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_coadd_psf.html</anchorfile>
      <anchor>a3ce453541181bedd6206b43b150a524c</anchor>
      <arglist>(int index)</arglist>
    </member>
    <member kind="function">
      <type>std::shared_ptr&lt; afw::geom::polygon::Polygon const &gt;</type>
      <name>getValidPolygon</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_coadd_psf.html</anchorfile>
      <anchor>a6f90ab7e534c5de51a0b562a11304176</anchor>
      <arglist>(int index)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isPersistable</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_coadd_psf.html</anchorfile>
      <anchor>a37c36fb556e87255a36d3d172f3cb0b5</anchor>
      <arglist>() const noexcept override</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>std::shared_ptr&lt; afw::detection::Psf::Image &gt;</type>
      <name>doComputeKernelImage</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_coadd_psf.html</anchorfile>
      <anchor>a63f58cb8d57d37fb31019bd26d8dd3c2</anchor>
      <arglist>(geom::Point2D const &amp;ccdXY, afw::image::Color const &amp;color) const override</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>geom::Box2I</type>
      <name>doComputeBBox</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_coadd_psf.html</anchorfile>
      <anchor>ab4e29cb677c9262cd35f220a45e64756</anchor>
      <arglist>(geom::Point2D const &amp;position, afw::image::Color const &amp;color) const override</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>std::string</type>
      <name>getPersistenceName</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_coadd_psf.html</anchorfile>
      <anchor>a06ce5c792248fd1985f5f1194ee45fd0</anchor>
      <arglist>() const override</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>std::string</type>
      <name>getPythonModule</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_coadd_psf.html</anchorfile>
      <anchor>a2603cda2b19b6b660e0a59696bb2bd59</anchor>
      <arglist>() const override</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>write</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_coadd_psf.html</anchorfile>
      <anchor>a23a2f2d73d7222327d6f8f7ad2772c85</anchor>
      <arglist>(OutputArchiveHandle &amp;handle) const override</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual double</type>
      <name>doComputeApertureFlux</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_image_psf.html</anchorfile>
      <anchor>ac65fdc8887dc9b3e0fb040a8eac1e34c</anchor>
      <arglist>(double radius, geom::Point2D const &amp;position, afw::image::Color const &amp;color) const</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual afw::geom::ellipses::Quadrupole</type>
      <name>doComputeShape</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_image_psf.html</anchorfile>
      <anchor>ab06992b76a5d5088ca1b96f046a8fd7c</anchor>
      <arglist>(geom::Point2D const &amp;position, afw::image::Color const &amp;color) const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::CoaddPsf::Factory</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1_coadd_psf_1_1_factory.html</filename>
    <base>lsst::afw::table::io::PersistableFactory</base>
    <member kind="function" virtualness="virtual">
      <type>virtual std::shared_ptr&lt; afw::table::io::Persistable &gt;</type>
      <name>read</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_coadd_psf_1_1_factory.html</anchorfile>
      <anchor>abaf4e2c27f274b40d1f4d06f763d4f70</anchor>
      <arglist>(InputArchive const &amp;archive, CatalogVector const &amp;catalogs) const</arglist>
    </member>
    <member kind="function">
      <type>std::shared_ptr&lt; afw::table::io::Persistable &gt;</type>
      <name>readV0</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_coadd_psf_1_1_factory.html</anchorfile>
      <anchor>a96fb9a6a63e2fac3a8000be2e1a0ea01</anchor>
      <arglist>(InputArchive const &amp;archive, CatalogVector const &amp;catalogs) const</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Factory</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_coadd_psf_1_1_factory.html</anchorfile>
      <anchor>abc3353a350483e2fdd3183a59bfe5a2c</anchor>
      <arglist>(std::string const &amp;name)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::CoaddPsfControl</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1_coadd_psf_control.html</filename>
    <member kind="function">
      <type></type>
      <name>CoaddPsfControl</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_coadd_psf_control.html</anchorfile>
      <anchor>a779918a456b928bedbc9feb0a047ee55</anchor>
      <arglist>(std::string _warpingKernelName=&quot;lanczos3&quot;, int _cacheSize=10000)</arglist>
    </member>
    <member kind="variable">
      <type>std::string</type>
      <name>warpingKernelName</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_coadd_psf_control.html</anchorfile>
      <anchor>adb9e0e5b45f577269d31f197fc1ba47b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>cacheSize</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_coadd_psf_control.html</anchorfile>
      <anchor>a8f63fd8c7a07a2c4d302194285cb2682</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::convertRefcatManager::ConvertGaiaManager</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1convert_refcat_manager_1_1_convert_gaia_manager.html</filename>
    <base>lsst::meas::algorithms::convertRefcatManager::ConvertRefcatManager</base>
    <member kind="function">
      <type>def</type>
      <name>__init__</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_refcat_manager_1_1_convert_gaia_manager.html</anchorfile>
      <anchor>aae2dab61ed219f3889c3a41433dae2a1</anchor>
      <arglist>(self, *args, **kwargs)</arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>properMotionUnit</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_refcat_manager_1_1_convert_gaia_manager.html</anchorfile>
      <anchor>abcd39f13a7342acad35cf3845dd21f62</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>parallaxUnit</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_refcat_manager_1_1_convert_gaia_manager.html</anchorfile>
      <anchor>a1c6b520718bb9c96630c1e7c110e9c9d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>outputUnit</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_refcat_manager_1_1_convert_gaia_manager.html</anchorfile>
      <anchor>a0cb26e81578c8d0bd4989921c3833d9a</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_getFluxes</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_refcat_manager_1_1_convert_gaia_manager.html</anchorfile>
      <anchor>a246d578270410e05a55a87fb6b09f21c</anchor>
      <arglist>(self, input)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_setCoordinateCovariance</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_refcat_manager_1_1_convert_gaia_manager.html</anchorfile>
      <anchor>a7544c2a405154f35a3132d1ee1ea7364</anchor>
      <arglist>(self, record, row)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::convertRefcatManager::ConvertGaiaXpManager</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1convert_refcat_manager_1_1_convert_gaia_xp_manager.html</filename>
    <base>lsst::meas::algorithms::convertRefcatManager::ConvertRefcatManager</base>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_getFluxes</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_refcat_manager_1_1_convert_gaia_xp_manager.html</anchorfile>
      <anchor>afbcea3fb4d162d5b77c93ac693f2317f</anchor>
      <arglist>(self, inputData)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::convertRefcatManager::ConvertRefcatManager</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1convert_refcat_manager_1_1_convert_refcat_manager.html</filename>
    <member kind="function">
      <type>def</type>
      <name>__init__</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_refcat_manager_1_1_convert_refcat_manager.html</anchorfile>
      <anchor>a51721db69e627c5c7f45b30131707d16</anchor>
      <arglist>(self, filenames, config, file_reader, indexer, schema, key_map, htmRange, addRefCatMetadata, log)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>run</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_refcat_manager_1_1_convert_refcat_manager.html</anchorfile>
      <anchor>a3971a8640f899f6f5d8b780fe510864d</anchor>
      <arglist>(self, inputFiles)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getCatalog</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_refcat_manager_1_1_convert_refcat_manager.html</anchorfile>
      <anchor>ac7bf9a52c54c0412b38f968e8665ac6e</anchor>
      <arglist>(self, pixelId, schema, nNewElements)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>def</type>
      <name>computeCoord</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_refcat_manager_1_1_convert_refcat_manager.html</anchorfile>
      <anchor>a5bdbc63bc9d57ecce21e3949ee5e578f</anchor>
      <arglist>(row, ra_name, dec_name)</arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>filenames</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_refcat_manager_1_1_convert_refcat_manager.html</anchorfile>
      <anchor>a6105b1612050cb339519339beab88ee2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>config</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_refcat_manager_1_1_convert_refcat_manager.html</anchorfile>
      <anchor>a11e408a72a81f6510010b3ff7c73598c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>file_reader</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_refcat_manager_1_1_convert_refcat_manager.html</anchorfile>
      <anchor>a11b3a8fc7f2ecb8378259d151975fb99</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>indexer</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_refcat_manager_1_1_convert_refcat_manager.html</anchorfile>
      <anchor>a70b1477167f6ed43b89595bf29ca9377</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>schema</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_refcat_manager_1_1_convert_refcat_manager.html</anchorfile>
      <anchor>a457e7840b56881c3374961e681a48456</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>key_map</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_refcat_manager_1_1_convert_refcat_manager.html</anchorfile>
      <anchor>a198a00a85c0ac30d76be43131ca7d3ab</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>htmRange</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_refcat_manager_1_1_convert_refcat_manager.html</anchorfile>
      <anchor>a2198da1049095087a1ce144136d2e389</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>addRefCatMetadata</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_refcat_manager_1_1_convert_refcat_manager.html</anchorfile>
      <anchor>a34ca2fe25901df364dc8ec940d640267</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>log</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_refcat_manager_1_1_convert_refcat_manager.html</anchorfile>
      <anchor>abe58cf1b63351bbc49ddb3e15bb6c11e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>coord_err_unit</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_refcat_manager_1_1_convert_refcat_manager.html</anchorfile>
      <anchor>a779ca8045cb541179f8fa66a276c41b8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>nInputFiles</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_refcat_manager_1_1_convert_refcat_manager.html</anchorfile>
      <anchor>a267c915dc49293e726834788d81ad804</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>ConvertRefcatManagerConfig</type>
      <name>ConfigClass</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_refcat_manager_1_1_convert_refcat_manager.html</anchorfile>
      <anchor>ac67e5cfc684fc30b26c61ee03c0b56fa</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_convertOneFile</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_refcat_manager_1_1_convert_refcat_manager.html</anchorfile>
      <anchor>adc699c712fe9c6600919ff132efd90ab</anchor>
      <arglist>(self, filename, fileLocks)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_doOnePixel</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_refcat_manager_1_1_convert_refcat_manager.html</anchorfile>
      <anchor>a90f6f31bf8be3f51204f36cdf2ca3977</anchor>
      <arglist>(self, inputData, matchedPixels, pixelId, fluxes, coordErr)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_setIds</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_refcat_manager_1_1_convert_refcat_manager.html</anchorfile>
      <anchor>a3c62a2e0a12f531b1538f1b8a4fe13b9</anchor>
      <arglist>(self, inputData, catalog)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_getCoordErr</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_refcat_manager_1_1_convert_refcat_manager.html</anchorfile>
      <anchor>a7d1ab48e7b408384a7b9a936df57791d</anchor>
      <arglist>(self, inputData)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_setFlags</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_refcat_manager_1_1_convert_refcat_manager.html</anchorfile>
      <anchor>a06fb30253b6dea826018db85cc53d946</anchor>
      <arglist>(self, record, row)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_getFluxes</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_refcat_manager_1_1_convert_refcat_manager.html</anchorfile>
      <anchor>a659e236641004b80c8efb82c0a6b10ed</anchor>
      <arglist>(self, inputData)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_setProperMotion</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_refcat_manager_1_1_convert_refcat_manager.html</anchorfile>
      <anchor>a78c192a7db841761a774211e4937c568</anchor>
      <arglist>(self, record, row)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_setParallax</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_refcat_manager_1_1_convert_refcat_manager.html</anchorfile>
      <anchor>a9157e9df41294d6b87e55d086e563c8b</anchor>
      <arglist>(self, record, row)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_epochToMjdTai</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_refcat_manager_1_1_convert_refcat_manager.html</anchorfile>
      <anchor>a0bea72d4f6200629aaca06f87738377a</anchor>
      <arglist>(self, nativeEpoch)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_setCoordinateCovariance</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_refcat_manager_1_1_convert_refcat_manager.html</anchorfile>
      <anchor>ab3325743420649e9c351b5dd5d1b9a0e</anchor>
      <arglist>(self, record, row)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_setExtra</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_refcat_manager_1_1_convert_refcat_manager.html</anchorfile>
      <anchor>a22838b023ca67047d4befff746ad684c</anchor>
      <arglist>(self, record, row)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_fillRecord</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_refcat_manager_1_1_convert_refcat_manager.html</anchorfile>
      <anchor>a4f9cc5dd9e99b6852d7d3512cb571766</anchor>
      <arglist>(self, record, row)</arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>list</type>
      <name>_flags</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_refcat_manager_1_1_convert_refcat_manager.html</anchorfile>
      <anchor>afe7c7c2c071737e601caf4340b23b1b5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>str</type>
      <name>_DefaultName</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_refcat_manager_1_1_convert_refcat_manager.html</anchorfile>
      <anchor>a6aeccb9cbf355cc233113ff1a5c074b7</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::convertRefcatManager::ConvertRefcatManagerConfig</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1convert_refcat_manager_1_1_convert_refcat_manager_config.html</filename>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::convertReferenceCatalog::ConvertReferenceCatalogConfig</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1convert_reference_catalog_1_1_convert_reference_catalog_config.html</filename>
    <member kind="function">
      <type>def</type>
      <name>setDefaults</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_reference_catalog_1_1_convert_reference_catalog_config.html</anchorfile>
      <anchor>a3f40805e6a3eacfdcffa1deddfc6cfd4</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>validate</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_reference_catalog_1_1_convert_reference_catalog_config.html</anchorfile>
      <anchor>ac682fdb5fb79666b3efbafbafe7665f2</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>dataset_config</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_reference_catalog_1_1_convert_reference_catalog_config.html</anchorfile>
      <anchor>a6fc677aab1bafec9986ccb4c1586421a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>n_processes</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_reference_catalog_1_1_convert_reference_catalog_config.html</anchorfile>
      <anchor>a09432915d64a6c7c926b969b12ed8aef</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>manager</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_reference_catalog_1_1_convert_reference_catalog_config.html</anchorfile>
      <anchor>aee9f9f1b5ee893cd44f5cfb4e662b261</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>file_reader</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_reference_catalog_1_1_convert_reference_catalog_config.html</anchorfile>
      <anchor>a869de95ca535369557e473d7d5ab24d7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>ra_name</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_reference_catalog_1_1_convert_reference_catalog_config.html</anchorfile>
      <anchor>a036a4f674bf41c1722a23243ef03e71f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>dec_name</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_reference_catalog_1_1_convert_reference_catalog_config.html</anchorfile>
      <anchor>aa270e8305fe74734f28340bf37bb54fd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>ra_err_name</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_reference_catalog_1_1_convert_reference_catalog_config.html</anchorfile>
      <anchor>a03c0f5164752f9dc1ab523e8d172e194</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>dec_err_name</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_reference_catalog_1_1_convert_reference_catalog_config.html</anchorfile>
      <anchor>a028d02d5bd514e1f10886621f82c2884</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>coord_err_unit</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_reference_catalog_1_1_convert_reference_catalog_config.html</anchorfile>
      <anchor>a8e5d20f5612c33b2bcb332fa26a38f2b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>mag_column_list</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_reference_catalog_1_1_convert_reference_catalog_config.html</anchorfile>
      <anchor>af9d5b91f7e2f422254dcb7d5d16611c7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>mag_err_column_map</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_reference_catalog_1_1_convert_reference_catalog_config.html</anchorfile>
      <anchor>aa47fa41b0c978d9c75abd88663fd66b6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>is_photometric_name</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_reference_catalog_1_1_convert_reference_catalog_config.html</anchorfile>
      <anchor>a62372537f0ddad63a643e0e0a0414d7c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>is_resolved_name</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_reference_catalog_1_1_convert_reference_catalog_config.html</anchorfile>
      <anchor>aae38b67f9f152519aeed2b0db29f17a4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>is_variable_name</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_reference_catalog_1_1_convert_reference_catalog_config.html</anchorfile>
      <anchor>a42a7e08d73e379712ba4d09b1e16a302</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>id_name</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_reference_catalog_1_1_convert_reference_catalog_config.html</anchorfile>
      <anchor>ae29e3f38aa61caa318aa448b6b8fe5b3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>pm_ra_name</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_reference_catalog_1_1_convert_reference_catalog_config.html</anchorfile>
      <anchor>a38191b80bf4d83766a277bb460dd3a98</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>pm_dec_name</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_reference_catalog_1_1_convert_reference_catalog_config.html</anchorfile>
      <anchor>ac36856c6ff6be34e6c8ba9f10a12e93a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>pm_ra_err_name</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_reference_catalog_1_1_convert_reference_catalog_config.html</anchorfile>
      <anchor>a1cfe00f46b91bdacfeb1fc6155b2a84a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>pm_dec_err_name</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_reference_catalog_1_1_convert_reference_catalog_config.html</anchorfile>
      <anchor>a510a4d88a9397f6a204fb3ff02dac717</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>pm_scale</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_reference_catalog_1_1_convert_reference_catalog_config.html</anchorfile>
      <anchor>a8a87a57a9c6ba6e51b116e8e3169d882</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>parallax_name</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_reference_catalog_1_1_convert_reference_catalog_config.html</anchorfile>
      <anchor>a3483e3b326fd1af4b4d05e13628bfa35</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>parallax_err_name</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_reference_catalog_1_1_convert_reference_catalog_config.html</anchorfile>
      <anchor>a7838d7b8642b91a7660eaefe07e21f96</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>parallax_scale</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_reference_catalog_1_1_convert_reference_catalog_config.html</anchorfile>
      <anchor>aa597fc86af11a9b6b03a2b41de05d60f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>full_position_information</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_reference_catalog_1_1_convert_reference_catalog_config.html</anchorfile>
      <anchor>aa8dcdeac0a48c9f714d096b8201db405</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>epoch_name</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_reference_catalog_1_1_convert_reference_catalog_config.html</anchorfile>
      <anchor>add359097a3a0ed1fd785766001bd5d4b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>epoch_format</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_reference_catalog_1_1_convert_reference_catalog_config.html</anchorfile>
      <anchor>a888220a367023563e0802d1f84ddc780</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>epoch_scale</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_reference_catalog_1_1_convert_reference_catalog_config.html</anchorfile>
      <anchor>a28ef7b33b7a9b2c8f0f43a1977c33a2d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>extra_col_names</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_reference_catalog_1_1_convert_reference_catalog_config.html</anchorfile>
      <anchor>a9f86a1c4a442f59e921aeea33c79485a</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::convertReferenceCatalog::ConvertReferenceCatalogTask</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1convert_reference_catalog_1_1_convert_reference_catalog_task.html</filename>
    <member kind="function">
      <type>def</type>
      <name>__init__</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_reference_catalog_1_1_convert_reference_catalog_task.html</anchorfile>
      <anchor>aa898ef62fca249fdf781280f143d4314</anchor>
      <arglist>(self, *output_dir=None, **kwargs)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>run</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_reference_catalog_1_1_convert_reference_catalog_task.html</anchorfile>
      <anchor>a98d535c2fcfac5cad5f0fb6b0a9ef637</anchor>
      <arglist>(self, inputFiles)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>makeSchema</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_reference_catalog_1_1_convert_reference_catalog_task.html</anchorfile>
      <anchor>a6264035a27a6baf2058ae62d56a93a34</anchor>
      <arglist>(self, dtype)</arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>base_dir</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_reference_catalog_1_1_convert_reference_catalog_task.html</anchorfile>
      <anchor>a8cbcd3da84a1a788fa64621558388335</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>output_dir</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_reference_catalog_1_1_convert_reference_catalog_task.html</anchorfile>
      <anchor>ab802728ef1dcf06839c5778148ed272f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>ingest_table_file</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_reference_catalog_1_1_convert_reference_catalog_task.html</anchorfile>
      <anchor>a50402fd735b5aad2a2587d1474365bdf</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>indexer</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_reference_catalog_1_1_convert_reference_catalog_task.html</anchorfile>
      <anchor>ac0510231824c5cef4ef0870684b0d067</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>bool</type>
      <name>canMultiprocess</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_reference_catalog_1_1_convert_reference_catalog_task.html</anchorfile>
      <anchor>a1b93b34e1d22e1b085ad607b4fbf6d8f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>ConvertReferenceCatalogConfig</type>
      <name>ConfigClass</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_reference_catalog_1_1_convert_reference_catalog_task.html</anchorfile>
      <anchor>ac6d1e3b0520f5a5e0e5de1d042d51856</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_writeIngestHelperFile</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_reference_catalog_1_1_convert_reference_catalog_task.html</anchorfile>
      <anchor>ad9009da18f57e6f643a6208d251d3dd2</anchor>
      <arglist>(self, result)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_writeConfig</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_reference_catalog_1_1_convert_reference_catalog_task.html</anchorfile>
      <anchor>a0783c0382c1c9ac20c9f833ec61df8f9</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_getOutputFilenames</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_reference_catalog_1_1_convert_reference_catalog_task.html</anchorfile>
      <anchor>a04c71aa59585266ed683138f6563eef8</anchor>
      <arglist>(self, htm)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_writeMasterSchema</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_reference_catalog_1_1_convert_reference_catalog_task.html</anchorfile>
      <anchor>a27de90032f282ceb68154062ba03665f</anchor>
      <arglist>(self, inputfile)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_reduce_kwargs</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_reference_catalog_1_1_convert_reference_catalog_task.html</anchorfile>
      <anchor>a13f007684bcb63cf2b26e0567a246aa0</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>str</type>
      <name>_DefaultName</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_reference_catalog_1_1_convert_reference_catalog_task.html</anchorfile>
      <anchor>ae7988f564c340cd8f7940d8ee88149f6</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::convertReferenceCatalog::DatasetConfig</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1convert_reference_catalog_1_1_dataset_config.html</filename>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>format_version</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_reference_catalog_1_1_dataset_config.html</anchorfile>
      <anchor>a1425943465a61b3b305fd5372330ec4b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>ref_dataset_name</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_reference_catalog_1_1_dataset_config.html</anchorfile>
      <anchor>a4a76a97193557add434ae7ff3d502691</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>IndexerRegistry</type>
      <name>indexer</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1convert_reference_catalog_1_1_dataset_config.html</anchorfile>
      <anchor>a5492dfa04d5f0944e44e32974e47e570</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::Defect</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1_defect.html</filename>
    <base>lsst::afw::image::DefectBase</base>
    <member kind="enumeration">
      <type></type>
      <name>DefectPosition</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_defect.html</anchorfile>
      <anchor>a830586a83de94381289d7a39d81683c5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>LEFT</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_defect.html</anchorfile>
      <anchor>a830586a83de94381289d7a39d81683c5ae3a1eed768f4956b153657fc096275cf</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>NEAR_LEFT</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_defect.html</anchorfile>
      <anchor>a830586a83de94381289d7a39d81683c5a1e24d72336b9bc5f521c6037e578a106</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>WIDE_LEFT</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_defect.html</anchorfile>
      <anchor>a830586a83de94381289d7a39d81683c5a2bcdd09e757cdbbe28ce21c42eb14dc8</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>MIDDLE</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_defect.html</anchorfile>
      <anchor>a830586a83de94381289d7a39d81683c5a51396c33af7f50459a61a146c84d20c0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>WIDE_NEAR_LEFT</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_defect.html</anchorfile>
      <anchor>a830586a83de94381289d7a39d81683c5a613345a208bbebc1afd037f34ad27f19</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>WIDE</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_defect.html</anchorfile>
      <anchor>a830586a83de94381289d7a39d81683c5a0263b6638204604e63614af69e6507bc</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>WIDE_NEAR_RIGHT</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_defect.html</anchorfile>
      <anchor>a830586a83de94381289d7a39d81683c5af5ca7f00383c5b6aa94415992b6e3d28</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>NEAR_RIGHT</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_defect.html</anchorfile>
      <anchor>a830586a83de94381289d7a39d81683c5a199affba1d46c7d18daa7448a082651b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>WIDE_RIGHT</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_defect.html</anchorfile>
      <anchor>a830586a83de94381289d7a39d81683c5a3067efbfa6236eae3e7c79eafe59f9cc</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>RIGHT</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_defect.html</anchorfile>
      <anchor>a830586a83de94381289d7a39d81683c5ac8ea3a8e2ecae7d54449382234f04bdd</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>WIDE_DEFECT</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_defect.html</anchorfile>
      <anchor>a1efc38bd0e15069f923fb1b81f197282a5d26892d12d9a5c7968f2b286a76de40</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>std::shared_ptr&lt; Defect &gt;</type>
      <name>Ptr</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_defect.html</anchorfile>
      <anchor>a70dc62278d64d86bc97d20e8bdfb7107</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>LEFT</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_defect.html</anchorfile>
      <anchor>a830586a83de94381289d7a39d81683c5ae3a1eed768f4956b153657fc096275cf</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>NEAR_LEFT</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_defect.html</anchorfile>
      <anchor>a830586a83de94381289d7a39d81683c5a1e24d72336b9bc5f521c6037e578a106</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>WIDE_LEFT</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_defect.html</anchorfile>
      <anchor>a830586a83de94381289d7a39d81683c5a2bcdd09e757cdbbe28ce21c42eb14dc8</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>MIDDLE</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_defect.html</anchorfile>
      <anchor>a830586a83de94381289d7a39d81683c5a51396c33af7f50459a61a146c84d20c0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>WIDE_NEAR_LEFT</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_defect.html</anchorfile>
      <anchor>a830586a83de94381289d7a39d81683c5a613345a208bbebc1afd037f34ad27f19</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>WIDE</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_defect.html</anchorfile>
      <anchor>a830586a83de94381289d7a39d81683c5a0263b6638204604e63614af69e6507bc</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>WIDE_NEAR_RIGHT</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_defect.html</anchorfile>
      <anchor>a830586a83de94381289d7a39d81683c5af5ca7f00383c5b6aa94415992b6e3d28</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>NEAR_RIGHT</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_defect.html</anchorfile>
      <anchor>a830586a83de94381289d7a39d81683c5a199affba1d46c7d18daa7448a082651b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>WIDE_RIGHT</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_defect.html</anchorfile>
      <anchor>a830586a83de94381289d7a39d81683c5a3067efbfa6236eae3e7c79eafe59f9cc</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>RIGHT</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_defect.html</anchorfile>
      <anchor>a830586a83de94381289d7a39d81683c5ac8ea3a8e2ecae7d54449382234f04bdd</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>WIDE_DEFECT</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_defect.html</anchorfile>
      <anchor>a1efc38bd0e15069f923fb1b81f197282a5d26892d12d9a5c7968f2b286a76de40</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Defect</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_defect.html</anchorfile>
      <anchor>a9a5e112f6335abf20d1e4bcc86310cfd</anchor>
      <arglist>(const geom::BoxI &amp;bbox=geom::BoxI())</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Defect</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_defect.html</anchorfile>
      <anchor>a8e0068d6e91b87d10b3fa6c9fd880716</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>classify</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_defect.html</anchorfile>
      <anchor>a56a2cb39d57b753fed38a1fc5934a911</anchor>
      <arglist>(DefectPosition pos, unsigned int type)</arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>getType</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_defect.html</anchorfile>
      <anchor>a3032aa8e9d92992e61c52be186489484</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>DefectPosition</type>
      <name>getPos</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_defect.html</anchorfile>
      <anchor>a9de77a3a38cffdf58d3377d09de91e9f</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::detection::SourceDetectionConfig</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1detection_1_1_source_detection_config.html</filename>
    <member kind="function">
      <type>def</type>
      <name>setDefaults</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1detection_1_1_source_detection_config.html</anchorfile>
      <anchor>ad90e76d5a4ec423850be7d494ff94c36</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>minPixels</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1detection_1_1_source_detection_config.html</anchorfile>
      <anchor>a36864905c337b537f6649eeffe02dfaa</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>isotropicGrow</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1detection_1_1_source_detection_config.html</anchorfile>
      <anchor>aaf92848db5e5c2cd1ed196c0b4f1e40f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>combinedGrow</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1detection_1_1_source_detection_config.html</anchorfile>
      <anchor>a917e20bbb4620149bcd45ebbbdf213c1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>nSigmaToGrow</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1detection_1_1_source_detection_config.html</anchorfile>
      <anchor>ad75543507599da3873db7291cc87d438</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>returnOriginalFootprints</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1detection_1_1_source_detection_config.html</anchorfile>
      <anchor>a0ae78d130fbf8bdc2f0dad5aeb2c61de</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>thresholdValue</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1detection_1_1_source_detection_config.html</anchorfile>
      <anchor>a992f0c63cc8db0124aa2a346b51bc159</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>includeThresholdMultiplier</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1detection_1_1_source_detection_config.html</anchorfile>
      <anchor>a2748aaa8164f30bb16da3f14c42b580b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>thresholdType</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1detection_1_1_source_detection_config.html</anchorfile>
      <anchor>a6866d536871c7d1c720a16e634dee07f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>thresholdPolarity</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1detection_1_1_source_detection_config.html</anchorfile>
      <anchor>aac4180dfd64c3fef116bfeb54f5ba65b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>adjustBackground</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1detection_1_1_source_detection_config.html</anchorfile>
      <anchor>a5e7e6f63cb8696129242e6eec159e311</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>reEstimateBackground</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1detection_1_1_source_detection_config.html</anchorfile>
      <anchor>a28e1af2a7265261133540145b155fde2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>background</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1detection_1_1_source_detection_config.html</anchorfile>
      <anchor>a95c0f112f858b9b0e16fc39985e4ce26</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>tempLocalBackground</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1detection_1_1_source_detection_config.html</anchorfile>
      <anchor>a6339f1e9c6fc9d1c447bd4577c1a2a06</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>doTempLocalBackground</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1detection_1_1_source_detection_config.html</anchorfile>
      <anchor>a91eb8237d2d8c514a6a2e1566ec7fe79</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>tempWideBackground</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1detection_1_1_source_detection_config.html</anchorfile>
      <anchor>a1aee4a752ee677b7d80d3ecadcd3ffb8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>doTempWideBackground</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1detection_1_1_source_detection_config.html</anchorfile>
      <anchor>a6bfcbc12198a9b8e90c6c14f3764baeb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>nPeaksMaxSimple</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1detection_1_1_source_detection_config.html</anchorfile>
      <anchor>a47bcd3b4c09ca0f1464f9a31591a80d5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>nSigmaForKernel</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1detection_1_1_source_detection_config.html</anchorfile>
      <anchor>a11970fec42a09275f27567e21cd00904</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>statsMask</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1detection_1_1_source_detection_config.html</anchorfile>
      <anchor>af1b7d0224b34ba76a7a2d90ce346830b</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::detection::SourceDetectionTask</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1detection_1_1_source_detection_task.html</filename>
    <member kind="function">
      <type>def</type>
      <name>__init__</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1detection_1_1_source_detection_task.html</anchorfile>
      <anchor>a358d79970e15b8544cee902f0b25fb96</anchor>
      <arglist>(self, schema=None, **kwds)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>run</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1detection_1_1_source_detection_task.html</anchorfile>
      <anchor>a4f2b5f9b8d8016e595d03ab1a5db2135</anchor>
      <arglist>(self, table, exposure, doSmooth=True, sigma=None, clearMask=True, expId=None)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>display</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1detection_1_1_source_detection_task.html</anchorfile>
      <anchor>aa260459f4c7eeb33e00cf703260b5660</anchor>
      <arglist>(self, exposure, results, convolvedImage=None)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>applyTempLocalBackground</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1detection_1_1_source_detection_task.html</anchorfile>
      <anchor>a56dc0f325133db02a888e0b8d9ce6b39</anchor>
      <arglist>(self, exposure, middle, results)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>clearMask</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1detection_1_1_source_detection_task.html</anchorfile>
      <anchor>aa00f628db79f8644a34e4704e201949a</anchor>
      <arglist>(self, mask)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>calculateKernelSize</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1detection_1_1_source_detection_task.html</anchorfile>
      <anchor>ac9d16d748e1d0855e1c006392da0f18e</anchor>
      <arglist>(self, sigma)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getPsf</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1detection_1_1_source_detection_task.html</anchorfile>
      <anchor>a19df75544d501ea496e1909ddfed6bc8</anchor>
      <arglist>(self, exposure, sigma=None)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>convolveImage</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1detection_1_1_source_detection_task.html</anchorfile>
      <anchor>a4ffd8442580a431e4c92c310f74a8857</anchor>
      <arglist>(self, maskedImage, psf, doSmooth=True)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>applyThreshold</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1detection_1_1_source_detection_task.html</anchorfile>
      <anchor>ab940fe10ee6dbbac4e2000b15218f5f5</anchor>
      <arglist>(self, middle, bbox, factor=1.0)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>finalizeFootprints</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1detection_1_1_source_detection_task.html</anchorfile>
      <anchor>a7f82fc0464108ca6529ed10896773bb4</anchor>
      <arglist>(self, mask, results, sigma, factor=1.0)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>reEstimateBackground</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1detection_1_1_source_detection_task.html</anchorfile>
      <anchor>a6db2811b3b1473f4390ce80de6e18144</anchor>
      <arglist>(self, maskedImage, backgrounds)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>clearUnwantedResults</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1detection_1_1_source_detection_task.html</anchorfile>
      <anchor>a9bbf395890da02b0394ee655fc24f8d0</anchor>
      <arglist>(self, mask, results)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>detectFootprints</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1detection_1_1_source_detection_task.html</anchorfile>
      <anchor>a587704dd1a11050df493592ca65a8d87</anchor>
      <arglist>(self, exposure, doSmooth=True, sigma=None, clearMask=True, expId=None)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>setPeakSignificance</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1detection_1_1_source_detection_task.html</anchorfile>
      <anchor>a467b64803a915c7cf2d82f057de6b122</anchor>
      <arglist>(self, exposure, footprints, threshold, negative=False)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>makeThreshold</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1detection_1_1_source_detection_task.html</anchorfile>
      <anchor>a375312dfeb9e23dab8ed743a0b012894</anchor>
      <arglist>(self, image, thresholdParity, factor=1.0)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>updatePeaks</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1detection_1_1_source_detection_task.html</anchorfile>
      <anchor>a7438943b929004a73f112c2518814e51</anchor>
      <arglist>(self, fpSet, image, threshold)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>tempWideBackgroundContext</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1detection_1_1_source_detection_task.html</anchorfile>
      <anchor>a08816d0435a50cf5246a164cd72dec7a</anchor>
      <arglist>(self, exposure)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>def</type>
      <name>setEdgeBits</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1detection_1_1_source_detection_task.html</anchorfile>
      <anchor>a9500c88724685bed064252cd49bc9eb2</anchor>
      <arglist>(maskedImage, goodBBox, edgeBitmask)</arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>negativeFlagKey</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1detection_1_1_source_detection_task.html</anchorfile>
      <anchor>a80799dfcc08a6e1eb1e5f034963fe790</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>SourceDetectionConfig</type>
      <name>ConfigClass</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1detection_1_1_source_detection_task.html</anchorfile>
      <anchor>aa022a7f9a1bbc3d3347ae815783f1ca0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>str</type>
      <name>_DefaultName</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1detection_1_1_source_detection_task.html</anchorfile>
      <anchor>aa8837e3d64dda0cbb8cd79c34b7088cc</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::DoubleGaussianPsf</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1_double_gaussian_psf.html</filename>
    <base>PersistableFacade&lt; DoubleGaussianPsf &gt;</base>
    <base>lsst::meas::algorithms::KernelPsf</base>
    <member kind="function">
      <type></type>
      <name>DoubleGaussianPsf</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_double_gaussian_psf.html</anchorfile>
      <anchor>a50f16a92f26e8ad9b9c5308a8020d5fa</anchor>
      <arglist>(int width, int height, double sigma1, double sigma2=0.0, double b=0.0)</arglist>
    </member>
    <member kind="function">
      <type>std::shared_ptr&lt; afw::detection::Psf &gt;</type>
      <name>clone</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_double_gaussian_psf.html</anchorfile>
      <anchor>ac7e1c5d1773664d3b822a6fa3fdcd1cf</anchor>
      <arglist>() const override</arglist>
    </member>
    <member kind="function">
      <type>std::shared_ptr&lt; afw::detection::Psf &gt;</type>
      <name>resized</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_double_gaussian_psf.html</anchorfile>
      <anchor>ae1cf858022200dfcac7ea73352926d50</anchor>
      <arglist>(int width, int height) const override</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>getSigma1</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_double_gaussian_psf.html</anchorfile>
      <anchor>a501a02ec4c5d56ef4c99c764fee9484e</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>getSigma2</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_double_gaussian_psf.html</anchorfile>
      <anchor>ac5cdcbab489ec0ec89eca1412579f6ad</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>getB</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_double_gaussian_psf.html</anchorfile>
      <anchor>ad34d99ff7ef0912585ea281e327de161</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isPersistable</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_double_gaussian_psf.html</anchorfile>
      <anchor>a07d8ae3c5dc584300476d45b2be548c7</anchor>
      <arglist>() const noexcept override</arglist>
    </member>
    <member kind="function">
      <type>std::shared_ptr&lt; afw::math::Kernel const &gt;</type>
      <name>getKernel</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_kernel_psf.html</anchorfile>
      <anchor>adcf1c5b0d437e579d32e33801a31bfd2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>geom::Point2D</type>
      <name>getAveragePosition</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_kernel_psf.html</anchorfile>
      <anchor>adfda8816b196a930cc14907f5ff1525d</anchor>
      <arglist>() const override</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>std::string</type>
      <name>getPersistenceName</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_double_gaussian_psf.html</anchorfile>
      <anchor>a298c756ab77a19cb6cec18a407243993</anchor>
      <arglist>() const override</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>write</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_double_gaussian_psf.html</anchorfile>
      <anchor>a41b826e1bac5b87066150a5069e8e667</anchor>
      <arglist>(OutputArchiveHandle &amp;handle) const override</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>std::string</type>
      <name>getPythonModule</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_kernel_psf.html</anchorfile>
      <anchor>ac40b893cb5e64fbe2901d329e8131cdf</anchor>
      <arglist>() const override</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual double</type>
      <name>doComputeApertureFlux</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_image_psf.html</anchorfile>
      <anchor>ac65fdc8887dc9b3e0fb040a8eac1e34c</anchor>
      <arglist>(double radius, geom::Point2D const &amp;position, afw::image::Color const &amp;color) const</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual afw::geom::ellipses::Quadrupole</type>
      <name>doComputeShape</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_image_psf.html</anchorfile>
      <anchor>ab06992b76a5d5088ca1b96f046a8fd7c</anchor>
      <arglist>(geom::Point2D const &amp;position, afw::image::Color const &amp;color) const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::dynamicDetection::DynamicDetectionConfig</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1dynamic_detection_1_1_dynamic_detection_config.html</filename>
    <base>lsst::meas::algorithms::detection::SourceDetectionConfig</base>
    <member kind="function">
      <type>def</type>
      <name>setDefaults</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1dynamic_detection_1_1_dynamic_detection_config.html</anchorfile>
      <anchor>a040d58105ff3602a9c085e12927f9623</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>Field</type>
      <name>prelimThresholdFactor</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1dynamic_detection_1_1_dynamic_detection_config.html</anchorfile>
      <anchor>ae395be7c865202a95593864df32c3a93</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>ConfigurableField</type>
      <name>skyObjects</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1dynamic_detection_1_1_dynamic_detection_config.html</anchorfile>
      <anchor>a0e3deccba081fd98e7195e74a60af7a7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>Field</type>
      <name>doBackgroundTweak</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1dynamic_detection_1_1_dynamic_detection_config.html</anchorfile>
      <anchor>a11b0669ae7c33498d5b36b35d86c076a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>Field</type>
      <name>minNumSources</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1dynamic_detection_1_1_dynamic_detection_config.html</anchorfile>
      <anchor>aecaf01cfd2a2d596f6fda4ff6066a4b3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::dynamicDetection::DynamicDetectionTask</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1dynamic_detection_1_1_dynamic_detection_task.html</filename>
    <base>lsst::meas::algorithms::detection::SourceDetectionTask</base>
    <member kind="function">
      <type>def</type>
      <name>__init__</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1dynamic_detection_1_1_dynamic_detection_task.html</anchorfile>
      <anchor>a158149d795c175195dcce20a657b90c0</anchor>
      <arglist>(self, *args, **kwargs)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>calculateThreshold</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1dynamic_detection_1_1_dynamic_detection_task.html</anchorfile>
      <anchor>aa8f0c0914fd3cdff6d6cdea16632f3f9</anchor>
      <arglist>(self, exposure, seed, sigma=None)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>detectFootprints</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1dynamic_detection_1_1_dynamic_detection_task.html</anchorfile>
      <anchor>a8f6d9cf44e48c9043e31396e7649817e</anchor>
      <arglist>(self, exposure, doSmooth=True, sigma=None, clearMask=True, expId=None)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>tweakBackground</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1dynamic_detection_1_1_dynamic_detection_task.html</anchorfile>
      <anchor>a78a417e5146eaa56f71354b886d01d0d</anchor>
      <arglist>(self, exposure, bgLevel, bgList=None)</arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>skySchema</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1dynamic_detection_1_1_dynamic_detection_task.html</anchorfile>
      <anchor>a80671000e48d2b1fac38e6abb6aecd3d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>skyMeasurement</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1dynamic_detection_1_1_dynamic_detection_task.html</anchorfile>
      <anchor>a26e62921840b9dde8ffa0db4e4f6dc72</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>DynamicDetectionConfig</type>
      <name>ConfigClass</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1dynamic_detection_1_1_dynamic_detection_task.html</anchorfile>
      <anchor>a6d39a17191244c583d1ca5c8fc21c820</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>str</type>
      <name>_DefaultName</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1dynamic_detection_1_1_dynamic_detection_task.html</anchorfile>
      <anchor>afbd46d80b1bf5f0d5538e778885e8c30</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::evalChi2Visitor</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1eval_chi2_visitor.html</filename>
    <templarg>typename PixelT</templarg>
    <base>lsst::afw::math::CandidateVisitor</base>
    <member kind="function">
      <type></type>
      <name>evalChi2Visitor</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1eval_chi2_visitor.html</anchorfile>
      <anchor>a5542a1a5961ff39aa1514d2afa69fad2</anchor>
      <arglist>(afw::math::Kernel const &amp;kernel, double lambda)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>reset</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1eval_chi2_visitor.html</anchorfile>
      <anchor>a9c90e77249894b8f88c7c12730ea5512</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>processCandidate</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1eval_chi2_visitor.html</anchorfile>
      <anchor>a63a92227d3a481a930971d7069403849</anchor>
      <arglist>(afw::math::SpatialCellCandidate *candidate)</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>getValue</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1eval_chi2_visitor.html</anchorfile>
      <anchor>aaa1ba330b9b98041ef6bab4240b25345</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::ExposurePatch</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1_exposure_patch.html</filename>
    <templarg>typename ExposureT</templarg>
    <member kind="typedef">
      <type>unsigned char</type>
      <name>FlagT</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_exposure_patch.html</anchorfile>
      <anchor>aed94be4926d7f07c789c42b0b31538fc</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>std::shared_ptr&lt; ExposurePatch &gt;</type>
      <name>Ptr</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_exposure_patch.html</anchorfile>
      <anchor>aa8bc9f0d5c50b0bc9939363a27ebe3a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>std::shared_ptr&lt; ExposurePatch const  &gt;</type>
      <name>ConstPtr</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_exposure_patch.html</anchorfile>
      <anchor>aef87d41535ce377f3b3cf323753fe254</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ExposurePatch</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_exposure_patch.html</anchorfile>
      <anchor>ac3aa8398519b57c935a7ce93ceeddc12</anchor>
      <arglist>(std::shared_ptr&lt; ExposureT const &gt; exp, std::shared_ptr&lt; afw::detection::Footprint const &gt; foot, geom::Point2D const &amp;center)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ExposurePatch</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_exposure_patch.html</anchorfile>
      <anchor>a50e368ffbffb662e5e8e1ef1fce06fc5</anchor>
      <arglist>(std::shared_ptr&lt; ExposureT const &gt; exp, afw::detection::Footprint const &amp;standardFoot, geom::Point2D const &amp;standardCenter, afw::geom::SkyWcs const &amp;standardWcs)</arglist>
    </member>
    <member kind="function">
      <type>std::shared_ptr&lt; ExposureT const &gt; const</type>
      <name>getExposure</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_exposure_patch.html</anchorfile>
      <anchor>af7f0357a6cf59a71dce476d0d52e2b54</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>std::shared_ptr&lt; afw::detection::Footprint const &gt; const</type>
      <name>getFootprint</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_exposure_patch.html</anchorfile>
      <anchor>a4f759581e847bd433a1ab67b5bd366ae</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>geom::Point2D const &amp;</type>
      <name>getCenter</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_exposure_patch.html</anchorfile>
      <anchor>a62cff717f1e8a67f184fc258740816eb</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>geom::AffineTransform const &amp;</type>
      <name>fromStandard</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_exposure_patch.html</anchorfile>
      <anchor>abf51f177f1205ed2903ff4cc560b3a22</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>geom::AffineTransform const &amp;</type>
      <name>toStandard</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_exposure_patch.html</anchorfile>
      <anchor>a6850daaa0952a8dca668fd80976c8209</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCenter</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_exposure_patch.html</anchorfile>
      <anchor>a1902e73ad5d8def784501b71dbd071ba</anchor>
      <arglist>(geom::Point2D const &amp;center)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::findCosmicRaysConfig::FindCosmicRaysConfig</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1find_cosmic_rays_config_1_1_find_cosmic_rays_config.html</filename>
    <member kind="function">
      <type>def</type>
      <name>setDefaults</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1find_cosmic_rays_config_1_1_find_cosmic_rays_config.html</anchorfile>
      <anchor>a0d0dfe5369d5346c0032b85df2401364</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>nCrPixelMax</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1find_cosmic_rays_config_1_1_find_cosmic_rays_config.html</anchorfile>
      <anchor>ad8888fdd8b4199fff32b4bcccfc80c0a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>minSigma</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1find_cosmic_rays_config_1_1_find_cosmic_rays_config.html</anchorfile>
      <anchor>a6125fa0a276dc445a0f01728c3784b81</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>min_DN</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1find_cosmic_rays_config_1_1_find_cosmic_rays_config.html</anchorfile>
      <anchor>a4d91b7befb3f9ddd99595df3302f2103</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>cond3_fac</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1find_cosmic_rays_config_1_1_find_cosmic_rays_config.html</anchorfile>
      <anchor>aa2c218365aca390958f2f46fb762bc44</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>cond3_fac2</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1find_cosmic_rays_config_1_1_find_cosmic_rays_config.html</anchorfile>
      <anchor>af4b0130f1c3d9ca516a19c18b1520b3b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>niteration</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1find_cosmic_rays_config_1_1_find_cosmic_rays_config.html</anchorfile>
      <anchor>a81e1befb3aed8cd79eee1ced44b429af</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>keepCRs</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1find_cosmic_rays_config_1_1_find_cosmic_rays_config.html</anchorfile>
      <anchor>ad771a9b758f1d8bc182fa9ed1828d357</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>background</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1find_cosmic_rays_config_1_1_find_cosmic_rays_config.html</anchorfile>
      <anchor>adcc2c9f339e07b0dfa6b10ba2417c8a9</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::flaggedSourceSelector::FlaggedSourceSelectorConfig</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1flagged_source_selector_1_1_flagged_source_selector_config.html</filename>
    <member kind="variable" static="yes">
      <type>lsst</type>
      <name>field</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1flagged_source_selector_1_1_flagged_source_selector_config.html</anchorfile>
      <anchor>a5e0bced711c05d6bd62de756f13b7601</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::flaggedSourceSelector::FlaggedSourceSelectorTask</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1flagged_source_selector_1_1_flagged_source_selector_task.html</filename>
    <base>lsst::meas::algorithms::sourceSelector::BaseSourceSelectorTask</base>
    <member kind="function">
      <type>def</type>
      <name>selectSources</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1flagged_source_selector_1_1_flagged_source_selector_task.html</anchorfile>
      <anchor>a98ddf79515124db5ac34bf33c110cacd</anchor>
      <arglist>(self, sourceCat, matches=None, exposure=None)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>FlaggedSourceSelectorConfig</type>
      <name>ConfigClass</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1flagged_source_selector_1_1_flagged_source_selector_task.html</anchorfile>
      <anchor>ad0a7ca09bedd794ef9a93b5d18721406</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>str</type>
      <name>_DefaultName</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1flagged_source_selector_1_1_flagged_source_selector_task.html</anchorfile>
      <anchor>a899457e8e7f9374fd0a9dc6891221908</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::gaussianPsfFactory::GaussianPsfFactory</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1gaussian_psf_factory_1_1_gaussian_psf_factory.html</filename>
    <member kind="function">
      <type>def</type>
      <name>computeSizeAndSigma</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1gaussian_psf_factory_1_1_gaussian_psf_factory.html</anchorfile>
      <anchor>a96b4dd4d669f675a437ad3f90d3a3972</anchor>
      <arglist>(self, fwhm=None)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>validate</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1gaussian_psf_factory_1_1_gaussian_psf_factory.html</anchorfile>
      <anchor>a87c1f102c31c3094caacae8906e34597</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>apply</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1gaussian_psf_factory_1_1_gaussian_psf_factory.html</anchorfile>
      <anchor>a8189b887ff368087b18b04cefa8cbeeb</anchor>
      <arglist>(self, fwhm=None)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>makeField</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1gaussian_psf_factory_1_1_gaussian_psf_factory.html</anchorfile>
      <anchor>a210f77aff0e9b17106c34d53720e6f2c</anchor>
      <arglist>(cls, doc)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>Field</type>
      <name>size</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1gaussian_psf_factory_1_1_gaussian_psf_factory.html</anchorfile>
      <anchor>a6de2840adca47201be1f138ff11ab356</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>Field</type>
      <name>sizeFactor</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1gaussian_psf_factory_1_1_gaussian_psf_factory.html</anchorfile>
      <anchor>a2b9eb11cbaece2000c073fdf865f2fba</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>Field</type>
      <name>minSize</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1gaussian_psf_factory_1_1_gaussian_psf_factory.html</anchorfile>
      <anchor>a761851c0d6591e848207da37730d1942</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>Field</type>
      <name>maxSize</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1gaussian_psf_factory_1_1_gaussian_psf_factory.html</anchorfile>
      <anchor>ab30a4cf0f8f2bd8c7634345786d3a5d6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>Field</type>
      <name>defaultFwhm</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1gaussian_psf_factory_1_1_gaussian_psf_factory.html</anchorfile>
      <anchor>a662661dd976eeb971c84fc252ba76c89</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>Field</type>
      <name>addWing</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1gaussian_psf_factory_1_1_gaussian_psf_factory.html</anchorfile>
      <anchor>aa1326ebf9d57e239adf35eb64ba1aec0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>Field</type>
      <name>wingFwhmFactor</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1gaussian_psf_factory_1_1_gaussian_psf_factory.html</anchorfile>
      <anchor>a4f38b994ddfa19d8db53a5ed38bee2e7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>Field</type>
      <name>wingAmplitude</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1gaussian_psf_factory_1_1_gaussian_psf_factory.html</anchorfile>
      <anchor>a1d61435cd4877d514ebbd415b7df2e15</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::htmIndexer::HtmIndexer</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1htm_indexer_1_1_htm_indexer.html</filename>
    <member kind="function">
      <type>def</type>
      <name>__init__</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1htm_indexer_1_1_htm_indexer.html</anchorfile>
      <anchor>a96a8778a2ccb20e687af55970e1b6a88</anchor>
      <arglist>(self, depth=7)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getShardIds</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1htm_indexer_1_1_htm_indexer.html</anchorfile>
      <anchor>a368fea1dbfd17fb1ae2515975e347467</anchor>
      <arglist>(self, ctrCoord, radius)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>indexPoints</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1htm_indexer_1_1_htm_indexer.html</anchorfile>
      <anchor>a5974bff469449944a40308d9b7466fef</anchor>
      <arglist>(self, raList, decList)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>def</type>
      <name>makeDataId</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1htm_indexer_1_1_htm_indexer.html</anchorfile>
      <anchor>a881fc9648e63a8094ba88a1757303bbe</anchor>
      <arglist>(shardId, datasetName)</arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>htm</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1htm_indexer_1_1_htm_indexer.html</anchorfile>
      <anchor>a30d8c707b3d85e6040722e2047dc28e9</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::ImagePsf</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1_image_psf.html</filename>
    <base>PersistableFacade&lt; ImagePsf &gt;</base>
    <base>lsst::afw::detection::Psf</base>
    <member kind="function" protection="protected">
      <type></type>
      <name>ImagePsf</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_image_psf.html</anchorfile>
      <anchor>abc73be6b5b077def22b2b88c1948732e</anchor>
      <arglist>(bool isFixed=false)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual double</type>
      <name>doComputeApertureFlux</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_image_psf.html</anchorfile>
      <anchor>ac65fdc8887dc9b3e0fb040a8eac1e34c</anchor>
      <arglist>(double radius, geom::Point2D const &amp;position, afw::image::Color const &amp;color) const</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual afw::geom::ellipses::Quadrupole</type>
      <name>doComputeShape</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_image_psf.html</anchorfile>
      <anchor>ab06992b76a5d5088ca1b96f046a8fd7c</anchor>
      <arglist>(geom::Point2D const &amp;position, afw::image::Color const &amp;color) const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::ImagePsfTrampoline</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1_image_psf_trampoline.html</filename>
    <templarg>typename Base</templarg>
    <base>lsst::afw::detection::PsfTrampoline</base>
    <member kind="function">
      <type></type>
      <name>ImagePsfTrampoline</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_image_psf_trampoline.html</anchorfile>
      <anchor>aa13e50992dfc12032e8c8a0505bab1fc</anchor>
      <arglist>(Args... args)</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>doComputeApertureFlux</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_image_psf_trampoline.html</anchorfile>
      <anchor>a831107032539f4fecc30f84b7eac808d</anchor>
      <arglist>(double radius, geom::Point2D const &amp;position, afw::image::Color const &amp;color) const override</arglist>
    </member>
    <member kind="function">
      <type>afw::geom::ellipses::Quadrupole</type>
      <name>doComputeShape</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_image_psf_trampoline.html</anchorfile>
      <anchor>aaed20d6638056261b8523531216aa5b0</anchor>
      <arglist>(geom::Point2D const &amp;position, afw::image::Color const &amp;color) const override</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::indexerRegistry::HtmIndexerConfig</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1indexer_registry_1_1_htm_indexer_config.html</filename>
    <member kind="variable" static="yes">
      <type>Field</type>
      <name>depth</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1indexer_registry_1_1_htm_indexer_config.html</anchorfile>
      <anchor>a0f330b89e39c2a8d467d6eb5810bc0cb</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::installGaussianPsf::InstallGaussianPsfConfig</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1install_gaussian_psf_1_1_install_gaussian_psf_config.html</filename>
    <member kind="function">
      <type>def</type>
      <name>validate</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1install_gaussian_psf_1_1_install_gaussian_psf_config.html</anchorfile>
      <anchor>ab2f1f486452a88b703628cdbfcb4e256</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>fwhm</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1install_gaussian_psf_1_1_install_gaussian_psf_config.html</anchorfile>
      <anchor>a38befa7a4a8b4d3535c6d70fc1ed982f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>width</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1install_gaussian_psf_1_1_install_gaussian_psf_config.html</anchorfile>
      <anchor>afd2c31ef2979ddc72c5dc065d814f386</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::installGaussianPsf::InstallGaussianPsfTask</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1install_gaussian_psf_1_1_install_gaussian_psf_task.html</filename>
    <member kind="function">
      <type>def</type>
      <name>run</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1install_gaussian_psf_1_1_install_gaussian_psf_task.html</anchorfile>
      <anchor>a5535e3c955ce58cba8dc77832ceb7360</anchor>
      <arglist>(self, exposure)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>InstallGaussianPsfConfig</type>
      <name>ConfigClass</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1install_gaussian_psf_1_1_install_gaussian_psf_task.html</anchorfile>
      <anchor>a477664341eb8e209dc1a580247314864</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>str</type>
      <name>_DefaultName</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1install_gaussian_psf_1_1_install_gaussian_psf_task.html</anchorfile>
      <anchor>ab61d1a0032a8f71b1a5a67b73c1a8563</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::KernelPsf</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1_kernel_psf.html</filename>
    <base>PersistableFacade&lt; KernelPsf &gt;</base>
    <base>lsst::meas::algorithms::ImagePsf</base>
    <member kind="function">
      <type></type>
      <name>KernelPsf</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_kernel_psf.html</anchorfile>
      <anchor>a169919d0113a729e4614a8b26d4339d5</anchor>
      <arglist>(afw::math::Kernel const &amp;kernel, geom::Point2D const &amp;averagePosition=geom::Point2D())</arglist>
    </member>
    <member kind="function">
      <type>std::shared_ptr&lt; afw::math::Kernel const &gt;</type>
      <name>getKernel</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_kernel_psf.html</anchorfile>
      <anchor>adcf1c5b0d437e579d32e33801a31bfd2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>geom::Point2D</type>
      <name>getAveragePosition</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_kernel_psf.html</anchorfile>
      <anchor>adfda8816b196a930cc14907f5ff1525d</anchor>
      <arglist>() const override</arglist>
    </member>
    <member kind="function">
      <type>std::shared_ptr&lt; afw::detection::Psf &gt;</type>
      <name>clone</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_kernel_psf.html</anchorfile>
      <anchor>ab5d9ba8997ca400910b5e57a44faf53f</anchor>
      <arglist>() const override</arglist>
    </member>
    <member kind="function">
      <type>std::shared_ptr&lt; afw::detection::Psf &gt;</type>
      <name>resized</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_kernel_psf.html</anchorfile>
      <anchor>abda725575eebb9c9c2680afc6e58d5e9</anchor>
      <arglist>(int width, int height) const override</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isPersistable</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_kernel_psf.html</anchorfile>
      <anchor>a2e4295e64c4d07ec638d573a74436293</anchor>
      <arglist>() const noexcept override</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>KernelPsf</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_kernel_psf.html</anchorfile>
      <anchor>a05622fcd5fb01552130273dd92be7c0b</anchor>
      <arglist>(std::shared_ptr&lt; afw::math::Kernel &gt; kernel, geom::Point2D const &amp;averagePosition=geom::Point2D())</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>std::string</type>
      <name>getPersistenceName</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_kernel_psf.html</anchorfile>
      <anchor>ac1ca608bd0a1f3b8170a01bd318d33cc</anchor>
      <arglist>() const override</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>std::string</type>
      <name>getPythonModule</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_kernel_psf.html</anchorfile>
      <anchor>ac40b893cb5e64fbe2901d329e8131cdf</anchor>
      <arglist>() const override</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>write</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_kernel_psf.html</anchorfile>
      <anchor>ad9b3cc69df1f03376f331f939b6217b0</anchor>
      <arglist>(OutputArchiveHandle &amp;handle) const override</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual double</type>
      <name>doComputeApertureFlux</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_image_psf.html</anchorfile>
      <anchor>ac65fdc8887dc9b3e0fb040a8eac1e34c</anchor>
      <arglist>(double radius, geom::Point2D const &amp;position, afw::image::Color const &amp;color) const</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual afw::geom::ellipses::Quadrupole</type>
      <name>doComputeShape</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_image_psf.html</anchorfile>
      <anchor>ab06992b76a5d5088ca1b96f046a8fd7c</anchor>
      <arglist>(geom::Point2D const &amp;position, afw::image::Color const &amp;color) const</arglist>
    </member>
    <member kind="function" protection="private">
      <type>std::shared_ptr&lt; Image &gt;</type>
      <name>doComputeKernelImage</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_kernel_psf.html</anchorfile>
      <anchor>a6a5900f7807d933e955999f4c6e5c44e</anchor>
      <arglist>(geom::Point2D const &amp;position, afw::image::Color const &amp;color) const override</arglist>
    </member>
    <member kind="function" protection="private">
      <type>geom::Box2I</type>
      <name>doComputeBBox</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_kernel_psf.html</anchorfile>
      <anchor>a64e897a7b88c1416aa7146d5f72f5db9</anchor>
      <arglist>(geom::Point2D const &amp;position, afw::image::Color const &amp;color) const override</arglist>
    </member>
    <member kind="friend" protection="protected">
      <type>friend class</type>
      <name>KernelPsfFactory</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_kernel_psf.html</anchorfile>
      <anchor>a6b503f7c0a63012a98a53bec4affcce7</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::KernelPsfFactory</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1_kernel_psf_factory.html</filename>
    <templarg>typename T</templarg>
    <templarg>typename K</templarg>
    <base>lsst::afw::table::io::PersistableFactory</base>
    <member kind="function" virtualness="virtual">
      <type>virtual std::shared_ptr&lt; afw::table::io::Persistable &gt;</type>
      <name>read</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_kernel_psf_factory.html</anchorfile>
      <anchor>aa3ea98070b69f64444477124206f91e9</anchor>
      <arglist>(afw::table::io::InputArchive const &amp;archive, afw::table::io::CatalogVector const &amp;catalogs) const</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KernelPsfFactory</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_kernel_psf_factory.html</anchorfile>
      <anchor>a20572600ae2ab28e713e9b0fc265f187</anchor>
      <arglist>(std::string const &amp;name)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>lsst::meas::algorithms::KernelPsfPersistenceHelper</name>
    <filename>structlsst_1_1meas_1_1algorithms_1_1_kernel_psf_persistence_helper.html</filename>
    <member kind="function">
      <type></type>
      <name>KernelPsfPersistenceHelper</name>
      <anchorfile>structlsst_1_1meas_1_1algorithms_1_1_kernel_psf_persistence_helper.html</anchorfile>
      <anchor>aaa73869e83481b8e228cdef9f0a64de0</anchor>
      <arglist>(const KernelPsfPersistenceHelper &amp;)=delete</arglist>
    </member>
    <member kind="function">
      <type>KernelPsfPersistenceHelper &amp;</type>
      <name>operator=</name>
      <anchorfile>structlsst_1_1meas_1_1algorithms_1_1_kernel_psf_persistence_helper.html</anchorfile>
      <anchor>afa48d9ab8e9b2d3e5913a868c77aa714</anchor>
      <arglist>(const KernelPsfPersistenceHelper &amp;)=delete</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KernelPsfPersistenceHelper</name>
      <anchorfile>structlsst_1_1meas_1_1algorithms_1_1_kernel_psf_persistence_helper.html</anchorfile>
      <anchor>a31553ea84f9acbff5a09428c2d50d87d</anchor>
      <arglist>(KernelPsfPersistenceHelper &amp;&amp;)=delete</arglist>
    </member>
    <member kind="function">
      <type>KernelPsfPersistenceHelper &amp;</type>
      <name>operator=</name>
      <anchorfile>structlsst_1_1meas_1_1algorithms_1_1_kernel_psf_persistence_helper.html</anchorfile>
      <anchor>a77ec86b42ba2615d7b1830725e7571b8</anchor>
      <arglist>(KernelPsfPersistenceHelper &amp;&amp;)=delete</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KernelPsfPersistenceHelper const &amp;</type>
      <name>get</name>
      <anchorfile>structlsst_1_1meas_1_1algorithms_1_1_kernel_psf_persistence_helper.html</anchorfile>
      <anchor>ab188238d118b2acf1478789c70737af9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>afw::table::Schema</type>
      <name>schema</name>
      <anchorfile>structlsst_1_1meas_1_1algorithms_1_1_kernel_psf_persistence_helper.html</anchorfile>
      <anchor>a37ce932c7e3b1f75462aad53f5d9112b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>afw::table::Key&lt; int &gt;</type>
      <name>kernel</name>
      <anchorfile>structlsst_1_1meas_1_1algorithms_1_1_kernel_psf_persistence_helper.html</anchorfile>
      <anchor>a7c938614c2fd78f2a1ebb879883b42a7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>afw::table::PointKey&lt; double &gt;</type>
      <name>averagePosition</name>
      <anchorfile>structlsst_1_1meas_1_1algorithms_1_1_kernel_psf_persistence_helper.html</anchorfile>
      <anchor>a4488a5cc8174341ff56ea9812cc43548</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::loadReferenceObjects::_FilterCatalog</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1load_reference_objects_1_1___filter_catalog.html</filename>
    <member kind="function">
      <type>def</type>
      <name>__init__</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1load_reference_objects_1_1___filter_catalog.html</anchorfile>
      <anchor>add9e28a1bf6310954e2cfb06e07c2a7d</anchor>
      <arglist>(self, region)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>__call__</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1load_reference_objects_1_1___filter_catalog.html</anchorfile>
      <anchor>a6ecd17710163b13035fbd035a0641abb</anchor>
      <arglist>(self, refCat, catRegion)</arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>region</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1load_reference_objects_1_1___filter_catalog.html</anchorfile>
      <anchor>aab879f8f80f213c197b027096dd56f0f</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::loadReferenceObjects::LoadReferenceObjectsConfig</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1load_reference_objects_1_1_load_reference_objects_config.html</filename>
    <member kind="function">
      <type>def</type>
      <name>validate</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1load_reference_objects_1_1_load_reference_objects_config.html</anchorfile>
      <anchor>a294d0ff9b351e526e1229f1cd8b2b577</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>pixelMargin</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1load_reference_objects_1_1_load_reference_objects_config.html</anchorfile>
      <anchor>ab9816f6eaaecca88f884f0ce90151e2b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>anyFilterMapsToThis</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1load_reference_objects_1_1_load_reference_objects_config.html</anchorfile>
      <anchor>a67e45c186d7c51a24a513ead99469c95</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>filterMap</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1load_reference_objects_1_1_load_reference_objects_config.html</anchorfile>
      <anchor>a249921cf78dc0126927eda69a9ca68c4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>requireProperMotion</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1load_reference_objects_1_1_load_reference_objects_config.html</anchorfile>
      <anchor>a0e5ed46065771a02ce48b4389e08a65d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>ref_dataset_name</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1load_reference_objects_1_1_load_reference_objects_config.html</anchorfile>
      <anchor>a7f7fae439a7793651819d58dfa8dc976</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::loadReferenceObjects::LoadReferenceObjectsTask</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1load_reference_objects_1_1_load_reference_objects_task.html</filename>
    <base>lsst::meas::algorithms::loadReferenceObjects::ReferenceObjectLoader</base>
    <member kind="function">
      <type>def</type>
      <name>loadSkyCircle</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1load_reference_objects_1_1_load_reference_objects_task.html</anchorfile>
      <anchor>a379ec063dc35d4b51ddd6d0a413083b1</anchor>
      <arglist>(self, ctrCoord, radius, filterName, epoch=None, centroids=False)</arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>str</type>
      <name>_DefaultName</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1load_reference_objects_1_1_load_reference_objects_task.html</anchorfile>
      <anchor>a91e0f3a7a5d9be6626ee16c7e122a8ab</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::loadReferenceObjects::ReferenceObjectLoader</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1load_reference_objects_1_1_reference_object_loader.html</filename>
    <member kind="function">
      <type>def</type>
      <name>__init__</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1load_reference_objects_1_1_reference_object_loader.html</anchorfile>
      <anchor>a27b5d6f09f9c126099b7df78a7b83757</anchor>
      <arglist>(self, dataIds, refCats, name=None, log=None, config=None, **kwargs)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>applyProperMotions</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1load_reference_objects_1_1_reference_object_loader.html</anchorfile>
      <anchor>a43039eee695eddc2525b2dfa67510188</anchor>
      <arglist>(self, catalog, epoch)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getMetadataBox</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1load_reference_objects_1_1_reference_object_loader.html</anchorfile>
      <anchor>a87aaa243aa6f7b33926a66318ef8ff05</anchor>
      <arglist>(self, bbox, wcs, filterName, epoch=None, bboxToSpherePadding=100)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>loadPixelBox</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1load_reference_objects_1_1_reference_object_loader.html</anchorfile>
      <anchor>aa4501f694c311cc6a4563a02c0b861d9</anchor>
      <arglist>(self, bbox, wcs, filterName, epoch=None, bboxToSpherePadding=100)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>loadRegion</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1load_reference_objects_1_1_reference_object_loader.html</anchorfile>
      <anchor>a67ab894af0c313f718d6655e34055f3e</anchor>
      <arglist>(self, region, filterName, filtFunc=None, epoch=None)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>loadSkyCircle</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1load_reference_objects_1_1_reference_object_loader.html</anchorfile>
      <anchor>a44e442114c5d827fe775e5a3f5ccd511</anchor>
      <arglist>(self, ctrCoord, radius, filterName, epoch=None)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>def</type>
      <name>getMetadataCircle</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1load_reference_objects_1_1_reference_object_loader.html</anchorfile>
      <anchor>af0a71e15a4e4589e395a0b6ef41175de</anchor>
      <arglist>(coord, radius, filterName, epoch=None)</arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>config</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1load_reference_objects_1_1_reference_object_loader.html</anchorfile>
      <anchor>a8f1cb3274d3af8b16ec10501d7111f02</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>dataIds</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1load_reference_objects_1_1_reference_object_loader.html</anchorfile>
      <anchor>a16229d6aaf09cbba5c699cb18908a095</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>refCats</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1load_reference_objects_1_1_reference_object_loader.html</anchorfile>
      <anchor>af8303c109388a4ae3e4a2f42453b6d19</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>name</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1load_reference_objects_1_1_reference_object_loader.html</anchorfile>
      <anchor>acbb7115c560ef2fae87524236111afd3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>log</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1load_reference_objects_1_1_reference_object_loader.html</anchorfile>
      <anchor>a8bcd4fcc3159d47def65379ae8764a50</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>LoadReferenceObjectsConfig</type>
      <name>ConfigClass</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1load_reference_objects_1_1_reference_object_loader.html</anchorfile>
      <anchor>a1fe666402c537a7ea2c748fb6ac1a5b1</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="protected" static="yes">
      <type>def</type>
      <name>_remapReferenceCatalogSchema</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1load_reference_objects_1_1_reference_object_loader.html</anchorfile>
      <anchor>a5e4205917b05e9133633dcdf55866ff7</anchor>
      <arglist>(refCat, *anyFilterMapsToThis=None, filterMap=None, centroids=False)</arglist>
    </member>
    <member kind="function" protection="protected" static="yes">
      <type>def</type>
      <name>_addFluxAliases</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1load_reference_objects_1_1_reference_object_loader.html</anchorfile>
      <anchor>a9a2b51c9696a99de7241550b50add2a6</anchor>
      <arglist>(schema, anyFilterMapsToThis=None, filterMap=None)</arglist>
    </member>
    <member kind="function" protection="protected" static="yes">
      <type>def</type>
      <name>_makeBoxRegion</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1load_reference_objects_1_1_reference_object_loader.html</anchorfile>
      <anchor>a3147da712cb99c943306324d6527859c</anchor>
      <arglist>(BBox, wcs, BBoxPadding)</arglist>
    </member>
    <member kind="function" protection="protected" static="yes">
      <type>def</type>
      <name>_calculateCircle</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1load_reference_objects_1_1_reference_object_loader.html</anchorfile>
      <anchor>a1f438a39434f360d0deb049b796719b9</anchor>
      <arglist>(bbox, wcs, pixelMargin)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::loadReferenceObjects::ReferenceObjectLoaderBase</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1load_reference_objects_1_1_reference_object_loader_base.html</filename>
    <base>lsst::meas::algorithms::loadReferenceObjects::ReferenceObjectLoader</base>
    <member kind="function">
      <type>def</type>
      <name>__init__</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1load_reference_objects_1_1_reference_object_loader_base.html</anchorfile>
      <anchor>af74fdefb3de854c12d3ba3576a5dd382</anchor>
      <arglist>(self, config=None, *args, **kwargs)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::makePsfCandidates::MakePsfCandidatesConfig</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1make_psf_candidates_1_1_make_psf_candidates_config.html</filename>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>kernelSize</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1make_psf_candidates_1_1_make_psf_candidates_config.html</anchorfile>
      <anchor>a7fff9def36b34ea6e62c501525491272</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>borderWidth</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1make_psf_candidates_1_1_make_psf_candidates_config.html</anchorfile>
      <anchor>ab34253b0e05a31de1b93faaa5c750a50</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::makePsfCandidates::MakePsfCandidatesTask</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1make_psf_candidates_1_1_make_psf_candidates_task.html</filename>
    <member kind="function">
      <type>def</type>
      <name>run</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1make_psf_candidates_1_1_make_psf_candidates_task.html</anchorfile>
      <anchor>a047e04207a478e47788b81333ba069f8</anchor>
      <arglist>(self, starCat, exposure, psfCandidateField=None)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>makePsfCandidates</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1make_psf_candidates_1_1_make_psf_candidates_task.html</anchorfile>
      <anchor>a1adfba9ca5a70915283b2b66c7da7ecd</anchor>
      <arglist>(self, starCat, exposure)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>MakePsfCandidatesConfig</type>
      <name>ConfigClass</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1make_psf_candidates_1_1_make_psf_candidates_task.html</anchorfile>
      <anchor>a0ef85d3b9b116fd3893cd0798b8a4d7f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>str</type>
      <name>_DefaultName</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1make_psf_candidates_1_1_make_psf_candidates_task.html</anchorfile>
      <anchor>a448c94c3392a686e4e48d8c6f4f4aba6</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::matcherSourceSelector::MatcherSourceSelectorConfig</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1matcher_source_selector_1_1_matcher_source_selector_config.html</filename>
    <base>lsst::meas::algorithms::sourceSelector::BaseSourceSelectorConfig</base>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>sourceFluxType</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1matcher_source_selector_1_1_matcher_source_selector_config.html</anchorfile>
      <anchor>abdcd1331c3f8d4237610f3c842ebdef9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>minSnr</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1matcher_source_selector_1_1_matcher_source_selector_config.html</anchorfile>
      <anchor>a5d0d6ae489f7fe0b80e1b173666b1f87</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>excludePixelFlags</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1matcher_source_selector_1_1_matcher_source_selector_config.html</anchorfile>
      <anchor>a46148441597da8c75248d6f7b74dc914</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::matcherSourceSelector::MatcherSourceSelectorTask</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1matcher_source_selector_1_1_matcher_source_selector_task.html</filename>
    <base>lsst::meas::algorithms::sourceSelector::BaseSourceSelectorTask</base>
    <member kind="function">
      <type>def</type>
      <name>__init__</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1matcher_source_selector_1_1_matcher_source_selector_task.html</anchorfile>
      <anchor>a8d847a6d692736e99eab505c9398d486</anchor>
      <arglist>(self, *args, **kwargs)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>selectSources</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1matcher_source_selector_1_1_matcher_source_selector_task.html</anchorfile>
      <anchor>a017b225ab40db75f9de0f0710398082e</anchor>
      <arglist>(self, sourceCat, matches=None, exposure=None)</arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>parentKey</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1matcher_source_selector_1_1_matcher_source_selector_task.html</anchorfile>
      <anchor>a4ad105f28f27ca13b20550d99fa51275</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>centroidXKey</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1matcher_source_selector_1_1_matcher_source_selector_task.html</anchorfile>
      <anchor>aaca9bb4f7c9813c9fdf81ad7b54b6311</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>centroidYKey</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1matcher_source_selector_1_1_matcher_source_selector_task.html</anchorfile>
      <anchor>a572564ae141d44cc6ecb1f191d8691f9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>centroidFlagKey</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1matcher_source_selector_1_1_matcher_source_selector_task.html</anchorfile>
      <anchor>a6a0f6a1d6561aa6a46893aa0eb34ea94</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>fluxField</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1matcher_source_selector_1_1_matcher_source_selector_task.html</anchorfile>
      <anchor>a2228c0ce56db2cf7011f8c457c63fef4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>fluxKey</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1matcher_source_selector_1_1_matcher_source_selector_task.html</anchorfile>
      <anchor>a403f1b19d00fc084aba7bbe4bcd65de3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>fluxFlagKey</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1matcher_source_selector_1_1_matcher_source_selector_task.html</anchorfile>
      <anchor>ad5f5f2abfa597f186990dc18bbdd8b9a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>fluxErrKey</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1matcher_source_selector_1_1_matcher_source_selector_task.html</anchorfile>
      <anchor>a244d1a673a05003e2a08ee0d2081d285</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>edgeKey</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1matcher_source_selector_1_1_matcher_source_selector_task.html</anchorfile>
      <anchor>ac595cbd4f6032e046ad949e5f6849efc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>interpolatedCenterKey</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1matcher_source_selector_1_1_matcher_source_selector_task.html</anchorfile>
      <anchor>aa097b4ab570987af904d5ff1bdba2484</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>saturatedKey</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1matcher_source_selector_1_1_matcher_source_selector_task.html</anchorfile>
      <anchor>a7581c0e008af0ea86c2a59ee99c1e85d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>MatcherSourceSelectorConfig</type>
      <name>ConfigClass</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1matcher_source_selector_1_1_matcher_source_selector_task.html</anchorfile>
      <anchor>a7702d805fbe6babc6d55732c924837b4</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_getSchemaKeys</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1matcher_source_selector_1_1_matcher_source_selector_task.html</anchorfile>
      <anchor>ab799efab8a93b6148fc6b20555d1db73</anchor>
      <arglist>(self, schema)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_isParent</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1matcher_source_selector_1_1_matcher_source_selector_task.html</anchorfile>
      <anchor>a98d147512c59f6805ea01d58ee48ac11</anchor>
      <arglist>(self, sourceCat)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_hasCentroid</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1matcher_source_selector_1_1_matcher_source_selector_task.html</anchorfile>
      <anchor>a7c4c572a346058ec707c7925f11626bc</anchor>
      <arglist>(self, sourceCat)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_goodSN</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1matcher_source_selector_1_1_matcher_source_selector_task.html</anchorfile>
      <anchor>a74350dc0bb30fe652107b8f428061b6e</anchor>
      <arglist>(self, sourceCat)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_isUsable</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1matcher_source_selector_1_1_matcher_source_selector_task.html</anchorfile>
      <anchor>ae938e31d196119ee5ab328abdcb0a7d7</anchor>
      <arglist>(self, sourceCat)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_isGood</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1matcher_source_selector_1_1_matcher_source_selector_task.html</anchorfile>
      <anchor>acdb7f9879def629fc9cc71e4d5426a82</anchor>
      <arglist>(self, sourceCat)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::measureApCorr::_FluxNames</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1measure_ap_corr_1_1___flux_names.html</filename>
    <member kind="function">
      <type>def</type>
      <name>__init__</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1measure_ap_corr_1_1___flux_names.html</anchorfile>
      <anchor>a76ae8cf2ee9d6bf3c9fc997dd9e35e12</anchor>
      <arglist>(self, name, schema)</arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>fluxName</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1measure_ap_corr_1_1___flux_names.html</anchorfile>
      <anchor>a6e8a4645e7725e4e3fe48b751e1defdc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>errName</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1measure_ap_corr_1_1___flux_names.html</anchorfile>
      <anchor>ae3e8674797cf92d13469c9eb6f60b5a9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>flagName</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1measure_ap_corr_1_1___flux_names.html</anchorfile>
      <anchor>a7ec0c77341c5b591c6845b30b60ac246</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>usedName</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1measure_ap_corr_1_1___flux_names.html</anchorfile>
      <anchor>af6bf9270deebba5a928193891c4a92e3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::measureApCorr::MeasureApCorrConfig</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1measure_ap_corr_1_1_measure_ap_corr_config.html</filename>
    <member kind="function">
      <type>def</type>
      <name>setDefaults</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1measure_ap_corr_1_1_measure_ap_corr_config.html</anchorfile>
      <anchor>acfe7f0253645c8ec4c358043f61188f8</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>validate</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1measure_ap_corr_1_1_measure_ap_corr_config.html</anchorfile>
      <anchor>a92bda12d342503f6022ee192bc7eef1e</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>lsst</type>
      <name>refFluxName</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1measure_ap_corr_1_1_measure_ap_corr_config.html</anchorfile>
      <anchor>a7ef8047700ffce68acd89c676a284d21</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>sourceSelectorRegistry</type>
      <name>sourceSelector</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1measure_ap_corr_1_1_measure_ap_corr_config.html</anchorfile>
      <anchor>a2ccfe9a0e2e5bc7149b22c2b7ca60bed</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>lsst</type>
      <name>minDegreesOfFreedom</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1measure_ap_corr_1_1_measure_ap_corr_config.html</anchorfile>
      <anchor>a1691907928241324391bfc43aaae520c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>lsst</type>
      <name>fitConfig</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1measure_ap_corr_1_1_measure_ap_corr_config.html</anchorfile>
      <anchor>a24a86dd29de62ef74f057a6250f2c00f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>lsst</type>
      <name>numIter</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1measure_ap_corr_1_1_measure_ap_corr_config.html</anchorfile>
      <anchor>aab994a248e6fd4b13c52d122a81e0efe</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>lsst</type>
      <name>numSigmaClip</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1measure_ap_corr_1_1_measure_ap_corr_config.html</anchorfile>
      <anchor>ad571c2ceb8ef0f6647c959799ba7a014</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>lsst</type>
      <name>allowFailure</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1measure_ap_corr_1_1_measure_ap_corr_config.html</anchorfile>
      <anchor>a97528c6732958856d16fd66fe6d7a83c</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::measureApCorr::MeasureApCorrTask</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1measure_ap_corr_1_1_measure_ap_corr_task.html</filename>
    <member kind="function">
      <type>def</type>
      <name>__init__</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1measure_ap_corr_1_1_measure_ap_corr_task.html</anchorfile>
      <anchor>a3a69f886c2ebf70ae2e251bebcb66ff1</anchor>
      <arglist>(self, schema, **kwargs)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>run</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1measure_ap_corr_1_1_measure_ap_corr_task.html</anchorfile>
      <anchor>a85053938a1333f79ee653d3b02b1dde2</anchor>
      <arglist>(self, exposure, catalog)</arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>refFluxNames</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1measure_ap_corr_1_1_measure_ap_corr_task.html</anchorfile>
      <anchor>a87ba1196ffd542ba200d5327d7afe279</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>toCorrect</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1measure_ap_corr_1_1_measure_ap_corr_task.html</anchorfile>
      <anchor>a0c7620e30ac22dc007073cbd38f2d844</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>MeasureApCorrConfig</type>
      <name>ConfigClass</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1measure_ap_corr_1_1_measure_ap_corr_task.html</anchorfile>
      <anchor>acf8bc2cde60b2ee222948c812add9a8f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>str</type>
      <name>_DefaultName</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1measure_ap_corr_1_1_measure_ap_corr_task.html</anchorfile>
      <anchor>a53e643f1f9606114b9ab6bebe95fa8d3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::MinimizeChi2</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1_minimize_chi2.html</filename>
    <templarg>typename PixelT</templarg>
    <member kind="function">
      <type></type>
      <name>MinimizeChi2</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_minimize_chi2.html</anchorfile>
      <anchor>a2c35d5ab39e5e89e9e8ddf94d6171044</anchor>
      <arglist>(evalChi2Visitor&lt; PixelT &gt; &amp;chi2Visitor, afw::math::Kernel *kernel, afw::math::SpatialCellSet const &amp;psfCells, int nStarPerCell, int nComponents, int nSpatialParams)</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>Up</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_minimize_chi2.html</anchorfile>
      <anchor>a4248671edcfc58127c2d2fd655ef5b16</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>operator()</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_minimize_chi2.html</anchorfile>
      <anchor>a060abbc729016d63a8b332482b6372b4</anchor>
      <arglist>(const std::vector&lt; double &gt; &amp;coeffs) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setErrorDef</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_minimize_chi2.html</anchorfile>
      <anchor>ac7fa6c224b6feab43963a44ef305a2df</anchor>
      <arglist>(double def)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::noise_covariance::ComputeNoiseCorrelationConfig</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1noise__covariance_1_1_compute_noise_correlation_config.html</filename>
    <member kind="function">
      <type>def</type>
      <name>setDefaults</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1noise__covariance_1_1_compute_noise_correlation_config.html</anchorfile>
      <anchor>a959823316ca25b4dd4cbb95a8baf0ee3</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>ConfigurableField</type>
      <name>background</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1noise__covariance_1_1_compute_noise_correlation_config.html</anchorfile>
      <anchor>ab12306f8956dc8c42ccd1445ba512a6b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>ListField</type>
      <name>maskPlanes</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1noise__covariance_1_1_compute_noise_correlation_config.html</anchorfile>
      <anchor>ab450f92361eff03e61f12f2a381df783</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>Field</type>
      <name>size</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1noise__covariance_1_1_compute_noise_correlation_config.html</anchorfile>
      <anchor>a9a1a1412e84212360253f57785d0588e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>Field</type>
      <name>scaleEmpiricalVariance</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1noise__covariance_1_1_compute_noise_correlation_config.html</anchorfile>
      <anchor>a358bfb2b1f11d0bada393a95eee84275</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>Field</type>
      <name>subtractEmpiricalMean</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1noise__covariance_1_1_compute_noise_correlation_config.html</anchorfile>
      <anchor>abe7708e28ed8de83a5be036e2cbb34a7</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::noise_covariance::ComputeNoiseCorrelationTask</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1noise__covariance_1_1_compute_noise_correlation_task.html</filename>
    <member kind="function">
      <type>def</type>
      <name>__init__</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1noise__covariance_1_1_compute_noise_correlation_task.html</anchorfile>
      <anchor>a057da991b4f1ef387cb0c1d495e1add7</anchor>
      <arglist>(self, *args, **kwargs)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>subtractedBackground</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1noise__covariance_1_1_compute_noise_correlation_task.html</anchorfile>
      <anchor>af1880b1ab7100901f60ad15250c9fdca</anchor>
      <arglist>(self, lsst.afw.image.MaskedImage maskedImage)</arglist>
    </member>
    <member kind="function">
      <type>CorrelationMatrix</type>
      <name>run</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1noise__covariance_1_1_compute_noise_correlation_task.html</anchorfile>
      <anchor>a3df8098b64ac06c2e2e5e38bac3a1749</anchor>
      <arglist>(self, lsst.afw.image.MaskedImage maskedImage, lsst.afw.image.MaskedImage|None refMaskedImage=None)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>ComputeNoiseCorrelationConfig</type>
      <name>ConfigClass</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1noise__covariance_1_1_compute_noise_correlation_task.html</anchorfile>
      <anchor>aeb7f4a3103827f69f50acdfa539605f0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="protected">
      <type>CorrelationMatrix</type>
      <name>_pixelBased</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1noise__covariance_1_1_compute_noise_correlation_task.html</anchorfile>
      <anchor>a9bd9417abb1798b284a8fc3ebf3040fb</anchor>
      <arglist>(self, lsst.afw.image.MaskedImage maskedImage, lsst.afw.image.MaskedImage refMaskedImage)</arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>str</type>
      <name>_DefaultName</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1noise__covariance_1_1_compute_noise_correlation_task.html</anchorfile>
      <anchor>a40da58d41a1e966f072b1253893eaf5a</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::noise_covariance::CorrelationMatrix</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1noise__covariance_1_1_correlation_matrix.html</filename>
    <member kind="function">
      <type>tuple[int, int]</type>
      <name>shape</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1noise__covariance_1_1_correlation_matrix.html</anchorfile>
      <anchor>abdc13f85a2493fe7a65e19da85ae7a8b</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>__call__</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1noise__covariance_1_1_correlation_matrix.html</anchorfile>
      <anchor>af61f65a2f911134abe62242bcd97874f</anchor>
      <arglist>(self, int x, int y)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>np</type>
      <name>array</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1noise__covariance_1_1_correlation_matrix.html</anchorfile>
      <anchor>a14e219f89435883d66f954a8e7f357f7</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::objectSizeStarSelector::EventHandler</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1object_size_star_selector_1_1_event_handler.html</filename>
    <member kind="function">
      <type>def</type>
      <name>__init__</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1object_size_star_selector_1_1_event_handler.html</anchorfile>
      <anchor>af4ad0c1f4edcff981c00ec867be08195</anchor>
      <arglist>(self, axes, xs, ys, x, y, frames=[0])</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>__call__</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1object_size_star_selector_1_1_event_handler.html</anchorfile>
      <anchor>adc4f32d68071def6f6be62a8128a5022</anchor>
      <arglist>(self, ev)</arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>axes</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1object_size_star_selector_1_1_event_handler.html</anchorfile>
      <anchor>a39cef20c6f3d2e944eefce885fb7246c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>xs</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1object_size_star_selector_1_1_event_handler.html</anchorfile>
      <anchor>ae0479e43db47c7d23a972f87a17f9de5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>ys</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1object_size_star_selector_1_1_event_handler.html</anchorfile>
      <anchor>ade81f14f74400755a3efb92a8ce5e9f6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>x</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1object_size_star_selector_1_1_event_handler.html</anchorfile>
      <anchor>ab068bcacad26b6e4d840f03c6010b72f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>y</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1object_size_star_selector_1_1_event_handler.html</anchorfile>
      <anchor>a150fae3985d1689b8321bcaeddb505e5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>frames</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1object_size_star_selector_1_1_event_handler.html</anchorfile>
      <anchor>ac4eb6aeb7a39bb0953be5d708e203995</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>cid</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1object_size_star_selector_1_1_event_handler.html</anchorfile>
      <anchor>ad5c9c9f47618bb1e9de413899b369445</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::objectSizeStarSelector::ObjectSizeStarSelectorConfig</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1object_size_star_selector_1_1_object_size_star_selector_config.html</filename>
    <member kind="function">
      <type>def</type>
      <name>validate</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1object_size_star_selector_1_1_object_size_star_selector_config.html</anchorfile>
      <anchor>a2cfb191fa87b0a1256b924571a55151d</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>doFluxLimit</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1object_size_star_selector_1_1_object_size_star_selector_config.html</anchorfile>
      <anchor>a30a6cd6fa665dd2bcc1e5f1c38164b70</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>fluxMin</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1object_size_star_selector_1_1_object_size_star_selector_config.html</anchorfile>
      <anchor>a086227f236b0095344ed80b7d4487d98</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>fluxMax</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1object_size_star_selector_1_1_object_size_star_selector_config.html</anchorfile>
      <anchor>a58f342c65c9f2b0b9b182da2a9d1be72</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>doSignalToNoiseLimit</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1object_size_star_selector_1_1_object_size_star_selector_config.html</anchorfile>
      <anchor>a82743cc6ac4a9ed6a2e2e0c8aedf52d2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>signalToNoiseMin</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1object_size_star_selector_1_1_object_size_star_selector_config.html</anchorfile>
      <anchor>a8e0eaa4f757fb50a073840ad7f2ffbb2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>signalToNoiseMax</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1object_size_star_selector_1_1_object_size_star_selector_config.html</anchorfile>
      <anchor>a1daeca2f084a1f06d53c4af0327c31a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>widthMin</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1object_size_star_selector_1_1_object_size_star_selector_config.html</anchorfile>
      <anchor>a1186a7e78b38995ae5f6257f33c06311</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>widthMax</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1object_size_star_selector_1_1_object_size_star_selector_config.html</anchorfile>
      <anchor>ae080d7899ec1dda310da8a783723b498</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>sourceFluxField</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1object_size_star_selector_1_1_object_size_star_selector_config.html</anchorfile>
      <anchor>abdd6d06aa6627b404a96e1f77fea49ca</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>widthStdAllowed</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1object_size_star_selector_1_1_object_size_star_selector_config.html</anchorfile>
      <anchor>a4f426ee97c989be69af35c9de1102b89</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>nSigmaClip</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1object_size_star_selector_1_1_object_size_star_selector_config.html</anchorfile>
      <anchor>a0f197df9ead942f8a5f8b7339e69830a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>badFlags</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1object_size_star_selector_1_1_object_size_star_selector_config.html</anchorfile>
      <anchor>a4a9977eeccf237b351d8beb994f2ba8c</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::objectSizeStarSelector::ObjectSizeStarSelectorTask</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1object_size_star_selector_1_1_object_size_star_selector_task.html</filename>
    <base>lsst::meas::algorithms::sourceSelector::BaseSourceSelectorTask</base>
    <member kind="function">
      <type>def</type>
      <name>selectSources</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1object_size_star_selector_1_1_object_size_star_selector_task.html</anchorfile>
      <anchor>ad9f00bf930d0a9790e7056122456162d</anchor>
      <arglist>(self, sourceCat, matches=None, exposure=None)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>ObjectSizeStarSelectorConfig</type>
      <name>ConfigClass</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1object_size_star_selector_1_1_object_size_star_selector_task.html</anchorfile>
      <anchor>ac685261e6da6f60b69e392759d93f261</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>bool</type>
      <name>usesMatches</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1object_size_star_selector_1_1_object_size_star_selector_task.html</anchorfile>
      <anchor>a31f2d6cb674ec6f2fb4ecd76f2ac1c27</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::PcaPsf</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1_pca_psf.html</filename>
    <base>PersistableFacade&lt; PcaPsf &gt;</base>
    <base>lsst::meas::algorithms::KernelPsf</base>
    <member kind="function">
      <type></type>
      <name>PcaPsf</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_pca_psf.html</anchorfile>
      <anchor>a59d941ce85039b58d3a0a939973bc9f9</anchor>
      <arglist>(std::shared_ptr&lt; afw::math::LinearCombinationKernel &gt; kernel, geom::Point2D const &amp;averagePosition=geom::Point2D())</arglist>
    </member>
    <member kind="function">
      <type>std::shared_ptr&lt; afw::detection::Psf &gt;</type>
      <name>clone</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_pca_psf.html</anchorfile>
      <anchor>af09430d4db75dd7df736c067b097f9c9</anchor>
      <arglist>() const override</arglist>
    </member>
    <member kind="function">
      <type>std::shared_ptr&lt; afw::detection::Psf &gt;</type>
      <name>resized</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_pca_psf.html</anchorfile>
      <anchor>a9027711ae8bee43b010f48a09c039953</anchor>
      <arglist>(int width, int height) const override</arglist>
    </member>
    <member kind="function">
      <type>std::shared_ptr&lt; afw::math::LinearCombinationKernel const &gt;</type>
      <name>getKernel</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_pca_psf.html</anchorfile>
      <anchor>ad7ccd50124f52d4aff8f458ccfa832ce</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>geom::Point2D</type>
      <name>getAveragePosition</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_kernel_psf.html</anchorfile>
      <anchor>adfda8816b196a930cc14907f5ff1525d</anchor>
      <arglist>() const override</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isPersistable</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_kernel_psf.html</anchorfile>
      <anchor>a2e4295e64c4d07ec638d573a74436293</anchor>
      <arglist>() const noexcept override</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>std::string</type>
      <name>getPythonModule</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_kernel_psf.html</anchorfile>
      <anchor>ac40b893cb5e64fbe2901d329e8131cdf</anchor>
      <arglist>() const override</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>write</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_kernel_psf.html</anchorfile>
      <anchor>ad9b3cc69df1f03376f331f939b6217b0</anchor>
      <arglist>(OutputArchiveHandle &amp;handle) const override</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual double</type>
      <name>doComputeApertureFlux</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_image_psf.html</anchorfile>
      <anchor>ac65fdc8887dc9b3e0fb040a8eac1e34c</anchor>
      <arglist>(double radius, geom::Point2D const &amp;position, afw::image::Color const &amp;color) const</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual afw::geom::ellipses::Quadrupole</type>
      <name>doComputeShape</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_image_psf.html</anchorfile>
      <anchor>ab06992b76a5d5088ca1b96f046a8fd7c</anchor>
      <arglist>(geom::Point2D const &amp;position, afw::image::Color const &amp;color) const</arglist>
    </member>
    <member kind="function" protection="private">
      <type>std::string</type>
      <name>getPersistenceName</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_pca_psf.html</anchorfile>
      <anchor>ac317fc7267d5f4acea6d362b748a22b5</anchor>
      <arglist>() const override</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::pcaPsfDeterminer::PcaPsfDeterminerConfig</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1pca_psf_determiner_1_1_pca_psf_determiner_config.html</filename>
    <member kind="function">
      <type>def</type>
      <name>setDefaults</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1pca_psf_determiner_1_1_pca_psf_determiner_config.html</anchorfile>
      <anchor>a5093065f22308bd6e255dee2f07b9b33</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>stampSize</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1pca_psf_determiner_1_1_pca_psf_determiner_config.html</anchorfile>
      <anchor>ad3516dae6731962b7b6a7541d290ff4f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>nonLinearSpatialFit</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1pca_psf_determiner_1_1_pca_psf_determiner_config.html</anchorfile>
      <anchor>ac6a1c7450926bfb0a24439bc73f5d74f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>nEigenComponents</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1pca_psf_determiner_1_1_pca_psf_determiner_config.html</anchorfile>
      <anchor>a530d94687ddd05ff00dbcb6168456406</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>spatialOrder</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1pca_psf_determiner_1_1_pca_psf_determiner_config.html</anchorfile>
      <anchor>a848c9d1d1625f73aa15a33f0c2986d0a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>sizeCellX</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1pca_psf_determiner_1_1_pca_psf_determiner_config.html</anchorfile>
      <anchor>a8da53b97c77597d2f1a5e3548db7030c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>sizeCellY</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1pca_psf_determiner_1_1_pca_psf_determiner_config.html</anchorfile>
      <anchor>af95c10347779f94c73b7b8c62cb2da2d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>nStarPerCell</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1pca_psf_determiner_1_1_pca_psf_determiner_config.html</anchorfile>
      <anchor>a9dac4cd0ed84fb8b1db5a12b069e8aa7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>borderWidth</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1pca_psf_determiner_1_1_pca_psf_determiner_config.html</anchorfile>
      <anchor>a61c1db0c265baf0d782b9e0d508e3d76</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>nStarPerCellSpatialFit</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1pca_psf_determiner_1_1_pca_psf_determiner_config.html</anchorfile>
      <anchor>a794fc50794005f10de72e9c710bd10b8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>constantWeight</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1pca_psf_determiner_1_1_pca_psf_determiner_config.html</anchorfile>
      <anchor>a083a530c4df85c165e7e755cc9e92e12</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>nIterForPsf</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1pca_psf_determiner_1_1_pca_psf_determiner_config.html</anchorfile>
      <anchor>a44315b666b711c86dcdd0384556fa46b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>tolerance</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1pca_psf_determiner_1_1_pca_psf_determiner_config.html</anchorfile>
      <anchor>a63e89d20598d3f35a7f391df1768e3b3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>lam</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1pca_psf_determiner_1_1_pca_psf_determiner_config.html</anchorfile>
      <anchor>a02f8a3a8e7a4a18ce6e93accd689b8c2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>reducedChi2ForPsfCandidates</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1pca_psf_determiner_1_1_pca_psf_determiner_config.html</anchorfile>
      <anchor>a7f4e6e54335ff27b4f2aa26c1b7b53cf</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>spatialReject</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1pca_psf_determiner_1_1_pca_psf_determiner_config.html</anchorfile>
      <anchor>ad8c88f818fa035a7adb81faf79ed1cb8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>pixelThreshold</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1pca_psf_determiner_1_1_pca_psf_determiner_config.html</anchorfile>
      <anchor>abad07afc65b0eda58fdf93ec7fd2ad2c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>doRejectBlends</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1pca_psf_determiner_1_1_pca_psf_determiner_config.html</anchorfile>
      <anchor>accfef64b432ecaab5bb79c77fe1d53dd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>doMaskBlends</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1pca_psf_determiner_1_1_pca_psf_determiner_config.html</anchorfile>
      <anchor>acd45dbf3e063222acca6a1aad655ec27</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::pcaPsfDeterminer::PcaPsfDeterminerTask</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1pca_psf_determiner_1_1_pca_psf_determiner_task.html</filename>
    <base>lsst::meas::algorithms::psfDeterminer::BasePsfDeterminerTask</base>
    <member kind="function">
      <type>def</type>
      <name>determinePsf</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1pca_psf_determiner_1_1_pca_psf_determiner_task.html</anchorfile>
      <anchor>a3bb638bc6e262219b6b378c346b15944</anchor>
      <arglist>(self, exposure, psfCandidateList, metadata=None, flagKey=None)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>PcaPsfDeterminerConfig</type>
      <name>ConfigClass</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1pca_psf_determiner_1_1_pca_psf_determiner_task.html</anchorfile>
      <anchor>a9f6407b3eeefb83c67e7c4158ab2153b</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_fitPsf</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1pca_psf_determiner_1_1_pca_psf_determiner_task.html</anchorfile>
      <anchor>adeeee7e82b177b1f6ab1d7e5dfa2b979</anchor>
      <arglist>(self, exposure, psfCellSet, kernelSize, nEigenComponents)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::PsfCandidate</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1_psf_candidate.html</filename>
    <templarg>typename PixelT</templarg>
    <base>lsst::afw::math::SpatialCellImageCandidate</base>
    <member kind="typedef">
      <type>std::shared_ptr&lt; PsfCandidate&lt; PixelT &gt; &gt;</type>
      <name>Ptr</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_psf_candidate.html</anchorfile>
      <anchor>ad51b9097f7c3bdb3ebf9cefaa6ca531e</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>std::shared_ptr&lt; const PsfCandidate&lt; PixelT &gt; &gt;</type>
      <name>ConstPtr</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_psf_candidate.html</anchorfile>
      <anchor>a05f5dfe215d4f49c58a38be4695eb7c4</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>std::vector&lt; Ptr &gt;</type>
      <name>PtrList</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_psf_candidate.html</anchorfile>
      <anchor>a0178533c183cd3d098ed294f725a524f</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>afw::image::MaskedImage&lt; PixelT &gt;</type>
      <name>MaskedImageT</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_psf_candidate.html</anchorfile>
      <anchor>a8a800f99f84409d41a9c0403df71a203</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PsfCandidate</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_psf_candidate.html</anchorfile>
      <anchor>a31662dc65bb65c18482d89bd6184ac05</anchor>
      <arglist>(std::shared_ptr&lt; afw::table::SourceRecord &gt; const &amp;source, std::shared_ptr&lt; afw::image::Exposure&lt; PixelT &gt; const &gt; parentExposure)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PsfCandidate</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_psf_candidate.html</anchorfile>
      <anchor>a9c3af6612898c1b52c1d78c59fda7b3b</anchor>
      <arglist>(std::shared_ptr&lt; afw::table::SourceRecord &gt; const &amp;source, std::shared_ptr&lt; afw::image::Exposure&lt; PixelT &gt; const &gt; parentExposure, double xCenter, double yCenter)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~PsfCandidate</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_psf_candidate.html</anchorfile>
      <anchor>aa4590b726be22fcd26f535ad1dbc3f31</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>getCandidateRating</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_psf_candidate.html</anchorfile>
      <anchor>a2098dd8f89cf29ae5c275bc6171c0248</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>std::shared_ptr&lt; afw::table::SourceRecord &gt;</type>
      <name>getSource</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_psf_candidate.html</anchorfile>
      <anchor>adc37b4328a919c54ba85b592bb50a030</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>getAmplitude</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_psf_candidate.html</anchorfile>
      <anchor>ab87ee2f1684ee8adf86523d99b93793d</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAmplitude</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_psf_candidate.html</anchorfile>
      <anchor>a7c025c6a3d920249ff9acdc11618e8cd</anchor>
      <arglist>(double amplitude)</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>getVar</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_psf_candidate.html</anchorfile>
      <anchor>a4222efdee903d99c1e9bfdeecfba93c5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setVar</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_psf_candidate.html</anchorfile>
      <anchor>a6f2744cfba619c0268ecc58e50de6608</anchor>
      <arglist>(double var)</arglist>
    </member>
    <member kind="function">
      <type>std::shared_ptr&lt; afw::image::MaskedImage&lt; PixelT &gt; const &gt;</type>
      <name>getMaskedImage</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_psf_candidate.html</anchorfile>
      <anchor>a707c6d6b7fb09fadce63a3347f7721f5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>std::shared_ptr&lt; afw::image::MaskedImage&lt; PixelT &gt; const &gt;</type>
      <name>getMaskedImage</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_psf_candidate.html</anchorfile>
      <anchor>a12ab3ca7dabcd4808895266101f2aa8f</anchor>
      <arglist>(int width, int height) const</arglist>
    </member>
    <member kind="function">
      <type>std::shared_ptr&lt; afw::image::MaskedImage&lt; PixelT &gt; &gt;</type>
      <name>getOffsetImage</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_psf_candidate.html</anchorfile>
      <anchor>aea061d94eadfddb4211e997a9bf92f0c</anchor>
      <arglist>(std::string const algorithm, unsigned int buffer) const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>getBorderWidth</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_psf_candidate.html</anchorfile>
      <anchor>a5dc11c65b537ebe219f3cd336a13858e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>setBorderWidth</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_psf_candidate.html</anchorfile>
      <anchor>a3e74dde420b516ff4daf5c8741f2bd09</anchor>
      <arglist>(int border)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>setPixelThreshold</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_psf_candidate.html</anchorfile>
      <anchor>a6795aa63fcca978e8b763f645ace916a</anchor>
      <arglist>(float threshold)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static float</type>
      <name>getPixelThreshold</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_psf_candidate.html</anchorfile>
      <anchor>a02382361967dd4dfe23e398aa77c333e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>setMaskBlends</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_psf_candidate.html</anchorfile>
      <anchor>aca413f6228a828b7629631f3d9e71296</anchor>
      <arglist>(bool doMaskBlends)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>getMaskBlends</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_psf_candidate.html</anchorfile>
      <anchor>a275342cd4b9ad24ad248aa7005b32fa7</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::psfCandidate::psfCandidateContinued::PsfCandidateF</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1psf_candidate_1_1psf_candidate_continued_1_1_psf_candidate_f.html</filename>
    <member kind="function">
      <type>def</type>
      <name>setCandidateRating</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1psf_candidate_1_1psf_candidate_continued_1_1_psf_candidate_f.html</anchorfile>
      <anchor>ac31b5f22483edcea65343617afc6e7ee</anchor>
      <arglist>(self, rating)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>__repr__</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1psf_candidate_1_1psf_candidate_continued_1_1_psf_candidate_f.html</anchorfile>
      <anchor>abd663fd78109e821f26d16a5ddf26743</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>PsfCandidateF</type>
      <name>getCandidateRating</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1psf_candidate_1_1psf_candidate_continued_1_1_psf_candidate_f.html</anchorfile>
      <anchor>a9bd882e2e821b883dfa7b85d7f67d35d</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::psfDeterminer::BasePsfDeterminerConfig</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1psf_determiner_1_1_base_psf_determiner_config.html</filename>
    <member kind="function">
      <type>def</type>
      <name>validate</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1psf_determiner_1_1_base_psf_determiner_config.html</anchorfile>
      <anchor>a37478cb0cb861836a668a5a3b44951a8</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>stampSize</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1psf_determiner_1_1_base_psf_determiner_config.html</anchorfile>
      <anchor>ae5e90c0d0b29f9ca4db4b7b73c30f377</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>kernelSize</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1psf_determiner_1_1_base_psf_determiner_config.html</anchorfile>
      <anchor>a3ca807e690db3abf05c3d94a64f25104</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>kernelSizeMin</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1psf_determiner_1_1_base_psf_determiner_config.html</anchorfile>
      <anchor>a3ce7f7b12b070f503f02106f5100ee61</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>kernelSizeMax</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1psf_determiner_1_1_base_psf_determiner_config.html</anchorfile>
      <anchor>a853fb2410262b36cce16582c358ab48e</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::psfDeterminer::BasePsfDeterminerTask</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1psf_determiner_1_1_base_psf_determiner_task.html</filename>
    <member kind="function">
      <type>def</type>
      <name>__init__</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1psf_determiner_1_1_base_psf_determiner_task.html</anchorfile>
      <anchor>a39a540ae937ac38d6a033edf01d24c74</anchor>
      <arglist>(self, config, schema=None, **kwds)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>determinePsf</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1psf_determiner_1_1_base_psf_determiner_task.html</anchorfile>
      <anchor>a5d269adec3254e6d373889d47c61430d</anchor>
      <arglist>(self, exposure, psfCandidateList, metadata=None, flagKey=None)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>bool</type>
      <name>usesMatches</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1psf_determiner_1_1_base_psf_determiner_task.html</anchorfile>
      <anchor>a4470b55f8c4b70ce28d60fd393c203b9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>BasePsfDeterminerConfig</type>
      <name>ConfigClass</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1psf_determiner_1_1_base_psf_determiner_task.html</anchorfile>
      <anchor>a4566336889aff787e13d65f7dc9548d0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>str</type>
      <name>_DefaultName</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1psf_determiner_1_1_base_psf_determiner_task.html</anchorfile>
      <anchor>a7e13090b9069fc4d712b4729b32b8381</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::PsfImagePca</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1_psf_image_pca.html</filename>
    <templarg>typename ImageT</templarg>
    <base>ImagePca&lt; ImageT &gt;</base>
    <member kind="function">
      <type></type>
      <name>PsfImagePca</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_psf_image_pca.html</anchorfile>
      <anchor>a3f1b3362189e8f484098a49a1e7c3ae0</anchor>
      <arglist>(bool constantWeight=true, int border=3)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>analyze</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_psf_image_pca.html</anchorfile>
      <anchor>ad2c066b15ae5bbaba9fdc4f8c144d4fb</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::readFitsCatalogTask::ReadFitsCatalogConfig</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1read_fits_catalog_task_1_1_read_fits_catalog_config.html</filename>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>hdu</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1read_fits_catalog_task_1_1_read_fits_catalog_config.html</anchorfile>
      <anchor>a3fc92faf925af604f42b28748ab8ab00</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>column_map</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1read_fits_catalog_task_1_1_read_fits_catalog_config.html</anchorfile>
      <anchor>a9a21471fb9d9456d49577422df268dcf</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::readFitsCatalogTask::ReadFitsCatalogTask</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1read_fits_catalog_task_1_1_read_fits_catalog_task.html</filename>
    <member kind="function">
      <type>def</type>
      <name>run</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1read_fits_catalog_task_1_1_read_fits_catalog_task.html</anchorfile>
      <anchor>a04f1cdad2cfef715547e061604ffc925</anchor>
      <arglist>(self, filename)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>ReadFitsCatalogConfig</type>
      <name>ConfigClass</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1read_fits_catalog_task_1_1_read_fits_catalog_task.html</anchorfile>
      <anchor>a435a65b5f9b492468cb9830521787e6a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>str</type>
      <name>_DefaultName</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1read_fits_catalog_task_1_1_read_fits_catalog_task.html</anchorfile>
      <anchor>abcdb61829d13c4ba92dfe5f7c1bca7c1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::readTextCatalogTask::ReadTextCatalogConfig</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1read_text_catalog_task_1_1_read_text_catalog_config.html</filename>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>header_lines</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1read_text_catalog_task_1_1_read_text_catalog_config.html</anchorfile>
      <anchor>a22b956e422ae26dbadd9f2472fdc9708</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>colnames</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1read_text_catalog_task_1_1_read_text_catalog_config.html</anchorfile>
      <anchor>ac95fceda0bf920a8fe8e6b28a199c107</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>delimiter</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1read_text_catalog_task_1_1_read_text_catalog_config.html</anchorfile>
      <anchor>aac8dc408de7d62b3cec3140e86239480</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>format</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1read_text_catalog_task_1_1_read_text_catalog_config.html</anchorfile>
      <anchor>ab96cdebed97f2de16ed31a0a42618a9c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>fill_values</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1read_text_catalog_task_1_1_read_text_catalog_config.html</anchorfile>
      <anchor>a7f3883a0f577390df0ca96e05848193f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>replace_missing_floats_with_nan</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1read_text_catalog_task_1_1_read_text_catalog_config.html</anchorfile>
      <anchor>ad88c772a1541625dc0044140f32bbe9f</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::readTextCatalogTask::ReadTextCatalogTask</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1read_text_catalog_task_1_1_read_text_catalog_task.html</filename>
    <member kind="function">
      <type>def</type>
      <name>run</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1read_text_catalog_task_1_1_read_text_catalog_task.html</anchorfile>
      <anchor>aa87617a59b0ee4c07393553ee4c9c437</anchor>
      <arglist>(self, filename)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>ReadTextCatalogConfig</type>
      <name>ConfigClass</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1read_text_catalog_task_1_1_read_text_catalog_task.html</anchorfile>
      <anchor>a7b03e91d3c25909685314180e010c33d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>str</type>
      <name>_DefaultName</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1read_text_catalog_task_1_1_read_text_catalog_task.html</anchorfile>
      <anchor>a0a8c1c04e22a67ca8e42148dff81a61a</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::reserveSourcesTask::ReserveSourcesConfig</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1reserve_sources_task_1_1_reserve_sources_config.html</filename>
    <member kind="variable" static="yes">
      <type>Field</type>
      <name>fraction</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1reserve_sources_task_1_1_reserve_sources_config.html</anchorfile>
      <anchor>ac39d0d0a22d1c9571182d4b7143e3f2f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>Field</type>
      <name>seed</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1reserve_sources_task_1_1_reserve_sources_config.html</anchorfile>
      <anchor>adb8f38bed50f6937e6ec0bc7801e2167</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::reserveSourcesTask::ReserveSourcesTask</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1reserve_sources_task_1_1_reserve_sources_task.html</filename>
    <member kind="function">
      <type>def</type>
      <name>__init__</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1reserve_sources_task_1_1_reserve_sources_task.html</anchorfile>
      <anchor>a3982284363053a4b2eab59251536afd5</anchor>
      <arglist>(self, columnName=None, schema=None, doc=None, **kwargs)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>run</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1reserve_sources_task_1_1_reserve_sources_task.html</anchorfile>
      <anchor>a3debdfefda57014ba6bae18051b7b014</anchor>
      <arglist>(self, sources, prior=None, expId=0)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>select</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1reserve_sources_task_1_1_reserve_sources_task.html</anchorfile>
      <anchor>acb181d12372a6fce964007870b00e13d</anchor>
      <arglist>(self, numSources, expId=0)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>applySelectionPrior</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1reserve_sources_task_1_1_reserve_sources_task.html</anchorfile>
      <anchor>a4a06be5513d35116e2e5aee67bc50679</anchor>
      <arglist>(self, prior, selection)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>markSources</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1reserve_sources_task_1_1_reserve_sources_task.html</anchorfile>
      <anchor>a25b76eb77638bca7220389db35248721</anchor>
      <arglist>(self, sources, selection)</arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>columnName</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1reserve_sources_task_1_1_reserve_sources_task.html</anchorfile>
      <anchor>a3271f71708a3798075212231fcbacb4e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>key</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1reserve_sources_task_1_1_reserve_sources_task.html</anchorfile>
      <anchor>a3824d38414aad0b49b443b2a705cd490</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>ReserveSourcesConfig</type>
      <name>ConfigClass</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1reserve_sources_task_1_1_reserve_sources_task.html</anchorfile>
      <anchor>a57e72b3d8e251dc4b65e0a8368a9b9df</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>str</type>
      <name>_DefaultName</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1reserve_sources_task_1_1_reserve_sources_task.html</anchorfile>
      <anchor>a0c1f6f9a4e518a95ed74e7389ed9bbb7</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::scaleVariance::ScaleVarianceConfig</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1scale_variance_1_1_scale_variance_config.html</filename>
    <member kind="function">
      <type>def</type>
      <name>setDefaults</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1scale_variance_1_1_scale_variance_config.html</anchorfile>
      <anchor>ab8fa422a9683315a3a251f4251f7dfe9</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>ConfigurableField</type>
      <name>background</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1scale_variance_1_1_scale_variance_config.html</anchorfile>
      <anchor>a9f9c7d39fb5ff1e9e6c676c2a4a0afd6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>ListField</type>
      <name>maskPlanes</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1scale_variance_1_1_scale_variance_config.html</anchorfile>
      <anchor>a255794d791e722cf167ec6f5c616b620</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>Field</type>
      <name>limit</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1scale_variance_1_1_scale_variance_config.html</anchorfile>
      <anchor>afe804b38f2ab06ee3e553e81dd15da68</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::scaleVariance::ScaleVarianceTask</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1scale_variance_1_1_scale_variance_task.html</filename>
    <member kind="function">
      <type>def</type>
      <name>__init__</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1scale_variance_1_1_scale_variance_task.html</anchorfile>
      <anchor>a3f1c51fba6909099d5794c1bdb3443bc</anchor>
      <arglist>(self, *args, **kwargs)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>subtractedBackground</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1scale_variance_1_1_scale_variance_task.html</anchorfile>
      <anchor>a6cbdf3defd6063c0d337125a7839eb2b</anchor>
      <arglist>(self, maskedImage)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>run</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1scale_variance_1_1_scale_variance_task.html</anchorfile>
      <anchor>a5e19bd7f44242f8f19fba7e672dbf705</anchor>
      <arglist>(self, maskedImage)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>computeScaleFactors</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1scale_variance_1_1_scale_variance_task.html</anchorfile>
      <anchor>a3c36689b3d85c58a9d173ac530ffe288</anchor>
      <arglist>(self, maskedImage)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>pixelBased</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1scale_variance_1_1_scale_variance_task.html</anchorfile>
      <anchor>a3190ff9609b933e88240ded491b85bce</anchor>
      <arglist>(self, maskedImage)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>imageBased</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1scale_variance_1_1_scale_variance_task.html</anchorfile>
      <anchor>ad5847d36beb2d1729c9b3fd87935f813</anchor>
      <arglist>(self, maskedImage)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>ScaleVarianceConfig</type>
      <name>ConfigClass</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1scale_variance_1_1_scale_variance_task.html</anchorfile>
      <anchor>ac320ef23065f5486df09cb63c52bc89d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>str</type>
      <name>_DefaultName</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1scale_variance_1_1_scale_variance_task.html</anchorfile>
      <anchor>a8c839c7d373256f5930c1ef8324c6db2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::simple_curve::AmpCurve</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1simple__curve_1_1_amp_curve.html</filename>
    <base>lsst::meas::algorithms::simple_curve::Curve</base>
    <member kind="function">
      <type>def</type>
      <name>__init__</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1simple__curve_1_1_amp_curve.html</anchorfile>
      <anchor>a3f58cf11688e3b8af674a32701da3787</anchor>
      <arglist>(self, amp_name_list, wavelength, efficiency, metadata)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>__eq__</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1simple__curve_1_1_amp_curve.html</anchorfile>
      <anchor>a57dca8076ca7f330a415f47a07b83420</anchor>
      <arglist>(self, other)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>fromTable</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1simple__curve_1_1_amp_curve.html</anchorfile>
      <anchor>adb7d5a9940d949212ad5c7df93a419a5</anchor>
      <arglist>(cls, table)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>toTable</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1simple__curve_1_1_amp_curve.html</anchorfile>
      <anchor>af89a4d7717337c51b0022130cbb9d93e</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>evaluate</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1simple__curve_1_1_amp_curve.html</anchorfile>
      <anchor>a406e267ca86733c08cf897691fffd9b4</anchor>
      <arglist>(self, detector, position, wavelength, kind=&apos;linear&apos;, bounds_error=False, fill_value=0)</arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>data</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1simple__curve_1_1_amp_curve.html</anchorfile>
      <anchor>a6d231f0e1e3158e25f90b20cd805d09a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>str</type>
      <name>mode</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1simple__curve_1_1_amp_curve.html</anchorfile>
      <anchor>ac3225278b9e7aa118e1fdfffc01aea26</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::simple_curve::Curve</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1simple__curve_1_1_curve.html</filename>
    <member kind="function">
      <type>def</type>
      <name>__init__</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1simple__curve_1_1_curve.html</anchorfile>
      <anchor>a74857c9341992b74627338b09255dc14</anchor>
      <arglist>(self, wavelength, efficiency, metadata)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>fromTable</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1simple__curve_1_1_curve.html</anchorfile>
      <anchor>a7b9fe23b9dca35bd5387bed2757458bb</anchor>
      <arglist>(cls, table)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>toTable</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1simple__curve_1_1_curve.html</anchorfile>
      <anchor>a5acb736164e9fa6f986a1d524c69ca6e</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>evaluate</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1simple__curve_1_1_curve.html</anchorfile>
      <anchor>a83fcbe50c246ccdff2ea9a4204ff1ab5</anchor>
      <arglist>(self, detector, position, wavelength, kind=&apos;linear&apos;, bounds_error=False, fill_value=0)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>__init_subclass__</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1simple__curve_1_1_curve.html</anchorfile>
      <anchor>a3bca1d94dca1850c7377b968c5112ecc</anchor>
      <arglist>(cls, **kwargs)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>__eq__</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1simple__curve_1_1_curve.html</anchorfile>
      <anchor>a9211a00920a85753ed1edc6a71cc3682</anchor>
      <arglist>(self, other)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>compare_metadata</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1simple__curve_1_1_curve.html</anchorfile>
      <anchor>a017ec8260f8ff6d2985150836ca62b47</anchor>
      <arglist>(self, other, keys_to_compare=[&apos;MODE&apos;, &apos;TYPE&apos;, &apos;CALIBDATE&apos;, &apos;INSTRUME&apos;, &apos;OBSTYPE&apos;, &apos;DETECTOR&apos;])</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>interpolate</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1simple__curve_1_1_curve.html</anchorfile>
      <anchor>a6b28f7891335b4578440723ebe12a329</anchor>
      <arglist>(self, wavelengths, values, wavelength, kind, bounds_error, fill_value)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getMetadata</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1simple__curve_1_1_curve.html</anchorfile>
      <anchor>a61c28a8727687d62d3852651ba9b40b4</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>readText</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1simple__curve_1_1_curve.html</anchorfile>
      <anchor>a639fe72f4acb531156d96901531e3acd</anchor>
      <arglist>(cls, filename)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>readFits</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1simple__curve_1_1_curve.html</anchorfile>
      <anchor>a620b207ce1ddbbeabe560c6c13032e46</anchor>
      <arglist>(cls, filename)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>writeText</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1simple__curve_1_1_curve.html</anchorfile>
      <anchor>adf217d8fde80a69db206b21cd94302b7</anchor>
      <arglist>(self, filename)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>writeFits</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1simple__curve_1_1_curve.html</anchorfile>
      <anchor>a864fac2b14ed86fa6deef1b1d23ebe7f</anchor>
      <arglist>(self, filename)</arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>wavelength</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1simple__curve_1_1_curve.html</anchorfile>
      <anchor>a5c1a57640e5301efe1d961cdbbb1bc56</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>efficiency</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1simple__curve_1_1_curve.html</anchorfile>
      <anchor>a6ec6030f0a58f6fa69ab4a1717fd84e4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>metadata</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1simple__curve_1_1_curve.html</anchorfile>
      <anchor>a09f8cd36ed2e7194fb37873574c86d2e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>str</type>
      <name>mode</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1simple__curve_1_1_curve.html</anchorfile>
      <anchor>a45c9b12e2ed638e7a5d410502405638d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>dict</type>
      <name>subclasses</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1simple__curve_1_1_curve.html</anchorfile>
      <anchor>a264e12e9a24ca3cd3db7b8e5783a759b</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_to_table_with_meta</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1simple__curve_1_1_curve.html</anchorfile>
      <anchor>a8ac5f8f86dd5cceb894de48a7dcb806a</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function" protection="protected" static="yes">
      <type>def</type>
      <name>_check_cols</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1simple__curve_1_1_curve.html</anchorfile>
      <anchor>a0461d3890feffd5c432b26aea855ec02</anchor>
      <arglist>(cols, table)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::simple_curve::DetectorCurve</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1simple__curve_1_1_detector_curve.html</filename>
    <base>lsst::meas::algorithms::simple_curve::Curve</base>
    <member kind="function">
      <type>def</type>
      <name>__eq__</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1simple__curve_1_1_detector_curve.html</anchorfile>
      <anchor>a4ee7998879361681ca533b07920a00f6</anchor>
      <arglist>(self, other)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>fromTable</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1simple__curve_1_1_detector_curve.html</anchorfile>
      <anchor>a12538b3e86a8669ab5667f8305b01aae</anchor>
      <arglist>(cls, table)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>toTable</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1simple__curve_1_1_detector_curve.html</anchorfile>
      <anchor>ad2e3ef5e84aa6687431b6d75de9db375</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>evaluate</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1simple__curve_1_1_detector_curve.html</anchorfile>
      <anchor>aaa650acd912e20c97101623dd9ab6446</anchor>
      <arglist>(self, detector, position, wavelength, kind=&apos;linear&apos;, bounds_error=False, fill_value=0)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>str</type>
      <name>mode</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1simple__curve_1_1_detector_curve.html</anchorfile>
      <anchor>a4446ef9e33d34e32ec4c6cfb3a6d75a6</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::simple_curve::ImageCurve</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1simple__curve_1_1_image_curve.html</filename>
    <base>lsst::meas::algorithms::simple_curve::Curve</base>
    <member kind="function">
      <type>def</type>
      <name>fromTable</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1simple__curve_1_1_image_curve.html</anchorfile>
      <anchor>a8c85a62f15b21f311863d4c79104530c</anchor>
      <arglist>(self, table)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>toTable</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1simple__curve_1_1_image_curve.html</anchorfile>
      <anchor>ae63361824aa7d7f3a8e542354a4f5575</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>evaluate</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1simple__curve_1_1_image_curve.html</anchorfile>
      <anchor>a918fcd49e119ad8ba52cf30ec4f6ca32</anchor>
      <arglist>(self, detector, position, wavelength, kind=&apos;linear&apos;, bounds_error=False, fill_value=0)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>str</type>
      <name>mode</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1simple__curve_1_1_image_curve.html</anchorfile>
      <anchor>a1af87f607eca8a6088ca9200573cc68c</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::SingleGaussianPsf</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1_single_gaussian_psf.html</filename>
    <base>PersistableFacade&lt; SingleGaussianPsf &gt;</base>
    <base>lsst::meas::algorithms::KernelPsf</base>
    <member kind="function">
      <type></type>
      <name>SingleGaussianPsf</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_single_gaussian_psf.html</anchorfile>
      <anchor>af993557082ec956829691e4aaaaa6fc2</anchor>
      <arglist>(int width, int height, double sigma)</arglist>
    </member>
    <member kind="function">
      <type>std::shared_ptr&lt; afw::detection::Psf &gt;</type>
      <name>clone</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_single_gaussian_psf.html</anchorfile>
      <anchor>a3629fc51704393a6f152b42aa25d50dd</anchor>
      <arglist>() const override</arglist>
    </member>
    <member kind="function">
      <type>std::shared_ptr&lt; afw::detection::Psf &gt;</type>
      <name>resized</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_single_gaussian_psf.html</anchorfile>
      <anchor>a496e0dc21e4d29d5eff3df3cc0653375</anchor>
      <arglist>(int width, int height) const override</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>getSigma</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_single_gaussian_psf.html</anchorfile>
      <anchor>ae904b625543384a2e87cccd77d505b92</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isPersistable</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_single_gaussian_psf.html</anchorfile>
      <anchor>a1c56e33681ce01adac568ff864e7c480</anchor>
      <arglist>() const noexcept override</arglist>
    </member>
    <member kind="function">
      <type>std::shared_ptr&lt; afw::math::Kernel const &gt;</type>
      <name>getKernel</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_kernel_psf.html</anchorfile>
      <anchor>adcf1c5b0d437e579d32e33801a31bfd2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>geom::Point2D</type>
      <name>getAveragePosition</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_kernel_psf.html</anchorfile>
      <anchor>adfda8816b196a930cc14907f5ff1525d</anchor>
      <arglist>() const override</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>std::string</type>
      <name>getPersistenceName</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_single_gaussian_psf.html</anchorfile>
      <anchor>a91f038ff2d66126e9985df5303e467ef</anchor>
      <arglist>() const override</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>write</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_single_gaussian_psf.html</anchorfile>
      <anchor>a5124102d75393bd15463c96ae14fb20a</anchor>
      <arglist>(OutputArchiveHandle &amp;handle) const override</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>std::string</type>
      <name>getPythonModule</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_kernel_psf.html</anchorfile>
      <anchor>ac40b893cb5e64fbe2901d329e8131cdf</anchor>
      <arglist>() const override</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual double</type>
      <name>doComputeApertureFlux</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_image_psf.html</anchorfile>
      <anchor>ac65fdc8887dc9b3e0fb040a8eac1e34c</anchor>
      <arglist>(double radius, geom::Point2D const &amp;position, afw::image::Color const &amp;color) const</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual afw::geom::ellipses::Quadrupole</type>
      <name>doComputeShape</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_image_psf.html</anchorfile>
      <anchor>ab06992b76a5d5088ca1b96f046a8fd7c</anchor>
      <arglist>(geom::Point2D const &amp;position, afw::image::Color const &amp;color) const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::skyObjects::SkyObjectsConfig</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1sky_objects_1_1_sky_objects_config.html</filename>
    <member kind="variable" static="yes">
      <type>ListField</type>
      <name>avoidMask</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1sky_objects_1_1_sky_objects_config.html</anchorfile>
      <anchor>a8e234c4d5ddf9630e8d1584c8fb02093</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>Field</type>
      <name>growMask</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1sky_objects_1_1_sky_objects_config.html</anchorfile>
      <anchor>a6edeb530ebf1075126e9736ed8c0e148</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>Field</type>
      <name>sourceRadius</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1sky_objects_1_1_sky_objects_config.html</anchorfile>
      <anchor>a0a8d748475631f7d3f4f4f269443c2c1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>Field</type>
      <name>nSources</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1sky_objects_1_1_sky_objects_config.html</anchorfile>
      <anchor>a27447faabab1b30a3c57b9d330c67351</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>Field</type>
      <name>nTrialSources</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1sky_objects_1_1_sky_objects_config.html</anchorfile>
      <anchor>a5dcf8d850aa8b782e281e031a45c2fa1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>Field</type>
      <name>nTrialSourcesMultiplier</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1sky_objects_1_1_sky_objects_config.html</anchorfile>
      <anchor>a3f169ca0da914e13a84aaa03373bad77</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::skyObjects::SkyObjectsTask</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1sky_objects_1_1_sky_objects_task.html</filename>
    <member kind="function">
      <type>def</type>
      <name>run</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1sky_objects_1_1_sky_objects_task.html</anchorfile>
      <anchor>a9752eb0059b88e6eca368fa7e1904c27</anchor>
      <arglist>(self, mask, seed)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>SkyObjectsConfig</type>
      <name>ConfigClass</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1sky_objects_1_1_sky_objects_task.html</anchorfile>
      <anchor>a4c85f762d513a2bd39259ce072d7c07a</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::sourceSelector::BaseLimit</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_base_limit.html</filename>
    <member kind="function">
      <type>def</type>
      <name>apply</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_base_limit.html</anchorfile>
      <anchor>a8e8c2b10258f38ae58f9c503a8346c22</anchor>
      <arglist>(self, values)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>minimum</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_base_limit.html</anchorfile>
      <anchor>a3a8661b8fca1e15961c06bd69c8e2bc5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>maximum</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_base_limit.html</anchorfile>
      <anchor>ab73d25a6988f1f15cbb73c1634b9f17f</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::sourceSelector::BaseSourceSelectorConfig</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_base_source_selector_config.html</filename>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::sourceSelector::BaseSourceSelectorTask</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_base_source_selector_task.html</filename>
    <member kind="function">
      <type>def</type>
      <name>__init__</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_base_source_selector_task.html</anchorfile>
      <anchor>a3ea4e5a0fbb770b88f6ba9fb92fea477</anchor>
      <arglist>(self, **kwargs)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>run</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_base_source_selector_task.html</anchorfile>
      <anchor>af8ec9e60b480a369db09e7dbe1e9ccad</anchor>
      <arglist>(self, sourceCat, sourceSelectedField=None, matches=None, exposure=None)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>selectSources</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_base_source_selector_task.html</anchorfile>
      <anchor>a0dcfa49d7b9e26730a498a7e7e6a1120</anchor>
      <arglist>(self, sourceCat, matches=None, exposure=None)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>BaseSourceSelectorConfig</type>
      <name>ConfigClass</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_base_source_selector_task.html</anchorfile>
      <anchor>a10470b13aa3dc411376c166adc74307d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>bool</type>
      <name>usesMatches</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_base_source_selector_task.html</anchorfile>
      <anchor>a36c4a6db638c8214fd5bc2d6190d1d61</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>str</type>
      <name>_DefaultName</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_base_source_selector_task.html</anchorfile>
      <anchor>ad4291f1c6aba550efcf00243870d9a17</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::sourceSelector::ColorLimit</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_color_limit.html</filename>
    <base>lsst::meas::algorithms::sourceSelector::BaseLimit</base>
    <member kind="function">
      <type>def</type>
      <name>apply</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_color_limit.html</anchorfile>
      <anchor>a5ee26030968d8920e1b3923bd6d48521</anchor>
      <arglist>(self, catalog)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>primary</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_color_limit.html</anchorfile>
      <anchor>a6fd8feac9dfc86d2b1889e00fadc04c4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>secondary</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_color_limit.html</anchorfile>
      <anchor>ad8a70df8d0040ac5b66cb6eafa807e42</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::sourceSelector::FluxLimit</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_flux_limit.html</filename>
    <base>lsst::meas::algorithms::sourceSelector::BaseLimit</base>
    <member kind="function">
      <type>def</type>
      <name>apply</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_flux_limit.html</anchorfile>
      <anchor>aa705264caf9bdd534707cf668cfcafc3</anchor>
      <arglist>(self, catalog)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>fluxField</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_flux_limit.html</anchorfile>
      <anchor>a30256472107a40ab27fafa308dc800c9</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::sourceSelector::MagnitudeErrorLimit</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_magnitude_error_limit.html</filename>
    <base>lsst::meas::algorithms::sourceSelector::BaseLimit</base>
    <member kind="function">
      <type>def</type>
      <name>apply</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_magnitude_error_limit.html</anchorfile>
      <anchor>a7c07495eaef3207ebdf08fd2c951c168</anchor>
      <arglist>(self, catalog)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>magErrField</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_magnitude_error_limit.html</anchorfile>
      <anchor>aa13028303d9330de7945a3ce9f11def9</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::sourceSelector::MagnitudeLimit</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_magnitude_limit.html</filename>
    <base>lsst::meas::algorithms::sourceSelector::BaseLimit</base>
    <member kind="function">
      <type>def</type>
      <name>apply</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_magnitude_limit.html</anchorfile>
      <anchor>a8a0a32e649d0112df24af0940656436d</anchor>
      <arglist>(self, catalog)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>fluxField</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_magnitude_limit.html</anchorfile>
      <anchor>a9a4b0e41e481c906d5a639ec62a31e30</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::sourceSelector::ReferenceSourceSelectorConfig</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_reference_source_selector_config.html</filename>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>doMagLimit</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_reference_source_selector_config.html</anchorfile>
      <anchor>a60f66a6665dddb94ec46f356d8d95958</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>doFlags</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_reference_source_selector_config.html</anchorfile>
      <anchor>a3d995b101ecd72d14bec1a8f1bf7d49e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>doUnresolved</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_reference_source_selector_config.html</anchorfile>
      <anchor>a5729fca4b24bb1f8257b36a7ae87b160</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>doSignalToNoise</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_reference_source_selector_config.html</anchorfile>
      <anchor>ae8181d3cf479e2a68e339b1d4ac7ebd0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>doMagError</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_reference_source_selector_config.html</anchorfile>
      <anchor>aa58babea30d43179f984163c4de2b0c6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>magLimit</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_reference_source_selector_config.html</anchorfile>
      <anchor>a34fc57cc06443074122f5588aa09bc48</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>flags</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_reference_source_selector_config.html</anchorfile>
      <anchor>ac3084810527455b64af5af4a81991b0d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>unresolved</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_reference_source_selector_config.html</anchorfile>
      <anchor>a16889603fbd2e80e648dda6023013fd3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>signalToNoise</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_reference_source_selector_config.html</anchorfile>
      <anchor>aa4a8032ba2537994d064cc72ab4ce9d9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>magError</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_reference_source_selector_config.html</anchorfile>
      <anchor>a59029eefb2715c4f5f779f54a7ecd7c2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>colorLimits</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_reference_source_selector_config.html</anchorfile>
      <anchor>a711450adfe15be62f9e92cca2b20867c</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::sourceSelector::ReferenceSourceSelectorTask</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_reference_source_selector_task.html</filename>
    <base>lsst::meas::algorithms::sourceSelector::BaseSourceSelectorTask</base>
    <member kind="function">
      <type>def</type>
      <name>selectSources</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_reference_source_selector_task.html</anchorfile>
      <anchor>a616641890f2448629491a7192286093c</anchor>
      <arglist>(self, sourceCat, matches=None, exposure=None)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>ReferenceSourceSelectorConfig</type>
      <name>ConfigClass</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_reference_source_selector_task.html</anchorfile>
      <anchor>a0f5d940912bb7c44bab3869c18971331</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::sourceSelector::RequireFiniteRaDec</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_require_finite_ra_dec.html</filename>
    <member kind="function">
      <type>def</type>
      <name>apply</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_require_finite_ra_dec.html</anchorfile>
      <anchor>a3e2b4c751cbc72f5cfc11a1b955281bb</anchor>
      <arglist>(self, catalog)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>raColName</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_require_finite_ra_dec.html</anchorfile>
      <anchor>ae6e3619cdbfd27c8b11999cbb45f6a40</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>decColName</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_require_finite_ra_dec.html</anchorfile>
      <anchor>a707bb8c574ed94b39acd4a0ffa1fdf71</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::sourceSelector::RequireFlags</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_require_flags.html</filename>
    <member kind="function">
      <type>def</type>
      <name>apply</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_require_flags.html</anchorfile>
      <anchor>a2288d69c31e904f172956423850c1cb6</anchor>
      <arglist>(self, catalog)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>good</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_require_flags.html</anchorfile>
      <anchor>a0ac599de33d547a7341fc30289387346</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>bad</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_require_flags.html</anchorfile>
      <anchor>a23d2e880104c86b15940ed2d49e98857</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::sourceSelector::RequireIsolated</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_require_isolated.html</filename>
    <member kind="function">
      <type>def</type>
      <name>apply</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_require_isolated.html</anchorfile>
      <anchor>a07c0b8d72ba6604c7a868a106358589e</anchor>
      <arglist>(self, catalog)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>parentName</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_require_isolated.html</anchorfile>
      <anchor>a3940734d19d467b2cb0ef26bbbb3135a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>nChildName</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_require_isolated.html</anchorfile>
      <anchor>a4c0c70ddb98b289f94453e5f9261d084</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::sourceSelector::RequireUnresolved</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_require_unresolved.html</filename>
    <base>lsst::meas::algorithms::sourceSelector::BaseLimit</base>
    <member kind="function">
      <type>def</type>
      <name>setDefaults</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_require_unresolved.html</anchorfile>
      <anchor>ac422f076eba20b9b634872b2ef122dc7</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>apply</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_require_unresolved.html</anchorfile>
      <anchor>a8a869d098801d3e18fa1c3a9d5be28d0</anchor>
      <arglist>(self, catalog)</arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>maximum</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_require_unresolved.html</anchorfile>
      <anchor>ac8500d15e533e035c0c88be8b6377f43</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>name</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_require_unresolved.html</anchorfile>
      <anchor>abfc1315f88a155b77c51b4c07ea637f3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::sourceSelector::ScienceSourceSelectorConfig</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_science_source_selector_config.html</filename>
    <member kind="function">
      <type>def</type>
      <name>setDefaults</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_science_source_selector_config.html</anchorfile>
      <anchor>a19d6d24111fe535f126f5df48f5d134e</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>doFluxLimit</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_science_source_selector_config.html</anchorfile>
      <anchor>a128e53043c957c59d96f6ad6dd713254</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>doFlags</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_science_source_selector_config.html</anchorfile>
      <anchor>a91d9018791c70ab271b8f18da16b4069</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>doUnresolved</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_science_source_selector_config.html</anchorfile>
      <anchor>aff51d563f7c010be19960f954538a718</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>doSignalToNoise</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_science_source_selector_config.html</anchorfile>
      <anchor>a31690f337f94c0c44d95f695fd1d9cec</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>doIsolated</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_science_source_selector_config.html</anchorfile>
      <anchor>ae75a6ebd65d81181f2db3b0f59ec1336</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>doRequireFiniteRaDec</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_science_source_selector_config.html</anchorfile>
      <anchor>a97e10b6db70462b43de250a83cef5e2e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>fluxLimit</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_science_source_selector_config.html</anchorfile>
      <anchor>ae9a5e5d00c2f8b06510bc7d86b793de1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>flags</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_science_source_selector_config.html</anchorfile>
      <anchor>a3fe8d0e0d704845b76516b63d365470a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>unresolved</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_science_source_selector_config.html</anchorfile>
      <anchor>a5db7b202d838ed4c04bbb5b58e79ceda</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>signalToNoise</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_science_source_selector_config.html</anchorfile>
      <anchor>a196d8bb450ab27713ec108a49bda1c3f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>isolated</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_science_source_selector_config.html</anchorfile>
      <anchor>a2c641eb0049f608c6783aed5b7e2ed56</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>requireFiniteRaDec</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_science_source_selector_config.html</anchorfile>
      <anchor>aed468e15af4115fbb26ccf15ecd8755d</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::sourceSelector::ScienceSourceSelectorTask</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_science_source_selector_task.html</filename>
    <base>lsst::meas::algorithms::sourceSelector::BaseSourceSelectorTask</base>
    <member kind="function">
      <type>def</type>
      <name>selectSources</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_science_source_selector_task.html</anchorfile>
      <anchor>a0c93e5c13c3c0c690c7d8d3ad5b6b11c</anchor>
      <arglist>(self, sourceCat, matches=None, exposure=None)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>ScienceSourceSelectorConfig</type>
      <name>ConfigClass</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_science_source_selector_task.html</anchorfile>
      <anchor>a2ff3b795654ea7cadab1114daf8fa2b0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::sourceSelector::SignalToNoiseLimit</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_signal_to_noise_limit.html</filename>
    <base>lsst::meas::algorithms::sourceSelector::BaseLimit</base>
    <member kind="function">
      <type>def</type>
      <name>apply</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_signal_to_noise_limit.html</anchorfile>
      <anchor>ab3d3ef48bcfc48a8f785b5504d1637ad</anchor>
      <arglist>(self, catalog)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>fluxField</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_signal_to_noise_limit.html</anchorfile>
      <anchor>adf560ea94b0ae46300b081a7091c042d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>errField</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1source_selector_1_1_signal_to_noise_limit.html</anchorfile>
      <anchor>aeff34c39f89c2f27c855fc2d6823869f</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::stamps::AbstractStamp</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1stamps_1_1_abstract_stamp.html</filename>
    <member kind="function">
      <type>def</type>
      <name>factory</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1stamps_1_1_abstract_stamp.html</anchorfile>
      <anchor>af58cf6ae2af9c7d6c0ef6ea525d242fb</anchor>
      <arglist>(cls, stamp_im, metadata, index, archive_element=None)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::stamps::Stamp</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1stamps_1_1_stamp.html</filename>
    <base>lsst::meas::algorithms::stamps::AbstractStamp</base>
    <member kind="function">
      <type>def</type>
      <name>factory</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1stamps_1_1_stamp.html</anchorfile>
      <anchor>af48edb1489dc75c8f48f7b36b9d482a4</anchor>
      <arglist>(cls, stamp_im, metadata, index, archive_element=None)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>afwImage</type>
      <name>stamp_im</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1stamps_1_1_stamp.html</anchorfile>
      <anchor>adc16bc5e78ef4649d834dc1decdec79d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>Optional</type>
      <name>archive_element</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1stamps_1_1_stamp.html</anchorfile>
      <anchor>a1de09a317aa418add2b332edf53e81cc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>Optional</type>
      <name>position</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1stamps_1_1_stamp.html</anchorfile>
      <anchor>a2cf69f93b24f9088a3462f5f61acd409</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::stamps::Stamps</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1stamps_1_1_stamps.html</filename>
    <base>lsst::meas::algorithms::stamps::StampsBase</base>
    <member kind="function">
      <type>def</type>
      <name>getPositions</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1stamps_1_1_stamps.html</anchorfile>
      <anchor>a8c2d36d1f062e286877c6449d91d5620</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>append</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1stamps_1_1_stamps.html</anchorfile>
      <anchor>a9d2d28d9f8a84d70489939be9698b479</anchor>
      <arglist>(self, item)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>extend</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1stamps_1_1_stamps.html</anchorfile>
      <anchor>a773d59dbcf58716f381dfd6a5fdeffb7</anchor>
      <arglist>(self, stamp_list)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>readFits</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1stamps_1_1_stamps.html</anchorfile>
      <anchor>a8f8fbebae96bf99946e429089965c1af</anchor>
      <arglist>(cls, filename)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>readFitsWithOptions</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1stamps_1_1_stamps.html</anchorfile>
      <anchor>afdc22c3b22d45e8d60153430aa011f19</anchor>
      <arglist>(cls, filename, options)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_refresh_metadata</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1stamps_1_1_stamps.html</anchorfile>
      <anchor>a118e14eb8fad8af91ad75c12ea9e54b1</anchor>
      <arglist>(self)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::stamps::StampsBase</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1stamps_1_1_stamps_base.html</filename>
    <member kind="function">
      <type>def</type>
      <name>__init__</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1stamps_1_1_stamps_base.html</anchorfile>
      <anchor>afb00b20ef30039e7632805abd71db2d5</anchor>
      <arglist>(self, stamps, metadata=None, use_mask=True, use_variance=True, use_archive=False)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>readFits</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1stamps_1_1_stamps_base.html</anchorfile>
      <anchor>a496e19396e6ee09feba13fbef153a839</anchor>
      <arglist>(cls, filename)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>readFitsWithOptions</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1stamps_1_1_stamps_base.html</anchorfile>
      <anchor>abbe18fcba2e15eef12c44a40530e0a22</anchor>
      <arglist>(cls, filename, options)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>writeFits</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1stamps_1_1_stamps_base.html</anchorfile>
      <anchor>aa345b8dbcd5b65a86cf3dd0b8796a409</anchor>
      <arglist>(self, filename)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>__len__</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1stamps_1_1_stamps_base.html</anchorfile>
      <anchor>ad8fadd6f002823a646949fd668cf9189</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>__getitem__</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1stamps_1_1_stamps_base.html</anchorfile>
      <anchor>a9597b7451bbcb267c84a90fbf33f8cc5</anchor>
      <arglist>(self, index)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>__iter__</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1stamps_1_1_stamps_base.html</anchorfile>
      <anchor>aead5499f7d838e3fdd5ed840b3b37182</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getMaskedImages</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1stamps_1_1_stamps_base.html</anchorfile>
      <anchor>aecdfc7137e0d3de6bead6e920c58a30b</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getArchiveElements</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1stamps_1_1_stamps_base.html</anchorfile>
      <anchor>a03cf51b1692473d5921f8089ce81d23d</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>metadata</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1stamps_1_1_stamps_base.html</anchorfile>
      <anchor>aec1a3227ccd9572002221925505cc8a3</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>use_mask</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1stamps_1_1_stamps_base.html</anchorfile>
      <anchor>ac802c6c6ae2459a6e4b857a3a895bce0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>use_variance</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1stamps_1_1_stamps_base.html</anchorfile>
      <anchor>a2ea78d1f17ca43539589de532ac55694</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>use_archive</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1stamps_1_1_stamps_base.html</anchorfile>
      <anchor>a01f423c09a517121729962c199288740</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_refresh_metadata</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1stamps_1_1_stamps_base.html</anchorfile>
      <anchor>aa7b403e51faae99788e538d29d13415e</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_stamps</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1stamps_1_1_stamps_base.html</anchorfile>
      <anchor>a5f965ae7f49e768543f5b6a7b010c4b7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_metadata</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1stamps_1_1_stamps_base.html</anchorfile>
      <anchor>a859e7a2d00118cecffacc18a58a8cde3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::starSelector::BaseStarSelectorConfig</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1star_selector_1_1_base_star_selector_config.html</filename>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>badFlags</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1star_selector_1_1_base_star_selector_config.html</anchorfile>
      <anchor>a67c85773843e22d37314b1752cb9c40b</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::starSelector::BaseStarSelectorTask</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1star_selector_1_1_base_star_selector_task.html</filename>
    <member kind="function">
      <type>def</type>
      <name>__init__</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1star_selector_1_1_base_star_selector_task.html</anchorfile>
      <anchor>aaef5c4b8fa8adef2e0011622a53fc240</anchor>
      <arglist>(self, schema, **kwds)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>run</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1star_selector_1_1_base_star_selector_task.html</anchorfile>
      <anchor>ad66ebf431048f9a21834dda217ef3e65</anchor>
      <arglist>(self, exposure, sourceCat, matches=None, isStarField=None)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>selectStars</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1star_selector_1_1_base_star_selector_task.html</anchorfile>
      <anchor>a1a502b8e563e07b766852cb349df665c</anchor>
      <arglist>(self, exposure, sourceCat, matches=None)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>bool</type>
      <name>usesMatches</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1star_selector_1_1_base_star_selector_task.html</anchorfile>
      <anchor>a632bc785129dee1f088c85f0bbde51cb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>BaseStarSelectorConfig</type>
      <name>ConfigClass</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1star_selector_1_1_base_star_selector_task.html</anchorfile>
      <anchor>a1597e30ca3d2ba411f64e6ad7ea17b7e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>str</type>
      <name>_DefaultName</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1star_selector_1_1_base_star_selector_task.html</anchorfile>
      <anchor>aad512d6557fdab6cabaeb79629d3efc4</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::subtractBackground::SubtractBackgroundConfig</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1subtract_background_1_1_subtract_background_config.html</filename>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>statisticsProperty</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1subtract_background_1_1_subtract_background_config.html</anchorfile>
      <anchor>af4d922a5a5c022b24fd708599c9b8b65</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>undersampleStyle</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1subtract_background_1_1_subtract_background_config.html</anchorfile>
      <anchor>ace20000727e02cc40449e770bba28b52</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>binSize</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1subtract_background_1_1_subtract_background_config.html</anchorfile>
      <anchor>a60b0753af7b6d482c506d036626931c5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>binSizeX</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1subtract_background_1_1_subtract_background_config.html</anchorfile>
      <anchor>ae4bbdba228c3b180b693aa4747313c9f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>binSizeY</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1subtract_background_1_1_subtract_background_config.html</anchorfile>
      <anchor>a7ef1be0890944f8937072fb6fbb92789</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>algorithm</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1subtract_background_1_1_subtract_background_config.html</anchorfile>
      <anchor>a429d200cc4086d87a1904a03c3ebc7de</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>ignoredPixelMask</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1subtract_background_1_1_subtract_background_config.html</anchorfile>
      <anchor>a338b194c507c90e194b9b67c6caf4cfe</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>isNanSafe</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1subtract_background_1_1_subtract_background_config.html</anchorfile>
      <anchor>a2e169640d5b642cc2faa03e749bf835b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>useApprox</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1subtract_background_1_1_subtract_background_config.html</anchorfile>
      <anchor>a10925b7d9af897757d5fe5a5d648da9e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>approxOrderX</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1subtract_background_1_1_subtract_background_config.html</anchorfile>
      <anchor>ac1d905e701230cfc8aafda92b94dd6bd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>approxOrderY</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1subtract_background_1_1_subtract_background_config.html</anchorfile>
      <anchor>a5c0240707e5b3e9185c6209199bd24a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>pexConfig</type>
      <name>weighting</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1subtract_background_1_1_subtract_background_config.html</anchorfile>
      <anchor>ac2f80ba46b0850c7ccbb5bb531913af4</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::subtractBackground::SubtractBackgroundTask</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1subtract_background_1_1_subtract_background_task.html</filename>
    <member kind="function">
      <type>def</type>
      <name>run</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1subtract_background_1_1_subtract_background_task.html</anchorfile>
      <anchor>a260e68c36e48f0756104745728a67220</anchor>
      <arglist>(self, exposure, background=None, stats=True, statsKeys=None)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>fitBackground</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1subtract_background_1_1_subtract_background_task.html</anchorfile>
      <anchor>a0bce9b6e583cc91280622bd61d509287</anchor>
      <arglist>(self, maskedImage, nx=0, ny=0, algorithm=None)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>SubtractBackgroundConfig</type>
      <name>ConfigClass</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1subtract_background_1_1_subtract_background_task.html</anchorfile>
      <anchor>a501f928f03fccb8f87015a003bb8c435</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_addStats</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1subtract_background_1_1_subtract_background_task.html</anchorfile>
      <anchor>ab64810b467d1c28ad90d1fd55df0c885</anchor>
      <arglist>(self, exposure, background, statsKeys=None)</arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>str</type>
      <name>_DefaultName</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1subtract_background_1_1_subtract_background_task.html</anchorfile>
      <anchor>a7bf6f1e559f422dcd48a28d8b8c02ead</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::testUtils::MockRefcatDataId</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1test_utils_1_1_mock_refcat_data_id.html</filename>
    <member kind="function">
      <type>def</type>
      <name>__init__</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1test_utils_1_1_mock_refcat_data_id.html</anchorfile>
      <anchor>aaaffa68a77a3db15a20ebbb39ed0cc8e</anchor>
      <arglist>(self, pixelization, index)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>region</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1test_utils_1_1_mock_refcat_data_id.html</anchorfile>
      <anchor>a4886fe707a04849e0589a3db837a4ce2</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_region</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1test_utils_1_1_mock_refcat_data_id.html</anchorfile>
      <anchor>a791f839d0fa61e6444b26482035fa540</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::testUtils::MockRefcatDeferredDatasetHandle</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1test_utils_1_1_mock_refcat_deferred_dataset_handle.html</filename>
    <class kind="class">lsst::meas::algorithms::testUtils::MockRefcatDeferredDatasetHandle::MockRef</class>
    <member kind="function">
      <type>def</type>
      <name>__init__</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1test_utils_1_1_mock_refcat_deferred_dataset_handle.html</anchorfile>
      <anchor>a82061c628a5f0bc4cbbc265e99605373</anchor>
      <arglist>(self, catalog, name)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>get</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1test_utils_1_1_mock_refcat_deferred_dataset_handle.html</anchorfile>
      <anchor>a279351df982dd38dc8f945ce0e56e239</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>ref</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1test_utils_1_1_mock_refcat_deferred_dataset_handle.html</anchorfile>
      <anchor>aba3e3d60e96d6d7a9625c26340ff8b80</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_catalog</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1test_utils_1_1_mock_refcat_deferred_dataset_handle.html</anchorfile>
      <anchor>a866893f0d294719b90c6e7be19e091c5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_name</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1test_utils_1_1_mock_refcat_deferred_dataset_handle.html</anchorfile>
      <anchor>a375b95fff387861d8ec72be3a04ddaa8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::testUtils::MockRefcatDeferredDatasetHandle::MockRef</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1test_utils_1_1_mock_refcat_deferred_dataset_handle_1_1_mock_ref.html</filename>
    <class kind="class">lsst::meas::algorithms::testUtils::MockRefcatDeferredDatasetHandle::MockRef::MockDatasetType</class>
    <member kind="function">
      <type>def</type>
      <name>__init__</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1test_utils_1_1_mock_refcat_deferred_dataset_handle_1_1_mock_ref.html</anchorfile>
      <anchor>ae7364aaebfb6ef5bc71f03658643dbd5</anchor>
      <arglist>(self, name)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>datasetType</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1test_utils_1_1_mock_refcat_deferred_dataset_handle_1_1_mock_ref.html</anchorfile>
      <anchor>a1640597d2c0a778a3710d1a582e78cc1</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_name</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1test_utils_1_1_mock_refcat_deferred_dataset_handle_1_1_mock_ref.html</anchorfile>
      <anchor>ae2b1d7d053c4f714a8fa8ac5a1c6e230</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::testUtils::MockRefcatDeferredDatasetHandle::MockRef::MockDatasetType</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1test_utils_1_1_mock_refcat_deferred_dataset_handle_1_1_mock_ref_1_1_mock_dataset_type.html</filename>
    <member kind="function">
      <type>def</type>
      <name>__init__</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1test_utils_1_1_mock_refcat_deferred_dataset_handle_1_1_mock_ref_1_1_mock_dataset_type.html</anchorfile>
      <anchor>a8b77c48ca052c43d8eabaf9c6bd2a225</anchor>
      <arglist>(self, name)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>name</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1test_utils_1_1_mock_refcat_deferred_dataset_handle_1_1_mock_ref_1_1_mock_dataset_type.html</anchorfile>
      <anchor>ae504690d06fbe3377b13f57b4fbd7f92</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type></type>
      <name>_name</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1test_utils_1_1_mock_refcat_deferred_dataset_handle_1_1_mock_ref_1_1_mock_dataset_type.html</anchorfile>
      <anchor>a741214c8c8d1381bc9cd793dd0945e77</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::testUtils::MockReferenceObjectLoaderFromFiles</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1test_utils_1_1_mock_reference_object_loader_from_files.html</filename>
    <member kind="function">
      <type>def</type>
      <name>__init__</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1test_utils_1_1_mock_reference_object_loader_from_files.html</anchorfile>
      <anchor>af884ac8e733d4aff5ae5e7c6e08762e2</anchor>
      <arglist>(self, filenames, name=&apos;cal_ref_cat&apos;, config=None, htmLevel=4)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_createDataIdsAndRefcats</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1test_utils_1_1_mock_reference_object_loader_from_files.html</anchorfile>
      <anchor>aa51a2dfb268f3060fbfcd630418082e7</anchor>
      <arglist>(self, filenames, htmLevel, name)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::meas::algorithms::WarpedPsf</name>
    <filename>classlsst_1_1meas_1_1algorithms_1_1_warped_psf.html</filename>
    <base>PersistableFacade&lt; WarpedPsf &gt;</base>
    <base>lsst::meas::algorithms::ImagePsf</base>
    <member kind="function">
      <type></type>
      <name>WarpedPsf</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_warped_psf.html</anchorfile>
      <anchor>a87ec1d37d94efbd8413ed703ea853980</anchor>
      <arglist>(std::shared_ptr&lt; afw::detection::Psf const &gt; undistortedPsf, std::shared_ptr&lt; afw::geom::TransformPoint2ToPoint2 const &gt; distortion, std::shared_ptr&lt; afw::math::WarpingControl const &gt; control)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>WarpedPsf</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_warped_psf.html</anchorfile>
      <anchor>a0a5600bf22718e37b03389a3133e445b</anchor>
      <arglist>(std::shared_ptr&lt; afw::detection::Psf const &gt; undistortedPsf, std::shared_ptr&lt; afw::geom::TransformPoint2ToPoint2 const &gt; distortion, std::string const &amp;kernelName=&quot;lanczos3&quot;, unsigned int cache=10000)</arglist>
    </member>
    <member kind="function">
      <type>geom::Point2D</type>
      <name>getAveragePosition</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_warped_psf.html</anchorfile>
      <anchor>a4be69cfea004653b7541296350cf2ca7</anchor>
      <arglist>() const override</arglist>
    </member>
    <member kind="function">
      <type>std::shared_ptr&lt; afw::detection::Psf &gt;</type>
      <name>clone</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_warped_psf.html</anchorfile>
      <anchor>acc8671018413bc16d4d2cc9f366adbca</anchor>
      <arglist>() const override</arglist>
    </member>
    <member kind="function">
      <type>std::shared_ptr&lt; afw::detection::Psf &gt;</type>
      <name>resized</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_warped_psf.html</anchorfile>
      <anchor>a216cccdead606a8cf0a6272ca7aebecc</anchor>
      <arglist>(int width, int height) const override</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isPersistable</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_warped_psf.html</anchorfile>
      <anchor>acfb1a445b3cb9a6f67031fe99d03c9cc</anchor>
      <arglist>() const noexcept override</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>std::shared_ptr&lt; afw::detection::Psf::Image &gt;</type>
      <name>doComputeKernelImage</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_warped_psf.html</anchorfile>
      <anchor>a5fbd87bf2cdf9f92f02960d8af68dad7</anchor>
      <arglist>(geom::Point2D const &amp;position, afw::image::Color const &amp;color) const override</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>std::string</type>
      <name>getPersistenceName</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_warped_psf.html</anchorfile>
      <anchor>a98a104008c5b306f5de811805addacd8</anchor>
      <arglist>() const override</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>std::string</type>
      <name>getPythonModule</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_warped_psf.html</anchorfile>
      <anchor>ad1f30f666b873b43e9788ec68504eaa6</anchor>
      <arglist>() const override</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>write</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_warped_psf.html</anchorfile>
      <anchor>a065afdc14a5f4d23e65804bc940d6249</anchor>
      <arglist>(OutputArchiveHandle &amp;handle) const override</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual double</type>
      <name>doComputeApertureFlux</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_image_psf.html</anchorfile>
      <anchor>ac65fdc8887dc9b3e0fb040a8eac1e34c</anchor>
      <arglist>(double radius, geom::Point2D const &amp;position, afw::image::Color const &amp;color) const</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual afw::geom::ellipses::Quadrupole</type>
      <name>doComputeShape</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_image_psf.html</anchorfile>
      <anchor>ab06992b76a5d5088ca1b96f046a8fd7c</anchor>
      <arglist>(geom::Point2D const &amp;position, afw::image::Color const &amp;color) const</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>std::shared_ptr&lt; afw::detection::Psf const  &gt;</type>
      <name>_undistortedPsf</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_warped_psf.html</anchorfile>
      <anchor>a6f66f081f9075ff649f6c2ebe7db0bdc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>std::shared_ptr&lt; afw::geom::TransformPoint2ToPoint2 const  &gt;</type>
      <name>_distortion</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_warped_psf.html</anchorfile>
      <anchor>a65e21ffa4324b7073d318f36f4b080ef</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="private">
      <type>geom::Box2I</type>
      <name>doComputeBBox</name>
      <anchorfile>classlsst_1_1meas_1_1algorithms_1_1_warped_psf.html</anchorfile>
      <anchor>a58a6cd87486aba382bfbc7f5212eda0e</anchor>
      <arglist>(geom::Point2D const &amp;position, afw::image::Color const &amp;color) const override</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>lsst::gdb::meas</name>
    <filename>namespacelsst_1_1gdb_1_1meas.html</filename>
    <namespace>lsst::gdb::meas::algorithms</namespace>
  </compound>
  <compound kind="namespace">
    <name>lsst::gdb::meas::algorithms</name>
    <filename>namespacelsst_1_1gdb_1_1meas_1_1algorithms.html</filename>
    <namespace>lsst::gdb::meas::algorithms::printers</namespace>
  </compound>
  <compound kind="namespace">
    <name>lsst::gdb::meas::algorithms::printers</name>
    <filename>namespacelsst_1_1gdb_1_1meas_1_1algorithms_1_1printers.html</filename>
    <class kind="class">lsst::gdb::meas::algorithms::printers::CRPixelPrinter</class>
    <member kind="function">
      <type>def</type>
      <name>register</name>
      <anchorfile>namespacelsst_1_1gdb_1_1meas_1_1algorithms_1_1printers.html</anchorfile>
      <anchor>aa3f0dd8c449f722f073100dad68df0b3</anchor>
      <arglist>(obj)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>build_meas_algorithms_dictionary</name>
      <anchorfile>namespacelsst_1_1gdb_1_1meas_1_1algorithms_1_1printers.html</anchorfile>
      <anchor>af292d2a2e880ed2cfa6068075ad58f06</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>register</name>
      <anchorfile>namespacelsst_1_1gdb_1_1meas_1_1algorithms_1_1printers.html</anchorfile>
      <anchor>a33ce4fd532d7de3ac643f2dfff6bfa4e</anchor>
      <arglist>(*args, exception=e, **kwargs)</arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>try</name>
      <anchorfile>namespacelsst_1_1gdb_1_1meas_1_1algorithms_1_1printers.html</anchorfile>
      <anchor>afa8d788a46e10d9b35e8f51275000217</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>printers</name>
      <anchorfile>namespacelsst_1_1gdb_1_1meas_1_1algorithms_1_1printers.html</anchorfile>
      <anchor>a17522f861757e36176e94c357d0481ab</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>lsst::meas::algorithms</name>
    <filename>namespacelsst_1_1meas_1_1algorithms.html</filename>
    <namespace>lsst::meas::algorithms::accumulator_mean_stack</namespace>
    <namespace>lsst::meas::algorithms::astrometrySourceSelector</namespace>
    <namespace>lsst::meas::algorithms::brightStarStamps</namespace>
    <namespace>lsst::meas::algorithms::coaddPsf</namespace>
    <namespace>lsst::meas::algorithms::convertRefcatManager</namespace>
    <namespace>lsst::meas::algorithms::convertReferenceCatalog</namespace>
    <namespace>lsst::meas::algorithms::detection</namespace>
    <namespace>lsst::meas::algorithms::dynamicDetection</namespace>
    <namespace>lsst::meas::algorithms::findCosmicRaysConfig</namespace>
    <namespace>lsst::meas::algorithms::flaggedSourceSelector</namespace>
    <namespace>lsst::meas::algorithms::gaussianPsfFactory</namespace>
    <namespace>lsst::meas::algorithms::htmIndexer</namespace>
    <namespace>lsst::meas::algorithms::indexerRegistry</namespace>
    <namespace>lsst::meas::algorithms::installGaussianPsf</namespace>
    <namespace>lsst::meas::algorithms::interp</namespace>
    <namespace>lsst::meas::algorithms::loadReferenceObjects</namespace>
    <namespace>lsst::meas::algorithms::makeCoaddApCorrMap</namespace>
    <namespace>lsst::meas::algorithms::makePsfCandidates</namespace>
    <namespace>lsst::meas::algorithms::matcherSourceSelector</namespace>
    <namespace>lsst::meas::algorithms::measureApCorr</namespace>
    <namespace>lsst::meas::algorithms::noise_covariance</namespace>
    <namespace>lsst::meas::algorithms::objectSizeStarSelector</namespace>
    <namespace>lsst::meas::algorithms::pcaPsfDeterminer</namespace>
    <namespace>lsst::meas::algorithms::psfCandidate</namespace>
    <namespace>lsst::meas::algorithms::psfDeterminer</namespace>
    <namespace>lsst::meas::algorithms::psfSelectionFromMatchList</namespace>
    <namespace>lsst::meas::algorithms::readFitsCatalogTask</namespace>
    <namespace>lsst::meas::algorithms::readTextCatalogTask</namespace>
    <namespace>lsst::meas::algorithms::reserveSourcesTask</namespace>
    <namespace>lsst::meas::algorithms::scaleVariance</namespace>
    <namespace>lsst::meas::algorithms::simple_curve</namespace>
    <namespace>lsst::meas::algorithms::skyObjects</namespace>
    <namespace>lsst::meas::algorithms::sourceSelector</namespace>
    <namespace>lsst::meas::algorithms::stamps</namespace>
    <namespace>lsst::meas::algorithms::starSelector</namespace>
    <namespace>lsst::meas::algorithms::subtractBackground</namespace>
    <namespace>lsst::meas::algorithms::testUtils</namespace>
    <namespace>lsst::meas::algorithms::utils</namespace>
    <namespace>lsst::meas::algorithms::version</namespace>
    <class kind="class">lsst::meas::algorithms::CoaddBoundedField</class>
    <class kind="struct">lsst::meas::algorithms::CoaddBoundedFieldElement</class>
    <class kind="class">lsst::meas::algorithms::CoaddPsf</class>
    <class kind="class">lsst::meas::algorithms::CoaddPsfControl</class>
    <class kind="class">lsst::meas::algorithms::Defect</class>
    <class kind="class">lsst::meas::algorithms::DoubleGaussianPsf</class>
    <class kind="class">lsst::meas::algorithms::evalChi2Visitor</class>
    <class kind="class">lsst::meas::algorithms::ExposurePatch</class>
    <class kind="class">lsst::meas::algorithms::ImagePsf</class>
    <class kind="class">lsst::meas::algorithms::ImagePsfTrampoline</class>
    <class kind="class">lsst::meas::algorithms::KernelPsf</class>
    <class kind="class">lsst::meas::algorithms::KernelPsfFactory</class>
    <class kind="struct">lsst::meas::algorithms::KernelPsfPersistenceHelper</class>
    <class kind="class">lsst::meas::algorithms::MinimizeChi2</class>
    <class kind="class">lsst::meas::algorithms::PcaPsf</class>
    <class kind="class">lsst::meas::algorithms::PsfCandidate</class>
    <class kind="class">lsst::meas::algorithms::PsfImagePca</class>
    <class kind="class">lsst::meas::algorithms::SingleGaussianPsf</class>
    <class kind="class">lsst::meas::algorithms::WarpedPsf</class>
    <member kind="typedef">
      <type>std::vector&lt; Defect::Ptr &gt;::const_iterator</type>
      <name>DefectCIter</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms.html</anchorfile>
      <anchor>a007b9c9476857e125332f0f83531723c</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>std::shared_ptr&lt; afw::image::TransmissionCurve const &gt;</type>
      <name>makeCoaddTransmissionCurve</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms.html</anchorfile>
      <anchor>a3deefdee8b86f19895be67a4bd93ff9f</anchor>
      <arglist>(std::shared_ptr&lt; afw::geom::SkyWcs const &gt; coaddWcs, afw::table::ExposureCatalog const &amp;inputSensors)</arglist>
    </member>
    <member kind="function">
      <type>std::vector&lt; std::shared_ptr&lt; afw::detection::Footprint &gt; &gt;</type>
      <name>findCosmicRays</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms.html</anchorfile>
      <anchor>a94030ae95a58518d8246e1e516fe7364</anchor>
      <arglist>(MaskedImageT &amp;mimage, afw::detection::Psf const &amp;psf, double const bkgd, daf::base::PropertySet const &amp;ps, bool const keep)</arglist>
    </member>
    <member kind="function">
      <type>std::shared_ptr&lt; ExposurePatch&lt; ExposureT &gt; &gt;</type>
      <name>makeExposurePatch</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms.html</anchorfile>
      <anchor>a04e190f2d88190cdbb6a0a35df0626f6</anchor>
      <arglist>(std::shared_ptr&lt; ExposureT const &gt; exp, std::shared_ptr&lt; afw::detection::Footprint const &gt; foot, geom::Point2D const &amp;center)</arglist>
    </member>
    <member kind="function">
      <type>std::shared_ptr&lt; ExposurePatch&lt; ExposureT &gt; &gt;</type>
      <name>makeExposurePatch</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms.html</anchorfile>
      <anchor>a36054f3b74d01aa322c235225f0b204a</anchor>
      <arglist>(std::shared_ptr&lt; ExposureT const &gt; exp, afw::detection::Footprint const &amp;standardFoot, geom::Point2D const &amp;standardCenter, afw::geom::SkyWcs const &amp;standardWcs)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>interpolateOverDefects</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms.html</anchorfile>
      <anchor>a6fa06865b55b57d5f536969ed45cb552</anchor>
      <arglist>(MaskedImageT &amp;mimage, afw::detection::Psf const &amp;, std::vector&lt; Defect::Ptr &gt; &amp;_badList, double fallbackValue, bool useFallbackValueAtEdge)</arglist>
    </member>
    <member kind="function">
      <type>std::shared_ptr&lt; PsfCandidate&lt; PixelT &gt; &gt;</type>
      <name>makePsfCandidate</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms.html</anchorfile>
      <anchor>a4a81a53e38c21d53fd2edc057c83f306</anchor>
      <arglist>(std::shared_ptr&lt; afw::table::SourceRecord &gt; const &amp;source, std::shared_ptr&lt; afw::image::Exposure&lt; PixelT &gt; &gt; image)</arglist>
    </member>
    <member kind="function">
      <type>std::pair&lt; std::shared_ptr&lt; afw::math::LinearCombinationKernel &gt;, std::vector&lt; double &gt; &gt;</type>
      <name>createKernelFromPsfCandidates</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms.html</anchorfile>
      <anchor>a19225d6e07599fcc9263d79af92f2507</anchor>
      <arglist>(afw::math::SpatialCellSet const  &amp;psfCells, lsst::geom::Extent2I const  &amp;dims, lsst::geom::Point2I const  &amp;xy0, int const nEigenComponents, int const spatialOrder, int const ksize, int const nStarPerCell, bool const constantWeight, int const border)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>countPsfCandidates</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms.html</anchorfile>
      <anchor>a2b2ce402b0bd21531e5c594953c88fe4</anchor>
      <arglist>(afw::math::SpatialCellSet const  &amp;psfCells, int const nStarPerCell)</arglist>
    </member>
    <member kind="function">
      <type>std::pair&lt; bool, double &gt;</type>
      <name>fitSpatialKernelFromPsfCandidates</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms.html</anchorfile>
      <anchor>a77b54cff9eef9afd1298e0048563289c</anchor>
      <arglist>(afw::math::Kernel *kernel, afw::math::SpatialCellSet const  &amp;psfCells, int const nStarPerCell, double const tolerance, double const lambda)</arglist>
    </member>
    <member kind="function">
      <type>std::pair&lt; bool, double &gt;</type>
      <name>fitSpatialKernelFromPsfCandidates</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms.html</anchorfile>
      <anchor>a19b57d1aa1e4b17638a5e3794faca352</anchor>
      <arglist>(afw::math::Kernel *kernel, afw::math::SpatialCellSet const  &amp;psfCells, bool const doNonLinearFit, int const nStarPerCell, double const tolerance, double const lambda)</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>subtractPsf</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms.html</anchorfile>
      <anchor>aa0d5a797eba3f3756d3e605f3048e890</anchor>
      <arglist>(afw::detection::Psf const &amp;psf, ImageT *data, double x, double y, double psfFlux=std::numeric_limits&lt; double &gt;::quiet_NaN())</arglist>
    </member>
    <member kind="function">
      <type>std::pair&lt; std::vector&lt; double &gt;, afw::math::KernelList &gt;</type>
      <name>fitKernelParamsToImage</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms.html</anchorfile>
      <anchor>a2c823f9a99cc179f60fee8980a57e5ce</anchor>
      <arglist>(afw::math::LinearCombinationKernel const  &amp;kernel, Image const  &amp;image, geom::Point2D const  &amp;pos)</arglist>
    </member>
    <member kind="function">
      <type>std::pair&lt; std::shared_ptr&lt; afw::math::Kernel &gt;, std::pair&lt; double, double &gt; &gt;</type>
      <name>fitKernelToImage</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms.html</anchorfile>
      <anchor>a4e88824042150e4b416dee145b5a7547</anchor>
      <arglist>(afw::math::LinearCombinationKernel const  &amp;kernel, Image const  &amp;image, geom::Point2D const  &amp;pos)</arglist>
    </member>
    <member kind="function">
      <type>geom::Box2I</type>
      <name>getOverallBBox</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms.html</anchorfile>
      <anchor>a7608c5cc10d235852e17c3705d702f57</anchor>
      <arglist>(std::vector&lt; std::shared_ptr&lt; afw::image::Image&lt; double &gt; &gt; &gt; const &amp;imgVector)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSpatialParameters</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms.html</anchorfile>
      <anchor>a921d1fa760b51142eb221614fe22e467</anchor>
      <arglist>(afw::math::Kernel *kernel, std::vector&lt; double &gt; const &amp;coeffs)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSpatialParameters</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms.html</anchorfile>
      <anchor>a14eb2545eb67fe1cc39b48b169d884df</anchor>
      <arglist>(afw::math::Kernel *kernel, Eigen::VectorXd const &amp;vec)</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>subtractPsf</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms.html</anchorfile>
      <anchor>a2c4b45dd104a0f5345481180cf1b049d</anchor>
      <arglist>(afw::detection::Psf const &amp;psf, MaskedImageT *data, double x, double y, double psfFlux)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>lsst::meas::algorithms::accumulator_mean_stack</name>
    <filename>namespacelsst_1_1meas_1_1algorithms_1_1accumulator__mean__stack.html</filename>
    <class kind="class">lsst::meas::algorithms::accumulator_mean_stack::AccumulatorMeanStack</class>
  </compound>
  <compound kind="namespace">
    <name>lsst::meas::algorithms::astrometrySourceSelector</name>
    <filename>namespacelsst_1_1meas_1_1algorithms_1_1astrometry_source_selector.html</filename>
    <class kind="class">lsst::meas::algorithms::astrometrySourceSelector::AstrometrySourceSelectorConfig</class>
    <class kind="class">lsst::meas::algorithms::astrometrySourceSelector::AstrometrySourceSelectorTask</class>
  </compound>
  <compound kind="namespace">
    <name>lsst::meas::algorithms::brightStarStamps</name>
    <filename>namespacelsst_1_1meas_1_1algorithms_1_1bright_star_stamps.html</filename>
    <class kind="class">lsst::meas::algorithms::brightStarStamps::BrightStarStamp</class>
    <class kind="class">lsst::meas::algorithms::brightStarStamps::BrightStarStamps</class>
  </compound>
  <compound kind="namespace">
    <name>lsst::meas::algorithms::coaddPsf</name>
    <filename>namespacelsst_1_1meas_1_1algorithms_1_1coadd_psf.html</filename>
    <namespace>lsst::meas::algorithms::coaddPsf::coaddPsfContinued</namespace>
  </compound>
  <compound kind="namespace">
    <name>lsst::meas::algorithms::coaddPsf::coaddPsfContinued</name>
    <filename>namespacelsst_1_1meas_1_1algorithms_1_1coadd_psf_1_1coadd_psf_continued.html</filename>
    <member kind="variable">
      <type>makeConfigClass</type>
      <name>CoaddPsfConfig</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1coadd_psf_1_1coadd_psf_continued.html</anchorfile>
      <anchor>a05759b87bd8ca2f7956132ac1d6fe8d2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>lsst::meas::algorithms::convertRefcatManager</name>
    <filename>namespacelsst_1_1meas_1_1algorithms_1_1convert_refcat_manager.html</filename>
    <class kind="class">lsst::meas::algorithms::convertRefcatManager::ConvertGaiaManager</class>
    <class kind="class">lsst::meas::algorithms::convertRefcatManager::ConvertGaiaXpManager</class>
    <class kind="class">lsst::meas::algorithms::convertRefcatManager::ConvertRefcatManager</class>
    <class kind="class">lsst::meas::algorithms::convertRefcatManager::ConvertRefcatManagerConfig</class>
    <member kind="variable">
      <type>multiprocessing</type>
      <name>COUNTER</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1convert_refcat_manager.html</anchorfile>
      <anchor>af64698543af8c463b5b480e23bd5c11a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>multiprocessing</type>
      <name>FILE_PROGRESS</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1convert_refcat_manager.html</anchorfile>
      <anchor>a98b4111e892ec24993280d522bb77d6a</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>lsst::meas::algorithms::convertReferenceCatalog</name>
    <filename>namespacelsst_1_1meas_1_1algorithms_1_1convert_reference_catalog.html</filename>
    <class kind="class">lsst::meas::algorithms::convertReferenceCatalog::ConvertReferenceCatalogConfig</class>
    <class kind="class">lsst::meas::algorithms::convertReferenceCatalog::ConvertReferenceCatalogTask</class>
    <class kind="class">lsst::meas::algorithms::convertReferenceCatalog::DatasetConfig</class>
    <member kind="function">
      <type>def</type>
      <name>addRefCatMetadata</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1convert_reference_catalog.html</anchorfile>
      <anchor>ab300fcff69032d141307a28ff3c2ff9c</anchor>
      <arglist>(catalog)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_makeSchema</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1convert_reference_catalog.html</anchorfile>
      <anchor>af80e3a8b559a1507cbf731bcd8fc29fa</anchor>
      <arglist>(filterNameList, *addCentroid=False, addIsPhotometric=False, addIsResolved=False, addIsVariable=False, fullPositionInformation=False)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>build_argparser</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1convert_reference_catalog.html</anchorfile>
      <anchor>afacc620d79ea9084589d249fa4a30714</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>run_convert</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1convert_reference_catalog.html</anchorfile>
      <anchor>af698c4d2765cacd6b93c56905c6637f4</anchor>
      <arglist>(outputDir, configFile, fileglob)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>main</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1convert_reference_catalog.html</anchorfile>
      <anchor>ab69fba3f6ae95e974004abd7a95ed9f2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>LATEST_FORMAT_VERSION</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1convert_reference_catalog.html</anchorfile>
      <anchor>a524644b2dfcd96bdf7ec634067c8c2b8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>lsst::meas::algorithms::detection</name>
    <filename>namespacelsst_1_1meas_1_1algorithms_1_1detection.html</filename>
    <class kind="class">lsst::meas::algorithms::detection::SourceDetectionConfig</class>
    <class kind="class">lsst::meas::algorithms::detection::SourceDetectionTask</class>
    <member kind="function">
      <type>def</type>
      <name>addExposures</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1detection.html</anchorfile>
      <anchor>a0c8e13e7e1af229fc16068d7d82ab0c2</anchor>
      <arglist>(exposureList)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>lsst::meas::algorithms::dynamicDetection</name>
    <filename>namespacelsst_1_1meas_1_1algorithms_1_1dynamic_detection.html</filename>
    <class kind="class">lsst::meas::algorithms::dynamicDetection::DynamicDetectionConfig</class>
    <class kind="class">lsst::meas::algorithms::dynamicDetection::DynamicDetectionTask</class>
  </compound>
  <compound kind="namespace">
    <name>lsst::meas::algorithms::findCosmicRaysConfig</name>
    <filename>namespacelsst_1_1meas_1_1algorithms_1_1find_cosmic_rays_config.html</filename>
    <class kind="class">lsst::meas::algorithms::findCosmicRaysConfig::FindCosmicRaysConfig</class>
  </compound>
  <compound kind="namespace">
    <name>lsst::meas::algorithms::flaggedSourceSelector</name>
    <filename>namespacelsst_1_1meas_1_1algorithms_1_1flagged_source_selector.html</filename>
    <class kind="class">lsst::meas::algorithms::flaggedSourceSelector::FlaggedSourceSelectorConfig</class>
    <class kind="class">lsst::meas::algorithms::flaggedSourceSelector::FlaggedSourceSelectorTask</class>
  </compound>
  <compound kind="namespace">
    <name>lsst::meas::algorithms::gaussianPsfFactory</name>
    <filename>namespacelsst_1_1meas_1_1algorithms_1_1gaussian_psf_factory.html</filename>
    <class kind="class">lsst::meas::algorithms::gaussianPsfFactory::GaussianPsfFactory</class>
    <member kind="function">
      <type>def</type>
      <name>isPositive</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1gaussian_psf_factory.html</anchorfile>
      <anchor>a1a15bed81cf11fbfacb11bb4f06e8413</anchor>
      <arglist>(x)</arglist>
    </member>
    <member kind="variable">
      <type>float</type>
      <name>SigmaPerFwhm</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1gaussian_psf_factory.html</anchorfile>
      <anchor>a94f52e792b344c26713848545dcf9155</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>lsst::meas::algorithms::htmIndexer</name>
    <filename>namespacelsst_1_1meas_1_1algorithms_1_1htm_indexer.html</filename>
    <class kind="class">lsst::meas::algorithms::htmIndexer::HtmIndexer</class>
  </compound>
  <compound kind="namespace">
    <name>lsst::meas::algorithms::indexerRegistry</name>
    <filename>namespacelsst_1_1meas_1_1algorithms_1_1indexer_registry.html</filename>
    <class kind="class">lsst::meas::algorithms::indexerRegistry::HtmIndexerConfig</class>
    <member kind="function">
      <type>def</type>
      <name>makeHtmIndexer</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1indexer_registry.html</anchorfile>
      <anchor>a0c1480e01be38656fae42b73f01c5adb</anchor>
      <arglist>(config)</arglist>
    </member>
    <member kind="variable">
      <type>makeRegistry</type>
      <name>IndexerRegistry</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1indexer_registry.html</anchorfile>
      <anchor>acc5d92fac8a28f81a96a34c4f95389b2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>ConfigClass</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1indexer_registry.html</anchorfile>
      <anchor>a137a97dbd5b4b823cddc97c075aff9d0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>lsst::meas::algorithms::installGaussianPsf</name>
    <filename>namespacelsst_1_1meas_1_1algorithms_1_1install_gaussian_psf.html</filename>
    <class kind="class">lsst::meas::algorithms::installGaussianPsf::InstallGaussianPsfConfig</class>
    <class kind="class">lsst::meas::algorithms::installGaussianPsf::InstallGaussianPsfTask</class>
    <member kind="variable">
      <type>float</type>
      <name>FwhmPerSigma</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1install_gaussian_psf.html</anchorfile>
      <anchor>ac3d15f82c6a44e289212fdafda5cd895</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>lsst::meas::algorithms::interp</name>
    <filename>namespacelsst_1_1meas_1_1algorithms_1_1interp.html</filename>
    <member kind="function">
      <type>std::pair&lt; bool, typename MaskedImageT::Image::Pixel &gt;</type>
      <name>singlePixel</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1interp.html</anchorfile>
      <anchor>afb593dc17442c7903c6504c76683817d</anchor>
      <arglist>(int x, int y, MaskedImageT const &amp;image, bool horizontal, double minval)</arglist>
    </member>
    <member kind="variable">
      <type>double const</type>
      <name>lpc_1_c1</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1interp.html</anchorfile>
      <anchor>a6b62b19d0c843f873e88c8645a8c51a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>double const</type>
      <name>lpc_1_c2</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1interp.html</anchorfile>
      <anchor>ad757d5d7e80ac5134a7ac74c1a5b4177</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>double const</type>
      <name>lpc_1s2_c1</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1interp.html</anchorfile>
      <anchor>ac8307192e1f2091b3aab4415a46b0de0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>double const</type>
      <name>lpc_1s2_c2</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1interp.html</anchorfile>
      <anchor>a364a9038a73b589b2dc1ec86d0f8d80f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>double const</type>
      <name>min2GaussianBias</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1interp.html</anchorfile>
      <anchor>a1bfee805bbf6a6d6ff691e93b26595ce</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>lsst::meas::algorithms::loadReferenceObjects</name>
    <filename>namespacelsst_1_1meas_1_1algorithms_1_1load_reference_objects.html</filename>
    <class kind="class">lsst::meas::algorithms::loadReferenceObjects::_FilterCatalog</class>
    <class kind="class">lsst::meas::algorithms::loadReferenceObjects::LoadReferenceObjectsConfig</class>
    <class kind="class">lsst::meas::algorithms::loadReferenceObjects::LoadReferenceObjectsTask</class>
    <class kind="class">lsst::meas::algorithms::loadReferenceObjects::ReferenceObjectLoader</class>
    <class kind="class">lsst::meas::algorithms::loadReferenceObjects::ReferenceObjectLoaderBase</class>
    <member kind="function">
      <type>def</type>
      <name>isOldFluxField</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1load_reference_objects.html</anchorfile>
      <anchor>ac2bd3a9557826b0b1c05d89e5c35ff7e</anchor>
      <arglist>(name, units)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>hasNanojanskyFluxUnits</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1load_reference_objects.html</anchorfile>
      <anchor>a5b500ce6fc626cde4211d8325c4b72cf</anchor>
      <arglist>(schema)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getFormatVersionFromRefCat</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1load_reference_objects.html</anchorfile>
      <anchor>ade75ece5539fd35a7d35dd9068f565fb</anchor>
      <arglist>(refCat)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>convertToNanojansky</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1load_reference_objects.html</anchorfile>
      <anchor>a6f47d265eb374a65729e6d9d9006dccf</anchor>
      <arglist>(catalog, log, doConvert=True)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getRefFluxField</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1load_reference_objects.html</anchorfile>
      <anchor>acc1d9caee332d41c134ff0c3cdab1141</anchor>
      <arglist>(schema, filterName)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>getRefFluxKeys</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1load_reference_objects.html</anchorfile>
      <anchor>a66540ca82718bf2e6622ae92e8822086</anchor>
      <arglist>(schema, filterName)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>applyProperMotionsImpl</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1load_reference_objects.html</anchorfile>
      <anchor>aedbfc7ece9d3e6aa26854980abca4822</anchor>
      <arglist>(log, catalog, epoch)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>lsst::meas::algorithms::makeCoaddApCorrMap</name>
    <filename>namespacelsst_1_1meas_1_1algorithms_1_1make_coadd_ap_corr_map.html</filename>
    <member kind="function">
      <type>def</type>
      <name>makeCoaddApCorrMap</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1make_coadd_ap_corr_map.html</anchorfile>
      <anchor>a264c37daf7400200c9dc4b2d961e2377</anchor>
      <arglist>(catalog, coaddBox, coaddWcs, weightFieldName=&quot;weight&quot;)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>lsst::meas::algorithms::makePsfCandidates</name>
    <filename>namespacelsst_1_1meas_1_1algorithms_1_1make_psf_candidates.html</filename>
    <class kind="class">lsst::meas::algorithms::makePsfCandidates::MakePsfCandidatesConfig</class>
    <class kind="class">lsst::meas::algorithms::makePsfCandidates::MakePsfCandidatesTask</class>
  </compound>
  <compound kind="namespace">
    <name>lsst::meas::algorithms::matcherSourceSelector</name>
    <filename>namespacelsst_1_1meas_1_1algorithms_1_1matcher_source_selector.html</filename>
    <class kind="class">lsst::meas::algorithms::matcherSourceSelector::MatcherSourceSelectorConfig</class>
    <class kind="class">lsst::meas::algorithms::matcherSourceSelector::MatcherSourceSelectorTask</class>
  </compound>
  <compound kind="namespace">
    <name>lsst::meas::algorithms::measureApCorr</name>
    <filename>namespacelsst_1_1meas_1_1algorithms_1_1measure_ap_corr.html</filename>
    <class kind="class">lsst::meas::algorithms::measureApCorr::_FluxNames</class>
    <class kind="class">lsst::meas::algorithms::measureApCorr::MeasureApCorrConfig</class>
    <class kind="class">lsst::meas::algorithms::measureApCorr::MeasureApCorrTask</class>
    <member kind="function">
      <type>def</type>
      <name>plotApCorr</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1measure_ap_corr.html</anchorfile>
      <anchor>aeaedb2574802fd80ffa158848427716c</anchor>
      <arglist>(bbox, xx, yy, zzMeasure, field, title, doPause)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>lsst::meas::algorithms::noise_covariance</name>
    <filename>namespacelsst_1_1meas_1_1algorithms_1_1noise__covariance.html</filename>
    <class kind="class">lsst::meas::algorithms::noise_covariance::ComputeNoiseCorrelationConfig</class>
    <class kind="class">lsst::meas::algorithms::noise_covariance::ComputeNoiseCorrelationTask</class>
    <class kind="class">lsst::meas::algorithms::noise_covariance::CorrelationMatrix</class>
  </compound>
  <compound kind="namespace">
    <name>lsst::meas::algorithms::objectSizeStarSelector</name>
    <filename>namespacelsst_1_1meas_1_1algorithms_1_1object_size_star_selector.html</filename>
    <class kind="class">lsst::meas::algorithms::objectSizeStarSelector::EventHandler</class>
    <class kind="class">lsst::meas::algorithms::objectSizeStarSelector::ObjectSizeStarSelectorConfig</class>
    <class kind="class">lsst::meas::algorithms::objectSizeStarSelector::ObjectSizeStarSelectorTask</class>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_assignClusters</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1object_size_star_selector.html</anchorfile>
      <anchor>ad2525c79e014329e8676c009a7bfd316</anchor>
      <arglist>(yvec, centers)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_kcenters</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1object_size_star_selector.html</anchorfile>
      <anchor>a0acd79d18c5fa5d6dbfd638ec516ef57</anchor>
      <arglist>(yvec, nCluster, useMedian=False, widthStdAllowed=0.15)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_improveCluster</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1object_size_star_selector.html</anchorfile>
      <anchor>a4caf5d2b9333af97e405eb72dfc97284</anchor>
      <arglist>(yvec, centers, clusterId, nsigma=2.0, nIteration=10, clusterNum=0, widthStdAllowed=0.15)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>plot</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1object_size_star_selector.html</anchorfile>
      <anchor>aa373b5aab17c6673a6a595e729bcbc23</anchor>
      <arglist>(mag, width, centers, clusterId, marker=&quot;o&quot;, markersize=2, markeredgewidth=0, ltype=&apos;-&apos;, magType=&quot;model&quot;, clear=True)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>getLogger</type>
      <name>_LOG</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1object_size_star_selector.html</anchorfile>
      <anchor>adaa0bb0c71b3a51da4dc972159323d50</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>lsst::meas::algorithms::pcaPsfDeterminer</name>
    <filename>namespacelsst_1_1meas_1_1algorithms_1_1pca_psf_determiner.html</filename>
    <class kind="class">lsst::meas::algorithms::pcaPsfDeterminer::PcaPsfDeterminerConfig</class>
    <class kind="class">lsst::meas::algorithms::pcaPsfDeterminer::PcaPsfDeterminerTask</class>
    <member kind="function">
      <type>def</type>
      <name>numCandidatesToReject</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1pca_psf_determiner.html</anchorfile>
      <anchor>abb16d997eae9bb669160ea7ffaf6b7a2</anchor>
      <arglist>(numBadCandidates, numIter, totalIter)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>candidatesIter</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1pca_psf_determiner.html</anchorfile>
      <anchor>ae1376168f8d4757775378b58970a8808</anchor>
      <arglist>(psfCellSet, ignoreBad=True)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>lsst::meas::algorithms::psfCandidate</name>
    <filename>namespacelsst_1_1meas_1_1algorithms_1_1psf_candidate.html</filename>
    <namespace>lsst::meas::algorithms::psfCandidate::psfCandidateContinued</namespace>
  </compound>
  <compound kind="namespace">
    <name>lsst::meas::algorithms::psfCandidate::psfCandidateContinued</name>
    <filename>namespacelsst_1_1meas_1_1algorithms_1_1psf_candidate_1_1psf_candidate_continued.html</filename>
    <class kind="class">lsst::meas::algorithms::psfCandidate::psfCandidateContinued::PsfCandidateF</class>
  </compound>
  <compound kind="namespace">
    <name>lsst::meas::algorithms::psfDeterminer</name>
    <filename>namespacelsst_1_1meas_1_1algorithms_1_1psf_determiner.html</filename>
    <class kind="class">lsst::meas::algorithms::psfDeterminer::BasePsfDeterminerConfig</class>
    <class kind="class">lsst::meas::algorithms::psfDeterminer::BasePsfDeterminerTask</class>
    <member kind="variable">
      <type>pexConfig</type>
      <name>psfDeterminerRegistry</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1psf_determiner.html</anchorfile>
      <anchor>a9056451334904effa2d4581c0904968b</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>lsst::meas::algorithms::psfSelectionFromMatchList</name>
    <filename>namespacelsst_1_1meas_1_1algorithms_1_1psf_selection_from_match_list.html</filename>
    <member kind="function">
      <type>def</type>
      <name>selectPsfSources</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1psf_selection_from_match_list.html</anchorfile>
      <anchor>a3075f635a7e3caf13ae420a18358564f</anchor>
      <arglist>(exposure, matches, psfPolicy)</arglist>
    </member>
    <member kind="variable">
      <type>list</type>
      <name>args</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1psf_selection_from_match_list.html</anchorfile>
      <anchor>a0a52ead34299c13c35637ffdf7d8878b</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>lsst::meas::algorithms::readFitsCatalogTask</name>
    <filename>namespacelsst_1_1meas_1_1algorithms_1_1read_fits_catalog_task.html</filename>
    <class kind="class">lsst::meas::algorithms::readFitsCatalogTask::ReadFitsCatalogConfig</class>
    <class kind="class">lsst::meas::algorithms::readFitsCatalogTask::ReadFitsCatalogTask</class>
  </compound>
  <compound kind="namespace">
    <name>lsst::meas::algorithms::readTextCatalogTask</name>
    <filename>namespacelsst_1_1meas_1_1algorithms_1_1read_text_catalog_task.html</filename>
    <class kind="class">lsst::meas::algorithms::readTextCatalogTask::ReadTextCatalogConfig</class>
    <class kind="class">lsst::meas::algorithms::readTextCatalogTask::ReadTextCatalogTask</class>
  </compound>
  <compound kind="namespace">
    <name>lsst::meas::algorithms::reserveSourcesTask</name>
    <filename>namespacelsst_1_1meas_1_1algorithms_1_1reserve_sources_task.html</filename>
    <class kind="class">lsst::meas::algorithms::reserveSourcesTask::ReserveSourcesConfig</class>
    <class kind="class">lsst::meas::algorithms::reserveSourcesTask::ReserveSourcesTask</class>
  </compound>
  <compound kind="namespace">
    <name>lsst::meas::algorithms::scaleVariance</name>
    <filename>namespacelsst_1_1meas_1_1algorithms_1_1scale_variance.html</filename>
    <class kind="class">lsst::meas::algorithms::scaleVariance::ScaleVarianceConfig</class>
    <class kind="class">lsst::meas::algorithms::scaleVariance::ScaleVarianceTask</class>
  </compound>
  <compound kind="namespace">
    <name>lsst::meas::algorithms::simple_curve</name>
    <filename>namespacelsst_1_1meas_1_1algorithms_1_1simple__curve.html</filename>
    <class kind="class">lsst::meas::algorithms::simple_curve::AmpCurve</class>
    <class kind="class">lsst::meas::algorithms::simple_curve::Curve</class>
    <class kind="class">lsst::meas::algorithms::simple_curve::DetectorCurve</class>
    <class kind="class">lsst::meas::algorithms::simple_curve::ImageCurve</class>
  </compound>
  <compound kind="namespace">
    <name>lsst::meas::algorithms::skyObjects</name>
    <filename>namespacelsst_1_1meas_1_1algorithms_1_1sky_objects.html</filename>
    <class kind="class">lsst::meas::algorithms::skyObjects::SkyObjectsConfig</class>
    <class kind="class">lsst::meas::algorithms::skyObjects::SkyObjectsTask</class>
    <member kind="function">
      <type>def</type>
      <name>generateSkyObjects</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1sky_objects.html</anchorfile>
      <anchor>a6b59af4e1ca114dc9d124729a848606e</anchor>
      <arglist>(mask, seed, config)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>lsst::meas::algorithms::sourceSelector</name>
    <filename>namespacelsst_1_1meas_1_1algorithms_1_1source_selector.html</filename>
    <class kind="class">lsst::meas::algorithms::sourceSelector::BaseLimit</class>
    <class kind="class">lsst::meas::algorithms::sourceSelector::BaseSourceSelectorConfig</class>
    <class kind="class">lsst::meas::algorithms::sourceSelector::BaseSourceSelectorTask</class>
    <class kind="class">lsst::meas::algorithms::sourceSelector::ColorLimit</class>
    <class kind="class">lsst::meas::algorithms::sourceSelector::FluxLimit</class>
    <class kind="class">lsst::meas::algorithms::sourceSelector::MagnitudeErrorLimit</class>
    <class kind="class">lsst::meas::algorithms::sourceSelector::MagnitudeLimit</class>
    <class kind="class">lsst::meas::algorithms::sourceSelector::ReferenceSourceSelectorConfig</class>
    <class kind="class">lsst::meas::algorithms::sourceSelector::ReferenceSourceSelectorTask</class>
    <class kind="class">lsst::meas::algorithms::sourceSelector::RequireFiniteRaDec</class>
    <class kind="class">lsst::meas::algorithms::sourceSelector::RequireFlags</class>
    <class kind="class">lsst::meas::algorithms::sourceSelector::RequireIsolated</class>
    <class kind="class">lsst::meas::algorithms::sourceSelector::RequireUnresolved</class>
    <class kind="class">lsst::meas::algorithms::sourceSelector::ScienceSourceSelectorConfig</class>
    <class kind="class">lsst::meas::algorithms::sourceSelector::ScienceSourceSelectorTask</class>
    <class kind="class">lsst::meas::algorithms::sourceSelector::SignalToNoiseLimit</class>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_getFieldFromCatalog</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1source_selector.html</anchorfile>
      <anchor>a3f978fac6fea78f386dd25abe8d9b4f9</anchor>
      <arglist>(catalog, field, isFlag=False)</arglist>
    </member>
    <member kind="variable">
      <type>pexConfig</type>
      <name>sourceSelectorRegistry</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1source_selector.html</anchorfile>
      <anchor>a2b55c83c7245f37b4489ddf4db9d96fd</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>lsst::meas::algorithms::stamps</name>
    <filename>namespacelsst_1_1meas_1_1algorithms_1_1stamps.html</filename>
    <class kind="class">lsst::meas::algorithms::stamps::AbstractStamp</class>
    <class kind="class">lsst::meas::algorithms::stamps::Stamp</class>
    <class kind="class">lsst::meas::algorithms::stamps::Stamps</class>
    <class kind="class">lsst::meas::algorithms::stamps::StampsBase</class>
    <member kind="function">
      <type>def</type>
      <name>writeFits</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1stamps.html</anchorfile>
      <anchor>a2d4d1cdc58ebed99e2cecca8bfd2b529</anchor>
      <arglist>(filename, stamps, metadata, type_name, write_mask, write_variance, write_archive=False)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>readFitsWithOptions</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1stamps.html</anchorfile>
      <anchor>ae8fa95d7dfc2c285ced24e961ffaf440</anchor>
      <arglist>(filename, stamp_factory, options)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>lsst::meas::algorithms::starSelector</name>
    <filename>namespacelsst_1_1meas_1_1algorithms_1_1star_selector.html</filename>
    <class kind="class">lsst::meas::algorithms::starSelector::BaseStarSelectorConfig</class>
    <class kind="class">lsst::meas::algorithms::starSelector::BaseStarSelectorTask</class>
    <member kind="variable">
      <type>pexConfig</type>
      <name>starSelectorRegistry</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1star_selector.html</anchorfile>
      <anchor>a5f1c5cdb02bade4c1a10e6ec644ce813</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>lsst::meas::algorithms::subtractBackground</name>
    <filename>namespacelsst_1_1meas_1_1algorithms_1_1subtract_background.html</filename>
    <class kind="class">lsst::meas::algorithms::subtractBackground::SubtractBackgroundConfig</class>
    <class kind="class">lsst::meas::algorithms::subtractBackground::SubtractBackgroundTask</class>
  </compound>
  <compound kind="namespace">
    <name>lsst::meas::algorithms::testUtils</name>
    <filename>namespacelsst_1_1meas_1_1algorithms_1_1test_utils.html</filename>
    <class kind="class">lsst::meas::algorithms::testUtils::MockRefcatDataId</class>
    <class kind="class">lsst::meas::algorithms::testUtils::MockRefcatDeferredDatasetHandle</class>
    <class kind="class">lsst::meas::algorithms::testUtils::MockReferenceObjectLoaderFromFiles</class>
    <member kind="function">
      <type>def</type>
      <name>plantSources</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1test_utils.html</anchorfile>
      <anchor>a71b5fc30736f4e7d54f5139ad8df6440</anchor>
      <arglist>(bbox, kwid, sky, coordList, addPoissonNoise=True)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>makeRandomTransmissionCurve</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1test_utils.html</anchorfile>
      <anchor>ac418ee3ffa6da87b077f6c2eb17f9bc7</anchor>
      <arglist>(rng, minWavelength=4000.0, maxWavelength=7000.0, nWavelengths=200, maxRadius=80.0, nRadii=30, perturb=0.05)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>makeDefectList</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1test_utils.html</anchorfile>
      <anchor>aee728adaea9468069304eabe0d82d77f</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>lsst::meas::algorithms::utils</name>
    <filename>namespacelsst_1_1meas_1_1algorithms_1_1utils.html</filename>
    <member kind="function">
      <type>def</type>
      <name>splitId</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1utils.html</anchorfile>
      <anchor>a3c3164c2f2de93d0f5aae4ab8b6adb49</anchor>
      <arglist>(oid, asDict=True)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>showSourceSet</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1utils.html</anchorfile>
      <anchor>a8263dccff538adfa636ca9edab1f6d59</anchor>
      <arglist>(sSet, xy0=(0, 0), display=None, ctype=afwDisplay.GREEN, symb=&quot;+&quot;, size=2)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>showPsfSpatialCells</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1utils.html</anchorfile>
      <anchor>a15aa55c946411faa10678944e4ec40ff</anchor>
      <arglist>(exposure, psfCellSet, nMaxPerCell=-1, showChi2=False, showMoments=False, symb=None, ctype=None, ctypeUnused=None, ctypeBad=None, size=2, display=None)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>showPsfCandidates</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1utils.html</anchorfile>
      <anchor>aba853126b74a00260e8c9df3c8482e82</anchor>
      <arglist>(exposure, psfCellSet, psf=None, display=None, normalize=True, showBadCandidates=True, fitBasisComponents=False, variance=None, chi=None)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>makeSubplots</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1utils.html</anchorfile>
      <anchor>a0eea56eb375782c7f0bcf2acbc78efd2</anchor>
      <arglist>(fig, nx=2, ny=2, Nx=1, Ny=1, plottingArea=(0.1, 0.1, 0.85, 0.80), pxgutter=0.05, pygutter=0.05, xgutter=0.04, ygutter=0.04, headroom=0.0, panelBorderWeight=0, panelColor=&apos;black&apos;)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>plotPsfSpatialModel</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1utils.html</anchorfile>
      <anchor>a3aae8d35896145f7408733884bfb0aef</anchor>
      <arglist>(exposure, psf, psfCellSet, showBadCandidates=True, numSample=128, matchKernelAmplitudes=False, keepPlots=True)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>showPsf</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1utils.html</anchorfile>
      <anchor>a28bb081e1f97fb52aea30e14bdd777e7</anchor>
      <arglist>(psf, eigenValues=None, XY=None, normalize=True, display=None)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>showPsfMosaic</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1utils.html</anchorfile>
      <anchor>ad3577ffe761233f9bd3efb3fc0ba79aa</anchor>
      <arglist>(exposure, psf=None, nx=7, ny=None, showCenter=True, showEllipticity=False, showFwhm=False, stampSize=0, display=None, title=None)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>showPsfResiduals</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1utils.html</anchorfile>
      <anchor>a4bc9cd22d0779f1c8549d2e1203aecb0</anchor>
      <arglist>(exposure, sourceSet, magType=&quot;psf&quot;, scale=10, display=None)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>saveSpatialCellSet</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1utils.html</anchorfile>
      <anchor>a7f3e679d7c472ac14766a8ab577b1242</anchor>
      <arglist>(psfCellSet, fileName=&quot;foo.fits&quot;, display=None)</arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>keptPlots</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1utils.html</anchorfile>
      <anchor>ab6a52d3402ac5002b7fb8ea9fe696b4e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>logging</type>
      <name>_LOG</name>
      <anchorfile>namespacelsst_1_1meas_1_1algorithms_1_1utils.html</anchorfile>
      <anchor>a06a1bfb392a045039615f648e607e70e</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>lsst::meas::algorithms::version</name>
    <filename>namespacelsst_1_1meas_1_1algorithms_1_1version.html</filename>
  </compound>
  <compound kind="namespace">
    <name>std</name>
    <filename>namespacestd.html</filename>
  </compound>
  <compound kind="page">
    <name>index</name>
    <title>lsst::meas::algorithms;  support for measurement algorithms</title>
    <filename>index.html</filename>
    <docanchor file="index.html" title="Introduction">measAlgSecIntro</docanchor>
  </compound>
</tagfile>
